(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     51626,       1589]
NotebookOptionsPosition[     50535,       1551]
NotebookOutlinePosition[     50893,       1567]
CellTagsIndexPosition[     50850,       1564]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"DateString", "[", "]"}]}], "Input",
 CellChangeTimes->{3.541099446501821*^9, 3.5505604592916126`*^9}],

Cell[BoxData["\<\"Thu 28 Aug 2014 19:18:48\"\>"], "Output",
 CellChangeTimes->{3.618009497872099*^9, 3.618009572794079*^9, 
  3.618206328136962*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["basic definitions",
 FontWeight->"Bold"]], "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.568242729744137*^9, 3.568242742906459*^9}, {
  3.5901940732545567`*^9, 3.590194077582048*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"www", "[", 
    RowBox[{"U_", ",", "0"}], "]"}], "=", "True"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"www", "[", 
    RowBox[{"U_", ",", "n_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"www", "[", 
     RowBox[{"U", ",", 
      RowBox[{"n", "-", "1"}]}], "]"}], "&&", 
    RowBox[{"Chop", "[", 
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"U", "[", 
        RowBox[{"[", "n", "]"}], "]"}], "]"}], "<", 
      SuperscriptBox["10", 
       RowBox[{"-", "treshold"}]]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 

 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"all", "[", "U_", "]"}], ":=", 
    RowBox[{"www", "[", 
     RowBox[{"U", ",", 
      RowBox[{"Length", "[", "U", "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uuu", "[", 
    RowBox[{"U_", ",", "0"}], "]"}], "=", "True"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uuu", "[", 
    RowBox[{"U_", ",", "n_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"uuu", "[", 
     RowBox[{"U", ",", 
      RowBox[{"n", "-", "1"}]}], "]"}], "&&", 
    RowBox[{"Quiet", "[", 
     RowBox[{"Chop", "[", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"U", "[", 
         RowBox[{"[", "n", "]"}], "]"}], "]"}], "<", 
       SuperscriptBox["10", 
        RowBox[{"-", "treshold"}]]}], "]"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"allq", "[", "U_", "]"}], ":=", 
    RowBox[{"Quiet", "[", 
     RowBox[{"www", "[", 
      RowBox[{"U", ",", 
       RowBox[{"Length", "[", "U", "]"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vvv", "[", 
    RowBox[{"U_", ",", "0"}], "]"}], "=", "True"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vvv", "[", 
    RowBox[{"U_", ",", "n_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"vvv", "[", 
     RowBox[{"U", ",", 
      RowBox[{"n", "-", "1"}]}], "]"}], "&&", 
    RowBox[{"Chop", "[", 
     RowBox[{"U", "[", 
      RowBox[{"[", "n", "]"}], "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"alltrue", "[", "U_", "]"}], ":=", 
    RowBox[{"vvv", "[", 
     RowBox[{"U", ",", 
      RowBox[{"Length", "[", "U", "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"o", "[", "n_", "]"}], ":=", "0"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{
  3.56169119418111*^9, 3.566335241155765*^9, 3.5682427429070044`*^9, {
   3.590194175390395*^9, 3.590194183368469*^9}, {3.5901950239657927`*^9, 
   3.5901950278303413`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"cs", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"cs", "[", "n", "]"}], "=", 
    RowBox[{
     FractionBox["1", "2"], 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"cfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], "-", 
         SuperscriptBox["w", "2"]}], 
        RowBox[{
         RowBox[{"cfn", "[", 
          RowBox[{"2", " ", "n"}], "]"}], " ", 
         RowBox[{"cfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}]], "+", 
       FractionBox[
        RowBox[{"cfn", "[", 
         RowBox[{
          RowBox[{"2", "n"}], "-", "2"}], "]"}], 
        RowBox[{"cfn", "[", 
         RowBox[{
          RowBox[{"2", "n"}], "-", "1"}], "]"}]]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    OverscriptBox["cs", "~"], "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     OverscriptBox["cs", "~"], "[", "n", "]"}], "=", 
    RowBox[{
     FractionBox["1", "2"], 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"cfn", "[", 
         RowBox[{
          RowBox[{"2", "n"}], "-", "2"}], "]"}], 
        RowBox[{"cfn", "[", 
         RowBox[{
          RowBox[{"2", "n"}], "-", "1"}], "]"}]], "-", 
       FractionBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{"cfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], "-", 
         SuperscriptBox["w", "2"]}], 
        RowBox[{
         RowBox[{"cfn", "[", 
          RowBox[{"2", " ", "n"}], "]"}], " ", 
         RowBox[{"cfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}]]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sn", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"sn", "[", "n", "]"}], "=", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"cfn", "[", 
           RowBox[{
            RowBox[{"2", "n"}], "-", "2"}], "]"}], 
          RowBox[{"cfn", "[", 
           RowBox[{
            RowBox[{"2", "n"}], "-", "1"}], "]"}]], 
         FractionBox["w", 
          RowBox[{"cfn", "[", 
           RowBox[{"2", "n"}], "]"}]]}], "+", 
        FractionBox["w", 
         RowBox[{"cfn", "[", 
          RowBox[{
           RowBox[{"2", "n"}], "-", "1"}], "]"}]]}], ")"}]}]}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     OverscriptBox["sn", "~"], "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      OverscriptBox["sn", "~"], "[", "n", "]"}], "=", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"cfn", "[", 
           RowBox[{
            RowBox[{"2", "n"}], "-", "2"}], "]"}], 
          RowBox[{"cfn", "[", 
           RowBox[{
            RowBox[{"2", "n"}], "-", "1"}], "]"}]], 
         FractionBox["w", 
          RowBox[{"cfn", "[", 
           RowBox[{"2", "n"}], "]"}]]}], "-", 
        FractionBox["w", 
         RowBox[{"cfn", "[", 
          RowBox[{
           RowBox[{"2", "n"}], "-", "1"}], "]"}]]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"a", "[", "n", "]"}], "=", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"cs", "[", "n", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"sn", "[", "n", "]"}], "2"]}]]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    OverscriptBox["a", "~"], "[", "0", "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     OverscriptBox["a", "~"], "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      OverscriptBox["a", "~"], "[", "n", "]"}], "=", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{
         OverscriptBox["cs", "~"], "[", "n", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         OverscriptBox["sn", "~"], "[", "n", "]"}], "2"]}]]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"P", "[", "0", "]"}], "=", "1"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"P", "[", "1", "]"}], "=", 
    FractionBox["w", 
     RowBox[{"cfn", "[", "0", "]"}]]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"P", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"P", "[", "n", "]"}], "=", 
     RowBox[{
      RowBox[{
       FractionBox["w", 
        RowBox[{"cfn", "[", 
         RowBox[{"n", "-", "1"}], "]"}]], 
       RowBox[{"P", "[", 
        RowBox[{"n", "-", "1"}], "]"}]}], "-", 
      RowBox[{
       FractionBox[
        RowBox[{"cfn", "[", 
         RowBox[{"n", "-", "2"}], "]"}], 
        RowBox[{"cfn", "[", 
         RowBox[{"n", "-", "1"}], "]"}]], 
       RowBox[{"P", "[", 
        RowBox[{"n", "-", "2"}], "]"}]}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Co", "[", "n_", "]"}], ":=", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "n"], 
     RowBox[{"P", "[", 
      RowBox[{"2", "n"}], "]"}]}]}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Si", "[", "n_", "]"}], ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"-", "1"}], ")"}], "n"], 
    RowBox[{"P", "[", 
     RowBox[{
      RowBox[{"2", "n"}], "+", "1"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"A", "[", "n", "]"}], "=", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"Si", "[", "n", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"Co", "[", "n", "]"}], "2"]}]]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Th", "[", "0", "]"}], "=", 
    RowBox[{"Arg", "[", 
     RowBox[{
      RowBox[{"Co", "[", "0", "]"}], "+", " ", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"Si", "[", "0", "]"}]}]}], "]"}]}], ";"}], "   ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"in", " ", "the", " ", "paper", " ", 
     RowBox[{"Th", "[", "n", "]"}], " ", "is", " ", 
     StyleBox[
      RowBox[{"\[CapitalPhi]", 
       StyleBox["n",
        FontSize->9]}]]}], ";", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "Definition", " ", "below", " ", "amounts", " ", "to", " ", "taking", 
       " ", "the", " ", "least", " ", 
       StyleBox[
        RowBox[{"\[CapitalPhi]", 
         StyleBox["n",
          FontSize->9]}]]}], " ", ">", " ", 
      RowBox[{
       StyleBox[
        RowBox[{"\[CapitalPhi]", 
         StyleBox["n",
          FontSize->9]}]], 
       StyleBox["-",
        FontSize->9], 
       RowBox[{
        StyleBox["1",
         FontSize->9], 
        StyleBox[" ",
         FontSize->9], 
        StyleBox["such",
         FontSize->12], 
        StyleBox[" ",
         FontSize->12], 
        StyleBox["that",
         FontSize->12], 
        StyleBox[" ",
         FontSize->9], 
        StyleBox["\[IndentingNewLine]",
         FontSize->9], 
        RowBox[{
         StyleBox["Cos",
          FontSize->12], 
         StyleBox["[",
          FontSize->12], 
         StyleBox[
          RowBox[{
           StyleBox["\[CapitalPhi]",
            FontSize->12], 
           StyleBox["n",
            FontSize->9]}]], 
         StyleBox["]",
          FontSize->12]}]}]}]}], 
     StyleBox["=",
      FontSize->14], 
     StyleBox[" ",
      FontSize->14], 
     RowBox[{
      RowBox[{
       StyleBox[
        RowBox[{"Cos", "[", 
         RowBox[{"Arg", "[", 
          RowBox[{
           RowBox[{"Co", "[", "n", "]"}], "+", " ", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"Si", "[", "n", "]"}]}]}], "]"}], "]"}],
        FontSize->12], 
       StyleBox[" ",
        FontSize->12], 
       StyleBox["and",
        FontSize->12], 
       StyleBox["  ",
        FontSize->12], 
       RowBox[{
        StyleBox["Sin",
         FontSize->12], 
        StyleBox["[",
         FontSize->12], 
        StyleBox[
         RowBox[{
          StyleBox["\[CapitalPhi]",
           FontSize->16], 
          StyleBox["n",
           FontSize->10]}]], 
        StyleBox["]",
         FontSize->12]}]}], 
      StyleBox["=",
       FontSize->12], 
      StyleBox[
       RowBox[{
        RowBox[{"Sin", "[", 
         RowBox[{"Arg", "[", 
          RowBox[{
           RowBox[{"Co", "[", "n", "]"}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"Si", "[", "n", "]"}]}]}], "]"}], "]"}], "  ", "both", 
        " ", "hold"}],
       FontSize->12]}]}], 
    StyleBox[";",
     FontSize->12]}], 
   StyleBox["  ",
    FontSize->12], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Th", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Th", "[", "n", "]"}], "=", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Arg", "[", 
          RowBox[{
           RowBox[{"Co", "[", "n", "]"}], "+", " ", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"Si", "[", "n", "]"}]}]}], "]"}], "\[GreaterEqual]", " ", 
         "0"}], " ", "&&", " ", 
        RowBox[{
         RowBox[{"Arg", "[", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"Th", "[", 
             RowBox[{"n", "-", "1"}], "]"}]}]], "]"}], "<", "0"}]}], ",", 
       RowBox[{
        RowBox[{"2", "\[Pi]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"IntegerPart", "[", 
            FractionBox[
             RowBox[{"Th", "[", 
              RowBox[{"n", "-", "1"}], "]"}], 
             RowBox[{"2", "\[Pi]"}]], "]"}], " ", "+", "1"}], ")"}]}], "+", 
        RowBox[{"Arg", "[", 
         RowBox[{
          RowBox[{"Co", "[", "n", "]"}], "+", " ", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Si", "[", "n", "]"}]}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"2", "\[Pi]", " ", 
         RowBox[{"IntegerPart", "[", 
          FractionBox[
           RowBox[{"Th", "[", 
            RowBox[{"n", "-", "1"}], "]"}], 
           RowBox[{"2", "\[Pi]"}]], "]"}]}], " ", "+", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Arg", "[", 
            RowBox[{
             RowBox[{"Co", "[", "n", "]"}], "+", " ", 
             RowBox[{"\[ImaginaryI]", " ", 
              RowBox[{"Si", "[", "n", "]"}]}]}], "]"}], "\[GreaterEqual]", 
           " ", "0"}], ",", " ", 
          RowBox[{"Arg", "[", 
           RowBox[{
            RowBox[{"Co", "[", "n", "]"}], "+", " ", 
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"Si", "[", "n", "]"}]}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"2", "\[Pi]"}], "+", 
           RowBox[{"Arg", "[", 
            RowBox[{
             RowBox[{"Co", "[", "n", "]"}], "+", " ", 
             RowBox[{"\[ImaginaryI]", " ", 
              RowBox[{"Si", "[", "n", "]"}]}]}], "]"}]}]}], "]"}]}]}], 
      "]"}]}]}], ";"}], "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"EE", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"A", "[", "n", "]"}], 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"Th", "[", "n", "]"}]}]]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"th", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"th", "[", "n", "]"}], "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{
       RowBox[{"cs", "[", "n", "]"}], ",", 
       RowBox[{"sn", "[", "n", "]"}]}], "]"}]}]}], ";"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"th", "[", "n", "]"}], " ", "is", " ", "\[Theta]n"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     OverscriptBox["th", "~"], "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      OverscriptBox["th", "~"], "[", "n", "]"}], "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{
       RowBox[{
        OverscriptBox["cs", "~"], "[", "n", "]"}], ",", 
       RowBox[{
        OverscriptBox["sn", "~"], "[", "n", "]"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"norm", "[", "0", "]"}], "=", 
   RowBox[{"A", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"norm", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"norm", "[", "n", "]"}], "=", 
     RowBox[{
      RowBox[{"norm", "[", 
       RowBox[{"n", "-", "1"}], "]"}], 
      RowBox[{"mult", "[", "n", "]"}]}]}]}], ";"}], "  ", 
  RowBox[{"(*", "  ", 
   RowBox[{
   "just", " ", "a", " ", "recursive", " ", "definition", " ", "of", " ", 
    RowBox[{"A", "[", "n", "]"}]}], "   ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"mult", "[", "0", "]"}], "=", 
    RowBox[{"A", "[", "0", "]"}]}], ";"}], "  ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "the", " ", "paper", " ", 
    RowBox[{"mult", "[", "n", "]"}], "  ", "is", " ", "\[Mu]", 
    RowBox[{"(", "n", ")"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"mult", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"mult", "[", "n", "]"}], "=", 
     RowBox[{"\[Sqrt]", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"a", "[", "n", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{
          OverscriptBox["a", "~"], "[", "n", "]"}], "2"], "+", 
        RowBox[{"2", 
         RowBox[{"a", "[", "n", "]"}], 
         RowBox[{
          OverscriptBox["a", "~"], "[", "n", "]"}], 
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"2", 
            RowBox[{"Th", "[", 
             RowBox[{"n", "-", "1"}], "]"}]}], "+", 
           RowBox[{"th", "[", "n", "]"}], "-", 
           RowBox[{
            OverscriptBox["th", "~"], "[", "n", "]"}]}], "]"}]}]}], 
       ")"}]}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Delta", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Th", "[", "n", "]"}], "-", 
     RowBox[{"Th", "[", 
      RowBox[{"n", "-", "1"}], "]"}]}]}], ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "the", " ", "paper", " ", 
    RowBox[{"Delta", "[", "n", "]"}], " ", "is", " ", "\[CapitalDelta]", 
    RowBox[{"(", "n", ")"}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"S", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"S", "[", "n", "]"}], "=", 
     RowBox[{
      RowBox[{"cfn", "[", 
       RowBox[{"n", "+", "1"}], "]"}], "-", 
      RowBox[{"cfn", "[", "n", "]"}]}]}]}], ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "the", " ", "paper", " ", 
    RowBox[{"S", "[", "n", "]"}], " ", "is", " ", "s", 
    RowBox[{"(", "n", ")"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"DD", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"DD", "[", "n", "]"}], "=", 
     RowBox[{
      RowBox[{"S", "[", 
       RowBox[{"n", "+", "1"}], "]"}], "-", 
      RowBox[{"S", "[", "n", "]"}]}]}]}], ";"}], "         ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "the", " ", "paper", " ", 
    RowBox[{"DD", "[", "n", "]"}], " ", "is", " ", "d", 
    RowBox[{"(", "n", ")"}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"eps", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"cfn", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", "n"}]}], "]"}], " ", 
      RowBox[{"DD", "[", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"2", "n"}]}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"S", "[", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"2", "n"}]}], "]"}], " ", 
      RowBox[{"S", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", "n"}]}], "]"}]}]}]}], ";"}], "   ", 
  RowBox[{"(*", " ", 
   RowBox[{"in", " ", "the", " ", "paper", " ", 
    RowBox[{"eps", "[", "n", "]"}], " ", "is", " ", "\[Epsilon]", 
    RowBox[{"(", "n", ")"}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"CD", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"CD", "[", "n", "]"}], "=", 
     RowBox[{
      FractionBox[
       RowBox[{"cfn", "[", "n", "]"}], "w"], 
      RowBox[{"DD", "[", 
       RowBox[{"n", "-", "1"}], "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", "n_", "]"}], ":=", 
   FractionBox[
    RowBox[{"cfn", "[", "n", "]"}], 
    RowBox[{"cfn", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "+", " ", "n"}], "]"}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"rr", "[", "n_", "]"}], ":=", 
    FractionBox[
     RowBox[{"cfn", "[", 
      RowBox[{
       RowBox[{"-", "1"}], "+", " ", "n"}], "]"}], 
     RowBox[{"cfn", "[", "n", "]"}]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Rcfn", "[", "n_", "]"}], ":=", 
   FractionBox["w", 
    RowBox[{"cfn", "[", "n", "]"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lambda", "[", "0", "]"}], ":=", 
   FractionBox["1", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"cfn", "[", "0", "]"}]], "+", 
     FractionBox["1", 
      RowBox[{"cfn", "[", "1", "]"}]]}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"lambda", "[", "n_", "]"}], ":=", 
   FractionBox[
    RowBox[{
     FractionBox["1", 
      RowBox[{"cfn", "[", 
       RowBox[{
        RowBox[{"2", "n"}], "-", "1"}], "]"}]], "+", 
     FractionBox["1", 
      RowBox[{"cfn", "[", 
       RowBox[{
        RowBox[{"2", "n"}], "-", "2"}], "]"}]]}], 
    RowBox[{
     FractionBox["1", 
      RowBox[{"cfn", "[", 
       RowBox[{
        RowBox[{"2", "n"}], "+", "1"}], "]"}]], "+", 
     FractionBox["1", 
      RowBox[{"cfn", "[", 
       RowBox[{"2", "n"}], "]"}]]}]]}], ";"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{
  3.5505595223430223`*^9, {3.550561040891878*^9, 3.550561041572917*^9}, {
   3.550561133442172*^9, 3.5505611343762255`*^9}, {3.5505694990929956`*^9, 
   3.5505695096286907`*^9}, {3.550571123570757*^9, 3.5505711246137743`*^9}, {
   3.5505733739519243`*^9, 3.550573449346768*^9}, {3.550573500906777*^9, 
   3.550573534183584*^9}, 3.5505735652526817`*^9, {3.550573615704955*^9, 
   3.550573619811098*^9}, {3.5505737357430973`*^9, 3.550573744239958*^9}, 
   3.55057401107323*^9, {3.550577374859495*^9, 3.550577375883628*^9}, {
   3.550737019849234*^9, 3.5507370353109818`*^9}, {3.550737375165471*^9, 
   3.550737379447847*^9}, {3.5507375877359457`*^9, 3.5507375899058857`*^9}, {
   3.550749153605138*^9, 3.5507491559140663`*^9}, {3.5507532545104322`*^9, 
   3.5507532637721567`*^9}, {3.5507556575112658`*^9, 3.550755661305324*^9}, {
   3.550802406663653*^9, 3.550802443265544*^9}, {3.5508715377725697`*^9, 
   3.550871539449027*^9}, {3.550884247364382*^9, 3.550884248787813*^9}, {
   3.550884477895879*^9, 3.550884478266108*^9}, {3.551215381311839*^9, 
   3.551215395139267*^9}, {3.5513131096148243`*^9, 3.551313140235022*^9}, {
   3.5513133904827147`*^9, 3.551313499181467*^9}, {3.551400728198695*^9, 
   3.551400732784958*^9}, {3.551400793630438*^9, 3.5514008132245584`*^9}, 
   3.5514008510307207`*^9, {3.5514012045599413`*^9, 3.5514012297403817`*^9}, {
   3.551401280604291*^9, 3.551401409244649*^9}, {3.551401912384427*^9, 
   3.551401993225051*^9}, {3.551402026062929*^9, 3.55140202696498*^9}, 
   3.551402073721655*^9, {3.5514021938805275`*^9, 3.5514022723620167`*^9}, {
   3.551402320774785*^9, 3.551402399950314*^9}, {3.5514027291241417`*^9, 
   3.5514027296671724`*^9}, {3.551402810382789*^9, 3.551402814625032*^9}, {
   3.5514122084383273`*^9, 3.551412216215772*^9}, {3.559278341912223*^9, 
   3.559278353194868*^9}, {3.5592784159074545`*^9, 3.5592784527535625`*^9}, {
   3.559278528888917*^9, 3.559278539287512*^9}, 3.56013195278666*^9, {
   3.56019697392456*^9, 3.560196974030566*^9}, {3.560836022567602*^9, 
   3.5608361069754295`*^9}, {3.5608363070948763`*^9, 3.560836307791916*^9}, {
   3.5609641525943623`*^9, 3.560964153540167*^9}, {3.560964403253927*^9, 
   3.560964407604039*^9}, {3.5609645656187897`*^9, 3.560964570503008*^9}, 
   3.560968314118382*^9, {3.560968540517408*^9, 3.5609685416323433`*^9}, {
   3.5609819385525837`*^9, 3.560982019797615*^9}, {3.560982677768922*^9, 
   3.560982703114155*^9}, {3.56108553195172*^9, 3.561085538066931*^9}, {
   3.5611665478929234`*^9, 3.5611665482205243`*^9}, {3.561229546742015*^9, 
   3.561229569343485*^9}, {3.5616902010121317`*^9, 3.561690201699171*^9}, 
   3.56169051306098*^9, {3.561710415397728*^9, 3.561710428427346*^9}, 
   3.566097955780232*^9, {3.566098215003202*^9, 3.566098244028681*^9}, 
   3.566098916305071*^9, 3.566166130790742*^9, {3.56633130570539*^9, 
   3.566331317687986*^9}, 3.5663352411558523`*^9, {3.566507565729718*^9, 
   3.5665075665253196`*^9}, {3.567372262475504*^9, 3.567372268497114*^9}, 
   3.5682427429070663`*^9, {3.577578058128323*^9, 3.5775780642918253`*^9}, {
   3.577579025846089*^9, 3.577579033367733*^9}, {3.590195181813776*^9, 
   3.590195182502109*^9}, {3.590195333093535*^9, 3.59019535240027*^9}, {
   3.590195814582883*^9, 3.590195815069338*^9}, {3.59019586454396*^9, 
   3.5901958808066483`*^9}, {3.5901959236871*^9, 3.5901960500736513`*^9}, {
   3.590196093487712*^9, 3.590196097401545*^9}, {3.590196128058353*^9, 
   3.590196331334072*^9}, {3.590198419825383*^9, 3.590198501978383*^9}, {
   3.590198552645629*^9, 3.5901988941560802`*^9}, {3.597694435890813*^9, 
   3.5976945187418213`*^9}, {3.597776220252079*^9, 3.5977762212426233`*^9}, {
   3.597776372668275*^9, 3.597776400860656*^9}, {3.6044564439115667`*^9, 
   3.6044564459916573`*^9}, {3.605741727388772*^9, 3.605741754834951*^9}, {
   3.617661037105493*^9, 3.617661054891313*^9}}]
}, Closed]],

Cell["=================================================", "Text",
 CellChangeTimes->{{3.5610620509659967`*^9, 3.5610620558252087`*^9}}],

Cell[CellGroupData[{

Cell["\<\
RL2  (rules for expressing elementary functions via r\[CloseCurlyQuote]s, \
finite differences and Rcfn[2n-1] )\
\>", "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.6180096017018747`*^9, 3.6180096212605743`*^9}, {
  3.620096498571316*^9, 3.620096540680255*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RL2", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"cs", "[", "n", "]"}], "\[Rule]", 
      RowBox[{"1", "+", 
       TagBox[
        FractionBox[
         RowBox[{
          RowBox[{
           RowBox[{"DD", "[", 
            RowBox[{
             RowBox[{"-", "2"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}], " ", 
           RowBox[{"Rcfn", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}]}], "-", 
          RowBox[{"w", " ", 
           SuperscriptBox[
            RowBox[{"Rcfn", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
           RowBox[{"rr", "[", 
            RowBox[{"2", " ", "n"}], "]"}]}], "-", 
          RowBox[{
           RowBox[{"Rcfn", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"rr", "[", 
              RowBox[{"2", " ", "n"}], "]"}]}], ")"}], " ", 
           RowBox[{"S", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}]}]}], 
         RowBox[{"2", " ", "w"}]],
        CheckAbort[#, 
         Defer[#]]& ]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       OverscriptBox["cs", "~"], "[", "n", "]"}], "\[Rule]", " ", 
      FractionBox[
       RowBox[{
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"DD", "[", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "+", 
          RowBox[{"w", " ", 
           RowBox[{"Rcfn", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}], " ", 
           RowBox[{"rr", "[", 
            RowBox[{"2", " ", "n"}], "]"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"rr", "[", 
              RowBox[{"2", " ", "n"}], "]"}]}], ")"}], " ", 
           RowBox[{"S", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}]}]}], ")"}]}], 
       RowBox[{"2", " ", "w"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"sn", "[", "n", "]"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{"Rcfn", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          RowBox[{
           RowBox[{"Rcfn", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}], " ", 
           RowBox[{"rr", "[", 
            RowBox[{"2", " ", "n"}], "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"DD", "[", 
              RowBox[{
               RowBox[{"-", "2"}], "+", 
               RowBox[{"2", " ", "n"}]}], "]"}], "-", 
             RowBox[{"2", " ", 
              RowBox[{"S", "[", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"2", " ", "n"}]}], "]"}]}]}], ")"}]}], 
          RowBox[{"2", "w"}]]}], ")"}]}]}], ",", "\[IndentingNewLine]", " ", 
     RowBox[{
      RowBox[{
       OverscriptBox["sn", "~"], "[", "n", "]"}], "\[Rule]", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
        RowBox[{"rr", "[", 
         RowBox[{"2", " ", "n"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"DD", "[", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "-", 
          RowBox[{"2", " ", 
           RowBox[{"S", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}]}]}], ")"}]}], 
       RowBox[{"2", "w"}]]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"cs", "[", 
       RowBox[{"n", "-", "1"}], "]"}], "\[Rule]", 
      RowBox[{"1", "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "4"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"r", "[", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], " ", 
        SuperscriptBox[
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], "-", 
       FractionBox[
        RowBox[{
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"S", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "-", 
       FractionBox[
        RowBox[{
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"S", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       OverscriptBox["cs", "~"], "[", 
       RowBox[{"n", "-", "1"}], "]"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"DD", "[", 
           RowBox[{
            RowBox[{"-", "3"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], " ", 
          RowBox[{"r", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], " ", 
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}]}], 
         RowBox[{"2", " ", "w"}]]}], "-", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "4"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"r", "[", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], " ", 
        SuperscriptBox[
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"S", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]], "-", 
       FractionBox[
        RowBox[{
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"S", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], 
        RowBox[{"2", " ", "w"}]]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"sn", "[", 
       RowBox[{"n", "-", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"r", "[", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], " ", 
        RowBox[{"r", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], " ", 
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}]}], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "4"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         SuperscriptBox[
          RowBox[{"r", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         SuperscriptBox[
          RowBox[{"r", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], "w"], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         SuperscriptBox[
          RowBox[{"r", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], "w"], "-", 
       FractionBox[
        RowBox[{
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         SuperscriptBox[
          RowBox[{"r", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         RowBox[{"S", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], "w"]}]}], ",", 
     "\[IndentingNewLine]", " ", 
     RowBox[{
      RowBox[{
       OverscriptBox["sn", "~"], "[", 
       RowBox[{"n", "-", "1"}], "]"}], "\[Rule]", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "4"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         SuperscriptBox[
          RowBox[{"r", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], 
        RowBox[{"2", " ", "w"}]], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         SuperscriptBox[
          RowBox[{"r", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], "w"], "+", 
       FractionBox[
        RowBox[{
         RowBox[{"DD", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         SuperscriptBox[
          RowBox[{"r", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], "w"], "-", 
       FractionBox[
        RowBox[{
         RowBox[{"r", "[", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], " ", 
         SuperscriptBox[
          RowBox[{"r", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         RowBox[{"S", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}]}], "w"]}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.560978645909976*^9, 3.5609786516768417`*^9}, {
   3.574922508036125*^9, 3.574922605278181*^9}, {3.574923409792576*^9, 
   3.574923569411211*^9}, {3.574923608535468*^9, 3.574923692821034*^9}, 
   3.618009621260713*^9}]
}, Open  ]],

Cell["\<\
verifying the correctness of formulas:\
\>", "Text",
 CellChangeTimes->{{3.620096550929246*^9, 3.6200965647333612`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", "[", "n", "]"}], "-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cs", "[", "n", "]"}], "/.", "RL2"}], ")"}]}], ")"}], "2"], 
   "+", "\[IndentingNewLine]", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       OverscriptBox["cs", "~"], "[", "n", "]"}], "-", 
      RowBox[{"(", " ", 
       RowBox[{
        RowBox[{
         OverscriptBox["cs", "~"], "[", "n", "]"}], "/.", "RL2"}], ")"}]}], 
     ")"}], "2"], "+", "\[IndentingNewLine]", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"sn", "[", "n", "]"}], "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"sn", "[", "n", "]"}], "/.", "RL2"}], ")"}]}], ")"}], "2"], 
   "+", "\[IndentingNewLine]", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       OverscriptBox["sn", "~"], "[", "n", "]"}], "-", " ", 
      RowBox[{"(", " ", 
       RowBox[{
        RowBox[{
         OverscriptBox["sn", "~"], "[", "n", "]"}], "/.", "RL2"}], ")"}]}], 
     ")"}], "2"], "+", "\[IndentingNewLine]", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"cs", "[", 
       RowBox[{"n", "-", "1"}], "]"}], "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"cs", "[", 
         RowBox[{"n", "-", "1"}], "]"}], "/.", "RL2"}], ")"}]}], ")"}], "2"], 
   "+", "\[IndentingNewLine]", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       OverscriptBox["cs", "~"], "[", 
       RowBox[{"n", "-", "1"}], "]"}], "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         OverscriptBox["cs", "~"], "[", 
         RowBox[{"n", "-", "1"}], "]"}], "/.", "RL2"}], ")"}]}], ")"}], "2"], 
   "+", "\[IndentingNewLine]", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"sn", "[", 
       RowBox[{"n", "-", "1"}], "]"}], "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"sn", "[", 
         RowBox[{"n", "-", "1"}], "]"}], "/.", "RL2"}], ")"}]}], ")"}], "2"], 
   "+", "\[IndentingNewLine]", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       OverscriptBox["sn", "~"], "[", 
       RowBox[{"n", "-", "1"}], "]"}], "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         OverscriptBox["sn", "~"], "[", 
         RowBox[{"n", "-", "1"}], "]"}], " ", "/.", "RL2"}], ")"}]}], ")"}], 
    "2"]}], "]"}]], "Input",
 CellChangeTimes->{
  3.560978433628737*^9, 3.560978727684854*^9, {3.5609798021655283`*^9, 
   3.5609798066793327`*^9}, {3.566168642182863*^9, 3.566168659080144*^9}, {
   3.6180095140977907`*^9, 3.618009524064522*^9}, {3.618206397776369*^9, 
   3.618206408862965*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.618009498309225*^9, 3.618009526062367*^9}, 
   3.618009573059861*^9, 3.6182063284678097`*^9, 3.618206414387171*^9}]
}, Open  ]],

Cell["\<\
============================================================================\
\>", "Text",
 CellChangeTimes->{{3.561064505146243*^9, 3.5610645118496428`*^9}}]
},
WindowSize->{1774, 1017},
WindowMargins->{{Automatic, 113}, {Automatic, 0}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 240, 6, 90, "Input"],
Cell[822, 30, 148, 2, 56, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1007, 37, 244, 4, 60, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[1254, 43, 2817, 93, 537, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[4074, 138, 22831, 684, 2618, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}]
}, Closed]],
Cell[26920, 825, 135, 1, 50, "Text"],
Cell[CellGroupData[{
Cell[27080, 830, 307, 6, 60, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[27390, 838, 19869, 604, 1440, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Open  ]],
Cell[47274, 1445, 130, 3, 60, "Text"],
Cell[CellGroupData[{
Cell[47429, 1452, 2750, 87, 360, "Input"],
Cell[50182, 1541, 166, 2, 56, "Output"]
}, Open  ]],
Cell[50363, 1546, 168, 3, 60, "Text"]
}
]
*)

(* End of internal cache information *)
