(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    108517,       3169]
NotebookOptionsPosition[    105901,       3082]
NotebookOutlinePosition[    106336,       3099]
CellTagsIndexPosition[    106293,       3096]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.528382533993606*^9, 3.528382534021104*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fa", "[", 
    RowBox[{"x_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"Log", "[", 
     FractionBox[
      RowBox[{"1", "+", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        SuperscriptBox["x", "4"]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", "z", " ", 
        SuperscriptBox["x", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"\[ImaginaryI]", " ", "x"}], "-", 
          FractionBox[
           SuperscriptBox["x", "2"], "2"]}], ")"}]}]}], 
      RowBox[{"1", "+", 
       RowBox[{
        FractionBox["1", "4"], " ", 
        SuperscriptBox["x", "4"]}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", "z", " ", 
        SuperscriptBox["x", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", " ", 
          RowBox[{"\[ImaginaryI]", " ", "x"}], "-", 
          FractionBox[
           SuperscriptBox["x", "2"], "2"]}], ")"}]}]}]], "]"}], "+", 
    RowBox[{"Log", "[", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox["x", "4"]}]}], ")"}], "z"}], "+", 
       RowBox[{
        FractionBox["1", "2"], "  ", 
        SuperscriptBox["x", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"\[ImaginaryI]", " ", "x"}], "-", 
          FractionBox[
           SuperscriptBox["x", "2"], "2"]}], " ", ")"}]}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{
           FractionBox["1", "4"], " ", 
           SuperscriptBox["x", "4"]}]}], ")"}], "z"}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox["x", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"\[ImaginaryI]", " ", "x"}], "-", 
          FractionBox[
           SuperscriptBox["x", "2"], "2"]}], ")"}]}]}]], "]"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.6164711909505653`*^9, 3.6166185553203783`*^9, {3.6166235917436113`*^9, 
   3.6166235937203693`*^9}, {3.616623629715732*^9, 3.6166236419050837`*^9}, {
   3.616623923937739*^9, 3.616623930249476*^9}, 3.616718995764586*^9, {
   3.616719094186058*^9, 3.616719115898109*^9}, {3.616719156849991*^9, 
   3.616719180923222*^9}, 3.6167192823855143`*^9, 3.616719976304418*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ka", "[", 
    RowBox[{"x_", ",", "z_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"-", "\[ImaginaryI]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}],
          " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"x", " ", 
            RowBox[{"(", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", "z"}], ")"}], 
               FractionBox[
                RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}],
           ")"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
          ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", "z"}], ")"}], 
               FractionBox[
                RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}],
           ")"}]}]], "]"}], "+", 
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"z", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox[
             SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
         RowBox[{
          FractionBox[
           SuperscriptBox["x", "2"], "2"], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "2"], "-", " ", 
            RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
        RowBox[{
         RowBox[{"z", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox[
             SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
         RowBox[{
          FractionBox[
           SuperscriptBox["x", "2"], "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "2"], "+", " ", 
            RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]], "]"}]}], 
     ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616464437106806*^9, 3.616464463837323*^9}, 
   3.61661686309577*^9, {3.616623494241082*^9, 3.6166235060700903`*^9}, {
   3.6166236779514647`*^9, 3.616623767560142*^9}, {3.616623827704146*^9, 
   3.616623843602622*^9}, {3.616623877408938*^9, 3.6166239109799757`*^9}, {
   3.6166259480160418`*^9, 3.616625966341042*^9}, 3.616626053059684*^9, {
   3.616718164957201*^9, 3.6167181686049232`*^9}, {3.616718409657599*^9, 
   3.616718411280386*^9}, {3.616719019722987*^9, 3.616719021173242*^9}, {
   3.616719119848362*^9, 3.616719185247404*^9}, {3.616719216460268*^9, 
   3.616719240686199*^9}, 3.6167192806362762`*^9, 3.6167199788414917`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Normal", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     FractionBox[
      RowBox[{"fa", "[", 
       RowBox[{"x", ",", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"\[ImaginaryI]", " ", "t"}]]}], "]"}], 
      RowBox[{"ka", "[", 
       RowBox[{"x", ",", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"\[ImaginaryI]", " ", "t"}]]}], "]"}]], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "3"}], "}"}]}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.616725547695168*^9, 3.616725579885559*^9}, {
  3.616725632618218*^9, 3.61672568393783*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "48"]}], " ", "x", " ", 
  RowBox[{"Cos", "[", "t", "]"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "24"}], "+", 
    RowBox[{"13", " ", 
     SuperscriptBox["x", "2"]}], "+", 
    RowBox[{"3", " ", "x", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"x", " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"2", " ", "t"}], "]"}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"Sin", "[", "t", "]"}]}]}], ")"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.616725588091654*^9, {3.61672566256677*^9, 3.6167256860977297`*^9}, 
   3.617145443569854*^9, 3.617156561065578*^9, 3.6171638928354797`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{"Normal", "[", 
   RowBox[{"Series", "[", 
    RowBox[{
     FractionBox[
      RowBox[{"fa", "[", 
       RowBox[{"x", ",", "z"}], "]"}], 
      RowBox[{"ka", "[", 
       RowBox[{"x", ",", "z"}], "]"}]], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}]}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.616725707662883*^9, 3.616725757263261*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["x", 
   RowBox[{"4", " ", "z"}]], "+", 
  FractionBox[
   RowBox[{"x", " ", "z"}], "4"]}]], "Output",
 CellChangeTimes->{{3.61672571599529*^9, 3.616725758259357*^9}, 
   3.617145443633624*^9, 3.617156561295059*^9, 3.617163892968095*^9}]
}, Open  ]],

Cell[TextData[{
 "\n",
 Cell[BoxData[
  RowBox[{
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
      " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}]], "]"}], "+", 
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "-", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "+", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]], "]"}]}]],
  CellChangeTimes->{{3.616464437106806*^9, 3.616464463837323*^9}, 
    3.61661686309577*^9, {3.616623494241082*^9, 3.6166235060700903`*^9}, {
    3.6166236779514647`*^9, 3.616623767560142*^9}, {3.616623827704146*^9, 
    3.616623843602622*^9}, {3.616623877408938*^9, 3.6166239109799757`*^9}, {
    3.6166259480160418`*^9, 3.616625966341042*^9}, 3.616626053059684*^9, {
    3.616718164957201*^9, 3.6167181686049232`*^9}, {3.616718409657599*^9, 
    3.616718411280386*^9}, {3.616719019722987*^9, 3.616719021173242*^9}, {
    3.616719119848362*^9, 3.616719185247404*^9}, {3.616719216460268*^9, 
    3.616719240686199*^9}, 3.6167192806362762`*^9},
  FontWeight->"Bold"],
 StyleBox["==\n\n",
  FontWeight->"Bold"],
 Cell[BoxData[
  RowBox[{"Log", "[", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
      " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}]], 
    FractionBox[
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "-", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "+", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]]}], "]"}]],
  CellChangeTimes->{{3.526863579983383*^9, 3.52686376997715*^9}, {
    3.526864366908835*^9, 3.526864421950386*^9}, {3.526864465738043*^9, 
    3.526864470128272*^9}, {3.526864511752645*^9, 3.526864540717969*^9}, {
    3.52686461868226*^9, 3.526864676769116*^9}, {3.526864745111781*^9, 
    3.526864941836267*^9}, {3.5268653823962593`*^9, 3.526865411830799*^9}, {
    3.526865583614352*^9, 3.526865616250049*^9}, {3.5268668410727243`*^9, 
    3.526866951613894*^9}, {3.526866997144017*^9, 3.526867031853539*^9}, {
    3.5269110153243313`*^9, 3.526911053833042*^9}, {3.526911090924453*^9, 
    3.526911143218437*^9}, {3.526911178178719*^9, 3.526911198441057*^9}, {
    3.526911231025408*^9, 3.526911241396185*^9}, 3.526911296242857*^9, {
    3.5269119861068172`*^9, 3.526912008545348*^9}, {3.526912042252716*^9, 
    3.526912055100687*^9}, {3.526912368998558*^9, 3.526912508832904*^9}, {
    3.52691256923945*^9, 3.5269126474417267`*^9}, {3.5269129598760757`*^9, 
    3.526912967884376*^9}, {3.527588748632051*^9, 3.527588820065708*^9}, {
    3.527588852313407*^9, 3.527588945207493*^9}, {3.527817324974214*^9, 
    3.527817357432341*^9}, 3.527817406571776*^9, {3.5280350819610987`*^9, 
    3.528035085677535*^9}, {3.528482109146405*^9, 3.528482178123652*^9}, {
    3.528482522134911*^9, 3.528482608210926*^9}, {3.5284826656363897`*^9, 
    3.528482702379629*^9}, {3.5284831729892*^9, 3.5284832461391*^9}, {
    3.5284913587913647`*^9, 3.528491430765583*^9}, {3.528491467842124*^9, 
    3.528491503054963*^9}, {3.528546701631894*^9, 3.528546754687437*^9}, {
    3.5285556886335697`*^9, 3.528555785021533*^9}, {3.528556047708948*^9, 
    3.528556115553309*^9}},
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   UnderscriptBox["+", "-"], TraditionalForm]],
  FontWeight->"Bold"],
 StyleBox["  2 k \[Pi]",
  FontWeight->"Bold"],
 "      for k = 0, 1.\n\n\nIf    ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
      " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}]], "]"}], "+", 
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "-", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "+", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]], "]"}]}]],
  CellChangeTimes->{{3.616624359015871*^9, 3.616624378471843*^9}, {
   3.6166244105043697`*^9, 3.616624612244177*^9}, {3.616624651867887*^9, 
   3.6166247740787086`*^9}, {3.6166248228167667`*^9, 3.616625046122101*^9}, {
   3.616625843228551*^9, 3.616625865256153*^9}, {3.6166261174514513`*^9, 
   3.6166263652643843`*^9}},
  FontWeight->"Bold"],
 StyleBox["== 0 ",
  FontWeight->"Bold"],
 "\n\nthen   ",
 Cell[BoxData[
  RowBox[{"Log", "[", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
      " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}]], 
    FractionBox[
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "-", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "+", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]]}], "]"}]],
  CellChangeTimes->{{3.526863579983383*^9, 3.52686376997715*^9}, {
    3.526864366908835*^9, 3.526864421950386*^9}, {3.526864465738043*^9, 
    3.526864470128272*^9}, {3.526864511752645*^9, 3.526864540717969*^9}, {
    3.52686461868226*^9, 3.526864676769116*^9}, {3.526864745111781*^9, 
    3.526864941836267*^9}, {3.5268653823962593`*^9, 3.526865411830799*^9}, {
    3.526865583614352*^9, 3.526865616250049*^9}, {3.5268668410727243`*^9, 
    3.526866951613894*^9}, {3.526866997144017*^9, 3.526867031853539*^9}, {
    3.5269110153243313`*^9, 3.526911053833042*^9}, {3.526911090924453*^9, 
    3.526911143218437*^9}, {3.526911178178719*^9, 3.526911198441057*^9}, {
    3.526911231025408*^9, 3.526911241396185*^9}, 3.526911296242857*^9, {
    3.5269119861068172`*^9, 3.526912008545348*^9}, {3.526912042252716*^9, 
    3.526912055100687*^9}, {3.526912368998558*^9, 3.526912508832904*^9}, {
    3.52691256923945*^9, 3.5269126474417267`*^9}, {3.5269129598760757`*^9, 
    3.526912967884376*^9}, {3.527588748632051*^9, 3.527588820065708*^9}, {
    3.527588852313407*^9, 3.527588945207493*^9}, {3.527817324974214*^9, 
    3.527817357432341*^9}, 3.527817406571776*^9, {3.5280350819610987`*^9, 
    3.528035085677535*^9}, {3.528482109146405*^9, 3.528482178123652*^9}, {
    3.528482522134911*^9, 3.528482608210926*^9}, {3.5284826656363897`*^9, 
    3.528482702379629*^9}, {3.5284831729892*^9, 3.5284832461391*^9}, {
    3.5284913587913647`*^9, 3.528491430765583*^9}, {3.528491467842124*^9, 
    3.528491503054963*^9}, {3.528546701631894*^9, 3.528546754687437*^9}, {
    3.5285556886335697`*^9, 3.528555785021533*^9}, {3.528556047708948*^9, 
    3.528556115553309*^9}},
  FontWeight->"Bold"],
 Cell[BoxData[
  FormBox[
   UnderscriptBox["+", "-"], TraditionalForm]],
  FontWeight->"Bold"],
 StyleBox["  2 k \[Pi]",
  FontWeight->"Bold"],
 "  and since \n\n",
 StyleBox["- \[Pi] < ",
  FontWeight->"Bold"],
 Cell[BoxData[
  RowBox[{"Log", "[", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
      " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}]], 
    FractionBox[
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "-", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "+", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]]}], "]"}]],
  CellChangeTimes->{{3.526863579983383*^9, 3.52686376997715*^9}, {
    3.526864366908835*^9, 3.526864421950386*^9}, {3.526864465738043*^9, 
    3.526864470128272*^9}, {3.526864511752645*^9, 3.526864540717969*^9}, {
    3.52686461868226*^9, 3.526864676769116*^9}, {3.526864745111781*^9, 
    3.526864941836267*^9}, {3.5268653823962593`*^9, 3.526865411830799*^9}, {
    3.526865583614352*^9, 3.526865616250049*^9}, {3.5268668410727243`*^9, 
    3.526866951613894*^9}, {3.526866997144017*^9, 3.526867031853539*^9}, {
    3.5269110153243313`*^9, 3.526911053833042*^9}, {3.526911090924453*^9, 
    3.526911143218437*^9}, {3.526911178178719*^9, 3.526911198441057*^9}, {
    3.526911231025408*^9, 3.526911241396185*^9}, 3.526911296242857*^9, {
    3.5269119861068172`*^9, 3.526912008545348*^9}, {3.526912042252716*^9, 
    3.526912055100687*^9}, {3.526912368998558*^9, 3.526912508832904*^9}, {
    3.52691256923945*^9, 3.5269126474417267`*^9}, {3.5269129598760757`*^9, 
    3.526912967884376*^9}, {3.527588748632051*^9, 3.527588820065708*^9}, {
    3.527588852313407*^9, 3.527588945207493*^9}, {3.527817324974214*^9, 
    3.527817357432341*^9}, 3.527817406571776*^9, {3.5280350819610987`*^9, 
    3.528035085677535*^9}, {3.528482109146405*^9, 3.528482178123652*^9}, {
    3.528482522134911*^9, 3.528482608210926*^9}, {3.5284826656363897`*^9, 
    3.528482702379629*^9}, {3.5284831729892*^9, 3.5284832461391*^9}, {
    3.5284913587913647`*^9, 3.528491430765583*^9}, {3.528491467842124*^9, 
    3.528491503054963*^9}, {3.528546701631894*^9, 3.528546754687437*^9}, {
    3.5285556886335697`*^9, 3.528555785021533*^9}, {3.528556047708948*^9, 
    3.528556115553309*^9}},
  FontWeight->"Bold"],
 StyleBox["<  \[Pi]   ",
  FontWeight->"Bold"],
 "\nthen also   \n\n",
 Cell[BoxData[
  RowBox[{"Log", "[", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
      " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}]], 
    FractionBox[
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "-", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "+", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]]}], "]"}]],
  CellChangeTimes->{{3.526863579983383*^9, 3.52686376997715*^9}, {
    3.526864366908835*^9, 3.526864421950386*^9}, {3.526864465738043*^9, 
    3.526864470128272*^9}, {3.526864511752645*^9, 3.526864540717969*^9}, {
    3.52686461868226*^9, 3.526864676769116*^9}, {3.526864745111781*^9, 
    3.526864941836267*^9}, {3.5268653823962593`*^9, 3.526865411830799*^9}, {
    3.526865583614352*^9, 3.526865616250049*^9}, {3.5268668410727243`*^9, 
    3.526866951613894*^9}, {3.526866997144017*^9, 3.526867031853539*^9}, {
    3.5269110153243313`*^9, 3.526911053833042*^9}, {3.526911090924453*^9, 
    3.526911143218437*^9}, {3.526911178178719*^9, 3.526911198441057*^9}, {
    3.526911231025408*^9, 3.526911241396185*^9}, 3.526911296242857*^9, {
    3.5269119861068172`*^9, 3.526912008545348*^9}, {3.526912042252716*^9, 
    3.526912055100687*^9}, {3.526912368998558*^9, 3.526912508832904*^9}, {
    3.52691256923945*^9, 3.5269126474417267`*^9}, {3.5269129598760757`*^9, 
    3.526912967884376*^9}, {3.527588748632051*^9, 3.527588820065708*^9}, {
    3.527588852313407*^9, 3.527588945207493*^9}, {3.527817324974214*^9, 
    3.527817357432341*^9}, 3.527817406571776*^9, {3.5280350819610987`*^9, 
    3.528035085677535*^9}, {3.528482109146405*^9, 3.528482178123652*^9}, {
    3.528482522134911*^9, 3.528482608210926*^9}, {3.5284826656363897`*^9, 
    3.528482702379629*^9}, {3.5284831729892*^9, 3.5284832461391*^9}, {
    3.5284913587913647`*^9, 3.528491430765583*^9}, {3.528491467842124*^9, 
    3.528491503054963*^9}, {3.528546701631894*^9, 3.528546754687437*^9}, {
    3.5285556886335697`*^9, 3.528555785021533*^9}, {3.528556047708948*^9, 
    3.528556115553309*^9}},
  FontWeight->"Bold"],
 StyleBox["== 0.  ",
  FontWeight->"Bold"],
 "\n\nIf  ",
 Cell[BoxData[
  StyleBox[
   RowBox[{"Log", "[", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"x", " ", 
          RowBox[{"(", 
           RowBox[{
            FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
       " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"x", " ", 
          RowBox[{"(", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "+", "z"}], ")"}], 
             FractionBox[
              RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
        ")"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"x", " ", 
          RowBox[{"(", 
           RowBox[{
            FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
        ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"x", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "z"}], ")"}], 
             FractionBox[
              RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
        ")"}]}]], 
     FractionBox[
      RowBox[{
       RowBox[{"z", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          FractionBox[
           SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
       RowBox[{
        FractionBox[
         SuperscriptBox["x", "2"], "2"], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           SuperscriptBox["x", "2"], "2"], "-", " ", 
          RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
      RowBox[{
       RowBox[{"z", " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          FractionBox[
           SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
       RowBox[{
        FractionBox[
         SuperscriptBox["x", "2"], "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           SuperscriptBox["x", "2"], "2"], "+", " ", 
          RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]]}], "]"}],
   FontWeight->"Bold"]],
  CellChangeTimes->{{3.526863579983383*^9, 3.52686376997715*^9}, {
    3.526864366908835*^9, 3.526864421950386*^9}, {3.526864465738043*^9, 
    3.526864470128272*^9}, {3.526864511752645*^9, 3.526864540717969*^9}, {
    3.52686461868226*^9, 3.526864676769116*^9}, {3.526864745111781*^9, 
    3.526864941836267*^9}, {3.5268653823962593`*^9, 3.526865411830799*^9}, {
    3.526865583614352*^9, 3.526865616250049*^9}, {3.5268668410727243`*^9, 
    3.526866951613894*^9}, {3.526866997144017*^9, 3.526867031853539*^9}, {
    3.5269110153243313`*^9, 3.526911053833042*^9}, {3.526911090924453*^9, 
    3.526911143218437*^9}, {3.526911178178719*^9, 3.526911198441057*^9}, {
    3.526911231025408*^9, 3.526911241396185*^9}, 3.526911296242857*^9, {
    3.5269119861068172`*^9, 3.526912008545348*^9}, {3.526912042252716*^9, 
    3.526912055100687*^9}, {3.526912368998558*^9, 3.526912508832904*^9}, {
    3.52691256923945*^9, 3.5269126474417267`*^9}, {3.5269129598760757`*^9, 
    3.526912967884376*^9}, {3.527588748632051*^9, 3.527588820065708*^9}, {
    3.527588852313407*^9, 3.527588945207493*^9}, {3.527817324974214*^9, 
    3.527817357432341*^9}, 3.527817406571776*^9, {3.5280350819610987`*^9, 
    3.528035085677535*^9}, {3.528482109146405*^9, 3.528482178123652*^9}, {
    3.528482522134911*^9, 3.528482608210926*^9}, {3.5284826656363897`*^9, 
    3.528482702379629*^9}, {3.5284831729892*^9, 3.5284832461391*^9}, {
    3.5284913587913647`*^9, 3.528491430765583*^9}, {3.528491467842124*^9, 
    3.528491503054963*^9}, {3.528546701631894*^9, 3.528546754687437*^9}, {
    3.5285556886335697`*^9, 3.528555785021533*^9}, {3.528556047708948*^9, 
    3.528556115553309*^9}}],
 StyleBox["== 0",
  FontWeight->"Bold"],
 ", then also \n",
 Cell[BoxData[
  RowBox[{
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
      " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}]], "]"}], "+", 
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "-", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "+", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]], "]"}]}]],
  CellChangeTimes->{{3.616624359015871*^9, 3.616624378471843*^9}, {
   3.6166244105043697`*^9, 3.616624612244177*^9}, {3.616624651867887*^9, 
   3.6166247740787086`*^9}, {3.6166248228167667`*^9, 3.616625046122101*^9}, {
   3.616625843228551*^9, 3.616625865256153*^9}, {3.6166261174514513`*^9, 
   3.6166263652643843`*^9}},
  FontWeight->"Bold"],
 StyleBox["==",
  FontWeight->"Bold"],
 "   2k \[Pi]\n\nwhich implies k=0 because ",
 Cell[BoxData[
  RowBox[{"|", 
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "-", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
     RowBox[{
      RowBox[{"z", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         FractionBox[
          SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
      RowBox[{
       FractionBox[
        SuperscriptBox["x", "2"], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"], "+", " ", 
         RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]], "]"}], "|", 
   RowBox[{"\[LessEqual]", 
    RowBox[{"\[Pi]", "   ", "and"}]}], "  ", "|", 
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
      " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "z"}], ")"}], 
            FractionBox[
             RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
       ")"}]}]], "]"}], "|", 
   RowBox[{"<", 
    RowBox[{"\[Pi]", "."}]}]}]],
  CellChangeTimes->{{3.526863579983383*^9, 3.52686376997715*^9}, {
    3.526864366908835*^9, 3.526864421950386*^9}, {3.526864465738043*^9, 
    3.526864470128272*^9}, {3.526864511752645*^9, 3.526864540717969*^9}, {
    3.52686461868226*^9, 3.526864676769116*^9}, {3.526864745111781*^9, 
    3.526864941836267*^9}, {3.5268653823962593`*^9, 3.526865411830799*^9}, {
    3.526865583614352*^9, 3.526865616250049*^9}, {3.5268668410727243`*^9, 
    3.526866951613894*^9}, {3.526866997144017*^9, 3.526867031853539*^9}, {
    3.5269110153243313`*^9, 3.526911053833042*^9}, {3.526911090924453*^9, 
    3.526911143218437*^9}, {3.526911178178719*^9, 3.526911198441057*^9}, {
    3.526911231025408*^9, 3.526911241396185*^9}, 3.526911296242857*^9, {
    3.5269119861068172`*^9, 3.526912008545348*^9}, {3.526912042252716*^9, 
    3.526912055100687*^9}, {3.526912368998558*^9, 3.526912508832904*^9}, {
    3.52691256923945*^9, 3.5269126474417267`*^9}, {3.5269129598760757`*^9, 
    3.526912967884376*^9}, {3.527588748632051*^9, 3.527588820065708*^9}, {
    3.527588852313407*^9, 3.527588945207493*^9}, {3.527817324974214*^9, 
    3.527817357432341*^9}, 3.527817406571776*^9, {3.5280350819610987`*^9, 
    3.528035085677535*^9}, {3.528482109146405*^9, 3.528482178123652*^9}, {
    3.528482522134911*^9, 3.528482608210926*^9}, {3.5284826656363897`*^9, 
    3.528482702379629*^9}, {3.5284831729892*^9, 3.5284832461391*^9}, {
    3.5284913587913647`*^9, 3.528491430765583*^9}, {3.528491467842124*^9, 
    3.528491503054963*^9}, {3.528546701631894*^9, 3.528546754687437*^9}, {
    3.5285556886335697`*^9, 3.528555785021533*^9}, {3.528556047708948*^9, 
    3.528556115553309*^9}},
  FontWeight->"Bold"],
 "\nThus, we have to solve \n\n",
 Cell[BoxData[
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"x", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}], 
     " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"x", " ", 
        RowBox[{"(", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "+", "z"}], ")"}], 
           FractionBox[
            RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}], 
      ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"x", " ", 
        RowBox[{"(", 
         RowBox[{
          FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
      ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"x", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "z"}], ")"}], 
           FractionBox[
            RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}], 
      ")"}]}]], 
   FractionBox[
    RowBox[{
     RowBox[{"z", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
     RowBox[{
      FractionBox[
       SuperscriptBox["x", "2"], "2"], 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "2"], "-", " ", 
        RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
    RowBox[{
     RowBox[{"z", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
     RowBox[{
      FractionBox[
       SuperscriptBox["x", "2"], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "2"], "+", " ", 
        RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]]}]],
  CellChangeTimes->{{3.526863579983383*^9, 3.52686376997715*^9}, {
    3.526864366908835*^9, 3.526864421950386*^9}, {3.526864465738043*^9, 
    3.526864470128272*^9}, {3.526864511752645*^9, 3.526864540717969*^9}, {
    3.52686461868226*^9, 3.526864676769116*^9}, {3.526864745111781*^9, 
    3.526864941836267*^9}, {3.5268653823962593`*^9, 3.526865411830799*^9}, {
    3.526865583614352*^9, 3.526865616250049*^9}, {3.5268668410727243`*^9, 
    3.526866951613894*^9}, {3.526866997144017*^9, 3.526867031853539*^9}, {
    3.5269110153243313`*^9, 3.526911053833042*^9}, {3.526911090924453*^9, 
    3.526911143218437*^9}, {3.526911178178719*^9, 3.526911198441057*^9}, {
    3.526911231025408*^9, 3.526911241396185*^9}, 3.526911296242857*^9, {
    3.5269119861068172`*^9, 3.526912008545348*^9}, {3.526912042252716*^9, 
    3.526912055100687*^9}, {3.526912368998558*^9, 3.526912508832904*^9}, {
    3.52691256923945*^9, 3.5269126474417267`*^9}, {3.5269129598760757`*^9, 
    3.526912967884376*^9}, {3.527588748632051*^9, 3.527588820065708*^9}, {
    3.527588852313407*^9, 3.527588945207493*^9}, {3.527817324974214*^9, 
    3.527817357432341*^9}, 3.527817406571776*^9, {3.5280350819610987`*^9, 
    3.528035085677535*^9}, {3.528482109146405*^9, 3.528482178123652*^9}, {
    3.528482522134911*^9, 3.528482608210926*^9}, {3.5284826656363897`*^9, 
    3.528482702379629*^9}, {3.5284831729892*^9, 3.5284832461391*^9}, {
    3.5284913587913647`*^9, 3.528491430765583*^9}, {3.528491467842124*^9, 
    3.528491503054963*^9}, {3.528546701631894*^9, 3.528546754687437*^9}, {
    3.5285556886335697`*^9, 3.528555785021533*^9}, {3.528556047708948*^9, 
    3.528556115553309*^9}},
  FontWeight->"Bold"],
 "==1   \n"
}], "Text",
 CellChangeTimes->{{3.528555817094348*^9, 3.528555821292704*^9}, {
   3.528556152333424*^9, 3.52855623901966*^9}, {3.5285563212951517`*^9, 
   3.5285563991789837`*^9}, {3.5285564588461*^9, 3.528556607857954*^9}, 
   3.528557871877509*^9, {3.528558207252351*^9, 3.5285582127233143`*^9}, {
   3.528590018381261*^9, 3.528590019258423*^9}, {3.5286382645489283`*^9, 
   3.528638299586668*^9}, {3.528638341472727*^9, 3.528638598847128*^9}, {
   3.543796566038723*^9, 3.5437965690738964`*^9}, {3.5437966176766768`*^9, 
   3.5437966176766768`*^9}, {3.5437970921998177`*^9, 
   3.5437971071266713`*^9}, {3.5437972532160273`*^9, 
   3.5437973644993925`*^9}, {3.5437973984203324`*^9, 
   3.5437975318739653`*^9}, {3.543797578335623*^9, 3.5437976231541862`*^9}, {
   3.5439477905437717`*^9, 3.543947831380286*^9}, {3.543947863361126*^9, 
   3.543947870876501*^9}, {3.543947967188757*^9, 3.5439479834561357`*^9}, {
   3.543948936530293*^9, 3.543948957147154*^9}, 3.54394899326044*^9, {
   3.5439490318480263`*^9, 3.543949035659048*^9}, {3.543949068940342*^9, 
   3.5439490813807707`*^9}, {3.5439492076315403`*^9, 3.54394923614884*^9}, {
   3.543949315967502*^9, 3.5439493677284718`*^9}, {3.5439494069968777`*^9, 
   3.543949430347837*^9}, {3.5439495345390997`*^9, 3.543949568026125*^9}, {
   3.543949959972149*^9, 3.543949972003565*^9}, {3.543950067229566*^9, 
   3.543950071073935*^9}, {3.543950749925161*^9, 3.543950750814623*^9}, {
   3.543950887410397*^9, 3.543950897668929*^9}, {3.543951036542204*^9, 
   3.543951113679227*^9}, 3.5439511807925043`*^9, {3.543951234536502*^9, 
   3.543951280117782*^9}, {3.543951353414948*^9, 3.543951354774974*^9}, {
   3.543951621681353*^9, 3.543951759277535*^9}, {3.544064437323127*^9, 
   3.544064442434966*^9}, {3.544064537161481*^9, 3.544064537914689*^9}, {
   3.596995862449625*^9, 3.5969960079973497`*^9}, {3.596996136733198*^9, 
   3.5969962326802807`*^9}, {3.596996274410345*^9, 3.596996344526366*^9}, {
   3.5970766008635283`*^9, 3.597076602430306*^9}, {3.597081623350687*^9, 
   3.597081631155718*^9}, {3.597081667109982*^9, 3.597081778669034*^9}, {
   3.597083800266755*^9, 3.597083909005817*^9}, {3.597083948111335*^9, 
   3.5970839812771673`*^9}, {3.5970840133946247`*^9, 
   3.5970840645179453`*^9}, {3.597084099718042*^9, 3.597084252710824*^9}, {
   3.597272769352169*^9, 3.597272779457988*^9}, {3.605851879774715*^9, 
   3.605851883616441*^9}, {3.6166265251645*^9, 3.616626635122286*^9}, {
   3.616626667112831*^9, 3.6166267845823708`*^9}, 3.61671948427395*^9, {
   3.616719541955861*^9, 3.6167195737160997`*^9}, {3.616719621320355*^9, 
   3.616719674715226*^9}, {3.616719706688471*^9, 3.616719784055401*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"x", " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], 
           ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"x", " ", 
             RowBox[{"(", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", "z"}], ")"}], 
                FractionBox[
                 RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], 
              ")"}]}]}], ")"}]}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"x", " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
           ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"x", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "-", "z"}], ")"}], 
                FractionBox[
                 RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], 
              ")"}]}]}], ")"}]}]], 
        FractionBox[
         RowBox[{
          RowBox[{"z", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             FractionBox[
              SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
          RowBox[{
           FractionBox[
            SuperscriptBox["x", "2"], "2"], 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "2"], "-", " ", 
             RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
         RowBox[{
          RowBox[{"z", " ", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             FractionBox[
              SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
          RowBox[{
           FractionBox[
            SuperscriptBox["x", "2"], "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "2"], "+", " ", 
             RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]]}], "==", "1"}],
       ",", "z"}], "]"}], ",", 
    RowBox[{"Assumptions", "\[Rule]", 
     RowBox[{"1", ">", "x", ">", "0"}]}]}], "]"}], "==", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"z", "\[Rule]", " ", 
      RowBox[{"\[ImaginaryI]", 
       FractionBox["x", 
        RowBox[{"2", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]]}], ")"}]}]]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"z", "\[Rule]", 
      FractionBox[
       RowBox[{"2", " ", "\[ImaginaryI]", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "4"]}]]}], ")"}]}], "x"]}], "}"}]}], 
   "}"}]}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.528588920039487*^9, 3.528588927939135*^9}, {
   3.5285894445104637`*^9, 3.528589446836197*^9}, {3.52859025162614*^9, 
   3.528590253965033*^9}, 3.528596261371303*^9, 3.5286004308653803`*^9, {
   3.52860047825082*^9, 3.5286005025082817`*^9}, {3.530215056508711*^9, 
   3.530215082234561*^9}, {3.531275546636991*^9, 3.531275547966235*^9}, {
   3.543951772328038*^9, 3.543951812331337*^9}, {3.616626788724819*^9, 
   3.616626809644763*^9}, {3.616626891160088*^9, 3.616626906077282*^9}, {
   3.6167198042473392`*^9, 3.6167198061275063`*^9}, 3.616719844377939*^9, {
   3.616725806641116*^9, 3.616725873792379*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6166270551544333`*^9, 3.616627102955146*^9}, {
   3.616719822752716*^9, 3.616719833301688*^9}, 3.616725803482485*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox["x", "2"], "-", "\[ImaginaryI]"}], ")"}]}]}], ")"}],
          " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"x", " ", 
            RowBox[{"(", " ", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "+", "z"}], ")"}], 
               FractionBox[
                RowBox[{" ", "x"}], "2"]}], "-", "\[ImaginaryI]"}], ")"}]}]}],
           ")"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox["x", "2"], "+", " ", "\[ImaginaryI]"}], ")"}]}]}], 
          ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", "z"}], ")"}], 
               FractionBox[
                RowBox[{" ", "x"}], "2"]}], "+", "\[ImaginaryI]"}], ")"}]}]}],
           ")"}]}]], 
       FractionBox[
        RowBox[{
         RowBox[{"z", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox[
             SuperscriptBox["x", "4"], "4"]}], ")"}]}], "+", " ", 
         RowBox[{
          FractionBox[
           SuperscriptBox["x", "2"], "2"], 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "2"], "-", " ", 
            RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}], 
        RowBox[{
         RowBox[{"z", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox[
             SuperscriptBox["x", "4"], "4"]}], ")"}]}], "-", 
         RowBox[{
          FractionBox[
           SuperscriptBox["x", "2"], "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "2"], "+", " ", 
            RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}]}]]}], "-", "1"}], "/.", 
     RowBox[{"{", 
      RowBox[{"z", "\[Rule]", " ", 
       RowBox[{"\[ImaginaryI]", 
        FractionBox["x", 
         RowBox[{"2", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            SqrtBox[
             RowBox[{"1", "-", 
              FractionBox[
               SuperscriptBox["x", "2"], "4"]}]]}], ")"}]}]]}]}], "}"}]}], 
    ")"}], "\[Equal]", "0"}], "]"}]], "Input",
 CellChangeTimes->{{3.616627135257659*^9, 3.616627177479744*^9}, {
  3.6167198663189363`*^9, 3.616719874478722*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.616627153333873*^9, 3.616627178195874*^9}, 
   3.6167198783314734`*^9, 3.6167200757354593`*^9, 3.6167259073608913`*^9, 
   3.6171454438036947`*^9, 3.617156561363991*^9, 3.6171638930268707`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"pole1", "[", "x_", "]"}], ":=", 
    RowBox[{"\[ImaginaryI]", 
     FractionBox["x", 
      RowBox[{"2", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]]}], ")"}]}]]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pole2", "[", "x_", "]"}], ":=", 
   FractionBox[
    RowBox[{"2", " ", "\[ImaginaryI]", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "4"]}]]}], ")"}]}], "x"]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.616627192338566*^9, 3.616627234291328*^9}, {
  3.616719882915779*^9, 3.6167198948897667`*^9}, {3.6167200370784473`*^9, 
  3.616720041203561*^9}}],

Cell[TextData[{
 "============================   Residue at pole of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["z", 
    RowBox[{"-", "k"}]], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{"H", "[", 
     RowBox[{"n", ",", "z"}], "]"}], 
    RowBox[{"K", "[", 
     RowBox[{"n", ",", "z"}], "]"}]], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox["1", 
     RowBox[{"\[ImaginaryI]", " ", "z"}]], " "}], TraditionalForm]]],
 "=",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SuperscriptBox["z", 
     RowBox[{
      RowBox[{"-", "k"}], "-", "1"}]]}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{"H", "[", 
     RowBox[{"n", ",", "z"}], "]"}], 
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"K", "[", 
      RowBox[{"n", ",", "z"}], "]"}]}]], TraditionalForm]]]
}], "Text",
 CellChangeTimes->{{3.616632513413953*^9, 3.6166325160940104`*^9}, {
  3.616723485231303*^9, 3.616723493018219*^9}, {3.616726289416525*^9, 
  3.6167263902490377`*^9}, {3.617145281888872*^9, 3.617145284785604*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"dka", "[", 
    RowBox[{"x_", ",", "z_"}], "]"}], ":=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"ka", "[", 
      RowBox[{"x", ",", "z"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "1"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616625706111012*^9, 3.6166257284649773`*^9}, {
  3.616625812854313*^9, 3.616625823541058*^9}, {3.6166325261326838`*^9, 
  3.61663254011567*^9}, {3.616719919216033*^9, 3.616719920038913*^9}, {
  3.616719997489946*^9, 3.616720010052457*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"dka", "[", 
    RowBox[{"x", ",", "z"}], "]"}], "/.", 
   RowBox[{"z", "\[Rule]", " ", 
    RowBox[{"pole1", "[", "x", "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6166325474181223`*^9, 3.616632558898666*^9}, {
  3.616632591604322*^9, 3.6166325990398483`*^9}, {3.616720024128241*^9, 
  3.616720032115074*^9}}],

Cell[BoxData[
 RowBox[{"\[ImaginaryI]", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    SuperscriptBox["x", "2"]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{"4", "-", 
    SuperscriptBox["x", "2"], "+", 
    RowBox[{"2", " ", 
     SqrtBox[
      RowBox[{"4", "-", 
       SuperscriptBox["x", "2"]}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.6166325604708977`*^9, {3.616632601802329*^9, 3.616632610728938*^9}, {
   3.6167200545708733`*^9, 3.616720075863963*^9}, 3.617145443936584*^9, 
   3.617156561513773*^9, 3.617163893151021*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"fa", "[", 
     RowBox[{"x", ",", "z"}], "]"}], "/.", 
    RowBox[{"z", "\[Rule]", " ", 
     RowBox[{"pole1", "[", "x", "]"}]}]}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{
     RowBox[{"1", "/", "8"}], ">", " ", "x", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6166326257378387`*^9, 3.616632674135899*^9}, {
  3.616632910937044*^9, 3.616633462980444*^9}, {3.616633513921358*^9, 
  3.6166335491223307`*^9}, {3.6167201334443903`*^9, 3.6167201738048058`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Log", "[", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"x", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "\[ImaginaryI]"}], "+", "x"}], ")"}]}]}], ")"}], 
     " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       SuperscriptBox["x", "2"], "+", 
       RowBox[{"\[ImaginaryI]", " ", "x", " ", 
        SqrtBox[
         RowBox[{"4", "-", 
          SuperscriptBox["x", "2"]}]]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"x", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}], "+", "x"}], ")"}]}]}], 
      ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       SuperscriptBox["x", "2"], "-", 
       RowBox[{"\[ImaginaryI]", " ", "x", " ", 
        SqrtBox[
         RowBox[{"4", "-", 
          SuperscriptBox["x", "2"]}]]}]}], ")"}]}]], "]"}], "+", 
  RowBox[{"Log", "[", 
   FractionBox[
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", 
        SqrtBox[
         RowBox[{"4", "-", 
          SuperscriptBox["x", "2"]}]]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["x", "3"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "\[ImaginaryI]"}], "+", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], " ", "x"}], "+", 
           SqrtBox[
            RowBox[{"4", "-", 
             SuperscriptBox["x", "2"]}]]}], ")"}]}]}], ")"}]}]}], 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", 
        SqrtBox[
         RowBox[{"4", "-", 
          SuperscriptBox["x", "2"]}]]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox["x", "3"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}], "+", 
        RowBox[{"x", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[ImaginaryI]", " ", "x"}], "+", 
           SqrtBox[
            RowBox[{"4", "-", 
             SuperscriptBox["x", "2"]}]]}], ")"}]}]}], ")"}]}]}]], 
   "]"}]}]], "Output",
 CellChangeTimes->{{3.616632629230927*^9, 3.616632641008038*^9}, 
   3.616632675792444*^9, 3.61663291237418*^9, 3.616632944748343*^9, {
   3.616633006442768*^9, 3.616633044831462*^9}, {3.616633088000617*^9, 
   3.616633107606942*^9}, 3.616633158949095*^9, {3.6166332463701468`*^9, 
   3.616633272541253*^9}, {3.61663331716311*^9, 3.6166333667900143`*^9}, {
   3.616633406823875*^9, 3.6166334246229277`*^9}, 3.6166334667388*^9, {
   3.616633523495428*^9, 3.6166335498678293`*^9}, 3.6167200814210443`*^9, {
   3.6167201626731052`*^9, 3.616720176418364*^9}, 3.6171454452235613`*^9, 
   3.617156562792232*^9, 3.617163894423319*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"x", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "\[ImaginaryI]"}], "+", "x"}], ")"}]}]}], 
         ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          SuperscriptBox["x", "2"], "+", 
          RowBox[{"\[ImaginaryI]", " ", "x", " ", 
           SqrtBox[
            RowBox[{"4", "-", 
             SuperscriptBox["x", "2"]}]]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          RowBox[{"x", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}], "+", "x"}], 
            ")"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          SuperscriptBox["x", "2"], "-", 
          RowBox[{"\[ImaginaryI]", " ", "x", " ", 
           SqrtBox[
            RowBox[{"4", "-", 
             SuperscriptBox["x", "2"]}]]}]}], ")"}]}]], "]"}], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           SqrtBox[
            RowBox[{"4", "-", 
             SuperscriptBox["x", "2"]}]]}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["x", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "\[ImaginaryI]"}], "+", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "\[ImaginaryI]"}], " ", "x"}], "+", 
              SqrtBox[
               RowBox[{"4", "-", 
                SuperscriptBox["x", "2"]}]]}], ")"}]}]}], ")"}]}]}], 
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", 
           SqrtBox[
            RowBox[{"4", "-", 
             SuperscriptBox["x", "2"]}]]}], ")"}]}], "+", 
        RowBox[{
         SuperscriptBox["x", "3"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}], "+", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[ImaginaryI]", " ", "x"}], "+", 
              SqrtBox[
               RowBox[{"4", "-", 
                SuperscriptBox["x", "2"]}]]}], ")"}]}]}], ")"}]}]}]], "]"}], 
     "-", 
     RowBox[{"fa", "[", 
      RowBox[{"x", ",", "z"}], "]"}]}], "/.", 
    RowBox[{"z", "\[Rule]", " ", 
     RowBox[{"pole1", "[", "x", "]"}]}]}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{
     RowBox[{"1", "/", "8"}], ">", " ", 
     RowBox[{"Rcfn", "[", 
      RowBox[{
       RowBox[{"2", "n"}], "-", "1"}], "]"}], ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616633928641591*^9, 3.6166339374614277`*^9}, {
  3.616633995954192*^9, 3.6166340281273413`*^9}, {3.6166340902974987`*^9, 
  3.616634153444557*^9}, {3.6167202097355967`*^9, 3.616720230895692*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.616633938657097*^9, 3.616634000871278*^9, {3.616634129759345*^9, 
   3.6166341543452787`*^9}, 3.61672008280825*^9, {3.61672021777542*^9, 
   3.616720232163394*^9}, 3.617145445545887*^9, 3.6171565632506933`*^9, 
   3.617163894613196*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Series", "[", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", "\[ImaginaryI]"}], "+", "x"}], ")"}]}]}], 
          ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           SuperscriptBox["x", "2"], "+", 
           RowBox[{"\[ImaginaryI]", " ", "x", " ", 
            SqrtBox[
             RowBox[{"4", "-", 
              SuperscriptBox["x", "2"]}]]}]}], ")"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           RowBox[{"x", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}], "+", "x"}], 
             ")"}]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           SuperscriptBox["x", "2"], "-", 
           RowBox[{"\[ImaginaryI]", " ", "x", " ", 
            SqrtBox[
             RowBox[{"4", "-", 
              SuperscriptBox["x", "2"]}]]}]}], ")"}]}]], "]"}], "+", 
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            SqrtBox[
             RowBox[{"4", "-", 
              SuperscriptBox["x", "2"]}]]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["x", "3"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "\[ImaginaryI]"}], "+", 
            RowBox[{"x", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "\[ImaginaryI]"}], " ", "x"}], "+", 
               SqrtBox[
                RowBox[{"4", "-", 
                 SuperscriptBox["x", "2"]}]]}], ")"}]}]}], ")"}]}]}], 
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{"2", "+", 
            SqrtBox[
             RowBox[{"4", "-", 
              SuperscriptBox["x", "2"]}]]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["x", "3"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}], "+", 
            RowBox[{"x", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[ImaginaryI]", " ", "x"}], "+", 
               SqrtBox[
                RowBox[{"4", "-", 
                 SuperscriptBox["x", "2"]}]]}], ")"}]}]}], ")"}]}]}]], 
       "]"}]}], 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        SuperscriptBox["x", "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"4", "-", 
        SuperscriptBox["x", "2"], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"4", "-", 
           SuperscriptBox["x", "2"]}]]}]}], ")"}]}]], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "4"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.6166327777329063`*^9, 3.616632846149246*^9}, {
   3.616634221263986*^9, 3.616634228832204*^9}, {3.616634260785877*^9, 
   3.6166343342373857`*^9}, {3.616634369834852*^9, 3.6166344111913958`*^9}, {
   3.616720284135571*^9, 3.616720314839304*^9}, {3.6167240275658693`*^9, 
   3.6167240353907127`*^9}, {3.61672615693248*^9, 3.6167261779827433`*^9}, {
   3.616726262507913*^9, 3.616726268563374*^9}, 3.617156597837182*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["x", "4"], "+", 
  FractionBox[
   RowBox[{"35", " ", 
    SuperscriptBox["x", "3"]}], "192"]}]], "Output",
 CellChangeTimes->{{3.616632808526396*^9, 3.6166328150211353`*^9}, 
   3.616632848002512*^9, {3.6166342416458817`*^9, 3.6166342714636927`*^9}, 
   3.616634317358891*^9, 3.6166343871318083`*^9, 3.616720082871752*^9, 
   3.616720320265038*^9, {3.616724009007688*^9, 3.6167240407846403`*^9}, {
   3.616726159860553*^9, 3.6167261799087887`*^9}, 3.616726270129147*^9, 
   3.6171454457126417`*^9, 3.617156563361326*^9, 3.617156601606332*^9, 
   3.6171569249230947`*^9, 3.617163894656528*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ResP1", "[", 
    RowBox[{"m_", ",", "n_", ",", "t_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"\[ImaginaryI]", 
       FractionBox["x", 
        RowBox[{"2", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]]}], ")"}]}]]}], ")"}], 
     RowBox[{
      RowBox[{"-", "m"}], "-", "1"}]], 
    FractionBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"x", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", "\[ImaginaryI]"}], "+", "x"}], ")"}]}]}], 
           ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            SuperscriptBox["x", "2"], "+", 
            RowBox[{"\[ImaginaryI]", " ", "x", " ", 
             SqrtBox[
              RowBox[{"4", "-", 
               SuperscriptBox["x", "2"]}]]}]}], ")"}]}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"x", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}], "+", "x"}], 
              ")"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            SuperscriptBox["x", "2"], "-", 
            RowBox[{"\[ImaginaryI]", " ", "x", " ", 
             SqrtBox[
              RowBox[{"4", "-", 
               SuperscriptBox["x", "2"]}]]}]}], ")"}]}]], "]"}], "+", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"(", 
            RowBox[{"2", "+", 
             SqrtBox[
              RowBox[{"4", "-", 
               SuperscriptBox["x", "2"]}]]}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["x", "3"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "\[ImaginaryI]"}], "+", 
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "\[ImaginaryI]"}], " ", "x"}], "+", 
                SqrtBox[
                 RowBox[{"4", "-", 
                  SuperscriptBox["x", "2"]}]]}], ")"}]}]}], ")"}]}]}], 
         RowBox[{
          RowBox[{"4", " ", 
           RowBox[{"(", 
            RowBox[{"2", "+", 
             SqrtBox[
              RowBox[{"4", "-", 
               SuperscriptBox["x", "2"]}]]}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["x", "3"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}], "+", 
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"\[ImaginaryI]", " ", "x"}], "+", 
                SqrtBox[
                 RowBox[{"4", "-", 
                  SuperscriptBox["x", "2"]}]]}], ")"}]}]}], ")"}]}]}]], 
        "]"}]}], ")"}], 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        SuperscriptBox["x", "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"4", "-", 
        SuperscriptBox["x", "2"], "+", 
        RowBox[{"2", " ", 
         SqrtBox[
          RowBox[{"4", "-", 
           SuperscriptBox["x", "2"]}]]}]}], ")"}]}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6166346088580112`*^9, 3.61663479255096*^9}, 
   3.616720342220975*^9, {3.616720376332356*^9, 3.6167204240728083`*^9}, 
   3.616720483810987*^9, 3.616721851159778*^9, 3.6167264282717953`*^9, 
   3.6171452987412558`*^9, 3.61715674071798*^9, 3.6171568878983*^9, {
   3.617156956684636*^9, 3.617156959906425*^9}, 3.6171570651322517`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["\[ImaginaryI]", 
      RowBox[{
       RowBox[{"-", "m"}], "-", "1"}]], 
     FractionBox[
      SuperscriptBox["x", 
       RowBox[{
        RowBox[{"-", "m"}], "-", "1"}]], 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{
         RowBox[{"-", "m"}], "-", "1"}]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
        RowBox[{
         RowBox[{"-", "m"}], "-", "1"}]]}]], 
     FractionBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Log", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox["x", "2"], "+", "\[ImaginaryI]"}], ")"}]}]}], 
            ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "2"], "-", 
             RowBox[{"\[ImaginaryI]", " ", "x", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 SuperscriptBox["x", "2"], "4"]}]]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox["x", "2"], "-", " ", "\[ImaginaryI]"}], ")"}]}]}],
             ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "2"], "+", 
             RowBox[{"\[ImaginaryI]", " ", "x", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 SuperscriptBox["x", "2"], "4"]}]]}]}], ")"}]}]], "]"}], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]], "+", 
           RowBox[{
            FractionBox[
             SuperscriptBox["x", "3"], "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"x", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", 
                  SqrtBox[
                   RowBox[{"1", "-", 
                    FractionBox[
                    SuperscriptBox["x", "2"], "4"]}]]}], "-", 
                 RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}], "+", 
              RowBox[{"2", " ", "\[ImaginaryI]"}]}], ")"}]}]}], 
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
              SuperscriptBox["x", "3"], " "}], "8"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"x", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", 
                  SqrtBox[
                   RowBox[{"1", "-", 
                    FractionBox[
                    SuperscriptBox["x", "2"], "4"]}]]}], "+", 
                 RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}], "-", 
              RowBox[{"2", " ", "\[ImaginaryI]"}]}], ")"}]}]}]], "]"}]}], 
       ")"}], 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", 
         SuperscriptBox["x", "2"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"4", "-", 
         SuperscriptBox["x", "2"], "+", 
         RowBox[{"2", " ", 
          SqrtBox[
           RowBox[{"4", "-", 
            SuperscriptBox["x", "2"]}]]}]}], ")"}]}]]}], "-", 
    RowBox[{"ResP1", "[", 
     RowBox[{"m", ",", "n", ",", "t"}], "]"}]}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"1", ">", " ", "x", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616720437681933*^9, 3.616720576298545*^9}, {
   3.616720610312141*^9, 3.6167207430867357`*^9}, {3.6167213806577883`*^9, 
   3.616721702259302*^9}, {3.616721734505225*^9, 3.616721734570685*^9}, {
   3.6167217656357937`*^9, 3.6167218210485353`*^9}, 3.6167218576096478`*^9, {
   3.616726451422616*^9, 3.616726451946493*^9}, {3.617145308799325*^9, 
   3.617145344294607*^9}, {3.617157015449917*^9, 3.617157027249792*^9}, 
   3.617157110256915*^9, {3.617157143220487*^9, 3.6171571526906776`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.616720477601184*^9, 3.616720486195587*^9}, {
   3.6167205520420322`*^9, 3.6167205794798317`*^9}, 3.616720613026635*^9, 
   3.616720677581253*^9, 3.616721399515849*^9, {3.616721432979939*^9, 
   3.616721461339003*^9}, 3.616721504239266*^9, 3.616721535161722*^9, 
   3.6167215694404163`*^9, {3.61672163195231*^9, 3.616721661809099*^9}, {
   3.6167217082152653`*^9, 3.616721737875169*^9}, {3.616721773168276*^9, 
   3.616721787380116*^9}, 3.617145446183902*^9, 3.6171565637924747`*^9, 
   3.6171567545472116`*^9, 3.617156894751008*^9, 3.617157031589538*^9, 
   3.6171570703067102`*^9, 3.6171571122062817`*^9, {3.6171571455775146`*^9, 
   3.617157153497965*^9}, 3.6171590007704773`*^9, 3.617163894826799*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["\[ImaginaryI]", 
      RowBox[{
       RowBox[{"-", "m"}], "-", "1"}]], 
     FractionBox[
      SuperscriptBox["x", 
       RowBox[{
        RowBox[{"-", "m"}], "-", "1"}]], 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{
         RowBox[{"-", "m"}], "-", "1"}]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
        RowBox[{
         RowBox[{"-", "m"}], "-", "1"}]]}]], 
     FractionBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Log", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox["x", "2"], "+", "\[ImaginaryI]"}], ")"}]}]}], 
            ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "2"], "-", 
             RowBox[{"\[ImaginaryI]", " ", "x", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 SuperscriptBox["x", "2"], "4"]}]]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox["x", "2"], "-", " ", "\[ImaginaryI]"}], ")"}]}]}],
             ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "2"], "+", 
             RowBox[{"\[ImaginaryI]", " ", "x", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 SuperscriptBox["x", "2"], "4"]}]]}]}], ")"}]}]], "]"}], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]], "+", 
           RowBox[{
            FractionBox[
             SuperscriptBox["x", "3"], "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"x", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", 
                  SqrtBox[
                   RowBox[{"1", "-", 
                    FractionBox[
                    SuperscriptBox["x", "2"], "4"]}]]}], "-", 
                 RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}], "+", 
              RowBox[{"2", " ", "\[ImaginaryI]"}]}], ")"}]}]}], 
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
              SuperscriptBox["x", "3"], " "}], "8"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"x", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", 
                  SqrtBox[
                   RowBox[{"1", "-", 
                    FractionBox[
                    SuperscriptBox["x", "2"], "4"]}]]}], "+", 
                 RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}], "-", 
              RowBox[{"2", " ", "\[ImaginaryI]"}]}], ")"}]}]}]], "]"}]}], 
       ")"}], 
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", 
       SuperscriptBox["2", "3"], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"]}], ")"}], " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "4"]}]], 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]]}], ")"}]}]]}], "-", 
    RowBox[{"ResP1", "[", 
     RowBox[{"m", ",", "n", ",", "t"}], "]"}]}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"1", ">", " ", "x", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6171571757771397`*^9, 3.617157223951375*^9}, {
  3.617158917605729*^9, 3.617158924097789*^9}, {3.617158955913937*^9, 
  3.617159015168144*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.6171571867190742`*^9, 3.6171572261769648`*^9, 3.617158928933899*^9, {
   3.617158976660348*^9, 3.6171589858074827`*^9}, 3.617159016022059*^9, 
   3.617163894867092*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["\[ImaginaryI]", 
      RowBox[{"-", "m"}]], 
     FractionBox[
      SuperscriptBox["x", 
       RowBox[{
        RowBox[{"-", "m"}], "-", "1"}]], 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{
         RowBox[{"-", "m"}], "+", "2"}]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
        RowBox[{"-", "m"}]]}]], 
     FractionBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Log", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox["x", "2"], "+", "\[ImaginaryI]"}], ")"}]}]}], 
            ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "2"], "-", 
             RowBox[{"\[ImaginaryI]", " ", "x", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 SuperscriptBox["x", "2"], "4"]}]]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox["x", "2"], "-", " ", "\[ImaginaryI]"}], ")"}]}]}],
             ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "2"], "+", 
             RowBox[{"\[ImaginaryI]", " ", "x", " ", 
              SqrtBox[
               RowBox[{"1", "-", 
                FractionBox[
                 SuperscriptBox["x", "2"], "4"]}]]}]}], ")"}]}]], "]"}], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]], "+", 
           RowBox[{
            FractionBox[
             SuperscriptBox["x", "3"], "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"x", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", 
                  SqrtBox[
                   RowBox[{"1", "-", 
                    FractionBox[
                    SuperscriptBox["x", "2"], "4"]}]]}], "-", 
                 RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}], "+", 
              RowBox[{"2", " ", "\[ImaginaryI]"}]}], ")"}]}]}], 
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]], "+", 
           RowBox[{
            FractionBox[
             RowBox[{
              SuperscriptBox["x", "3"], " "}], "8"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"x", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", 
                  SqrtBox[
                   RowBox[{"1", "-", 
                    FractionBox[
                    SuperscriptBox["x", "2"], "4"]}]]}], "+", 
                 RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}], "-", 
              RowBox[{"2", " ", "\[ImaginaryI]"}]}], ")"}]}]}]], "]"}]}], 
       ")"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"]}], ")"}], 
       SqrtBox[
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox["x", "2"], "4"]}]], " "}]]}], "-", 
    RowBox[{"ResP1", "[", 
     RowBox[{"m", ",", "n", ",", "t"}], "]"}]}], ",", 
   RowBox[{"Assumptions", "\[Rule]", 
    RowBox[{"1", ">", " ", "x", ">", "0"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6171571757771397`*^9, 3.617157223951375*^9}, {
  3.617157269897595*^9, 3.617157320207612*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.6171572771661663`*^9, 3.617157321677109*^9}, 
   3.617160581624013*^9, 3.617163894907817*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ResP2", "[", 
    RowBox[{"m_", ",", "n_", ",", "t_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox["\[ImaginaryI]", 
     RowBox[{"-", "m"}]], 
    FractionBox[
     SuperscriptBox["x", 
      RowBox[{
       RowBox[{"-", "m"}], "-", "1"}]], 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "m"}], "+", "2"}]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
       RowBox[{"-", "m"}]]}]], 
    FractionBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"x", " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox["x", "2"], "+", "\[ImaginaryI]"}], ")"}]}]}], 
           ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "2"], "-", 
            RowBox[{"\[ImaginaryI]", " ", "x", " ", 
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                SuperscriptBox["x", "2"], "4"]}]]}]}], ")"}]}], 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"x", " ", 
             RowBox[{"(", 
              RowBox[{
               FractionBox["x", "2"], "-", " ", "\[ImaginaryI]"}], ")"}]}]}], 
           ")"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "2"], "+", 
            RowBox[{"\[ImaginaryI]", " ", "x", " ", 
             SqrtBox[
              RowBox[{"1", "-", 
               FractionBox[
                SuperscriptBox["x", "2"], "4"]}]]}]}], ")"}]}]], "]"}], "+", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "4"]}]], "+", 
          RowBox[{
           FractionBox[
            SuperscriptBox["x", "3"], "8"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", 
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    SuperscriptBox["x", "2"], "4"]}]]}], "-", 
                RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}], "+", 
             RowBox[{"2", " ", "\[ImaginaryI]"}]}], ")"}]}]}], 
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "4"]}]], "+", 
          RowBox[{
           FractionBox[
            RowBox[{
             SuperscriptBox["x", "3"], " "}], "8"], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"x", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", 
                 SqrtBox[
                  RowBox[{"1", "-", 
                   FractionBox[
                    SuperscriptBox["x", "2"], "4"]}]]}], "+", 
                RowBox[{"\[ImaginaryI]", " ", "x"}]}], ")"}]}], "-", 
             RowBox[{"2", " ", "\[ImaginaryI]"}]}], ")"}]}]}]], "]"}]}], 
      ")"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "2"]}], ")"}], 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "4"]}]], " "}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6167218803987627`*^9, 3.616721963600773*^9}, {
   3.616726464910556*^9, 3.6167264652316513`*^9}, {3.61714535195366*^9, 
   3.617145364013928*^9}, 3.6171573828738327`*^9}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6171577315855007`*^9, 3.617157764725298*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ResP2", "[", 
    RowBox[{"m_", ",", "n_", ",", "t_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox["\[ImaginaryI]", 
     RowBox[{"-", "m"}]], 
    FractionBox[
     SuperscriptBox["x", 
      RowBox[{
       RowBox[{"-", "m"}], "-", "1"}]], 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "m"}], "+", "2"}]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
       RowBox[{"-", "m"}]]}]], 
    FractionBox[
     RowBox[{"(", 
      RowBox[{"Log", "[", 
       RowBox[{"1", "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         SuperscriptBox["x", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "4"}], "+", 
           SuperscriptBox["x", "2"]}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            SuperscriptBox["x", "2"]}], ")"}], "2"]}], "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         FractionBox["x", "2"], "  ", 
         SqrtBox[
          RowBox[{"4", "-", 
           SuperscriptBox["x", "2"]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", 
           SuperscriptBox["x", "2"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"2", "-", 
           RowBox[{"4", " ", 
            SuperscriptBox["x", "2"]}], "+", 
           SuperscriptBox["x", "4"]}], ")"}]}]}], "]"}], ")"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "2"]}], ")"}], 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "4"]}]], " "}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6167218803987627`*^9, 3.616721963600773*^9}, {
   3.616726464910556*^9, 3.6167264652316513`*^9}, {3.61714535195366*^9, 
   3.617145364013928*^9}, 3.6171573828738327`*^9, {3.617157537913413*^9, 
   3.617157657467085*^9}, {3.6171577697804413`*^9, 3.617157780580469*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["x", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", 
         SuperscriptBox["x", "2"]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          SuperscriptBox["x", "2"]}], ")"}], "2"]}]}], ")"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "2"], " ", "x", " ", 
      SqrtBox[
       RowBox[{"4", "-", 
        SuperscriptBox["x", "2"]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        SuperscriptBox["x", "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"2", "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["x", "2"]}], "+", 
        SuperscriptBox["x", "4"]}], ")"}]}], ")"}], "2"]}], "]"}]], "Input",
 CellChangeTimes->{{3.61672241736432*^9, 3.616722447561805*^9}}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{3.616722448454241*^9, 3.617145446553152*^9, 
  3.617156564097486*^9, 3.6171577935904493`*^9, 3.617163895034075*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ResP3", "[", 
    RowBox[{"m_", ",", "n_", ",", "t_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox["\[ImaginaryI]", 
     RowBox[{
      RowBox[{"-", "m"}], "+", "1"}]], 
    FractionBox[
     SuperscriptBox["x", 
      RowBox[{
       RowBox[{"-", "m"}], "-", "1"}]], 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "m"}], "+", "2"}]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
       RowBox[{"-", "m"}]]}]], 
    FractionBox[
     RowBox[{"ArcTan", "[", 
      FractionBox[
       RowBox[{
        FractionBox["1", "2"], "  ", "x", " ", 
        SqrtBox[
         RowBox[{"4", "-", 
          SuperscriptBox["x", "2"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", 
          SuperscriptBox["x", "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "-", 
          RowBox[{"4", " ", 
           SuperscriptBox["x", "2"]}], "+", 
          SuperscriptBox["x", "4"]}], ")"}]}], 
       RowBox[{"1", "+", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         SuperscriptBox["x", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "4"}], "+", 
           SuperscriptBox["x", "2"]}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            SuperscriptBox["x", "2"]}], ")"}], "2"]}]}]], "]"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "2"]}], ")"}], 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "4"]}]]}]]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.616722493838799*^9, 3.6167225565627947`*^9}, {
  3.616722610388509*^9, 3.616722684865508*^9}, {3.616726508782324*^9, 
  3.616726509044491*^9}, {3.617145407495988*^9, 3.617145417160158*^9}, {
  3.617157459411886*^9, 3.617157460023649*^9}, {3.6171638472798862`*^9, 
  3.61716385090269*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["\[ImaginaryI]", 
     RowBox[{
      RowBox[{"-", "m"}], "-", "1"}]], 
    FractionBox[
     SuperscriptBox["x", 
      RowBox[{
       RowBox[{"-", "m"}], "-", "1"}]], 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "m"}], "+", "2"}]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
       RowBox[{"-", "m"}]]}]], 
    FractionBox[
     RowBox[{"ArcTan", "[", 
      FractionBox[
       RowBox[{"  ", 
        RowBox[{"4", "x", " ", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "2"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["x", "2"]}], "+", 
           FractionBox[
            SuperscriptBox["x", "4"], "2"]}], ")"}]}]}], 
       RowBox[{"1", "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["x", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "2"]}], ")"}], "2"]}]}]], "]"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "2"]}], ")"}], 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "4"]}]]}]]}], "-", 
   RowBox[{"ResP3", "[", 
    RowBox[{"m", ",", "n", ",", "t"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616722566221855*^9, 3.6167225903632402`*^9}, {
  3.616722678404256*^9, 3.616722763028265*^9}, {3.6167227980780573`*^9, 
  3.616722807265099*^9}, {3.61672651392021*^9, 3.616726557995887*^9}, {
  3.617145421953268*^9, 3.6171454339588757`*^9}, {3.617157872091556*^9, 
  3.6171578909899263`*^9}, {3.617163916020824*^9, 3.61716392044137*^9}, {
  3.617165348026161*^9, 3.61716535072519*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.616722690045649*^9, {3.616722732446622*^9, 3.616722742235805*^9}, 
   3.617145446653531*^9, 3.61715656420238*^9, {3.617157856524159*^9, 
   3.617157893396991*^9}, 3.6171638638336067`*^9, {3.617163895117524*^9, 
   3.6171639211062603`*^9}, 3.617165351633822*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["\[ImaginaryI]", 
     RowBox[{
      RowBox[{"-", "m"}], "-", "1"}]], 
    FractionBox[
     SuperscriptBox["x", 
      RowBox[{
       RowBox[{"-", "m"}], "-", "1"}]], 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "m"}], "+", "2"}]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
       RowBox[{"-", "m"}]]}]], 
    FractionBox[
     RowBox[{"ArcTan", "[", 
      FractionBox[
       RowBox[{"  ", 
        RowBox[{"4", "x", " ", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "2"]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"2", " ", 
            SuperscriptBox["x", "2"]}], "+", 
           FractionBox[
            SuperscriptBox["x", "4"], "2"]}], ")"}]}]}], 
       RowBox[{"1", "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["x", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "2"]}], ")"}], "2"]}]}]], "]"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "2"]}], ")"}], 
      SqrtBox[
       RowBox[{"1", "-", 
        FractionBox[
         SuperscriptBox["x", "2"], "4"]}]]}]]}], "-", 
   RowBox[{"ResP3", "[", 
    RowBox[{"m", ",", "n", ",", "t"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.616722566221855*^9, 3.6167225903632402`*^9}, {
  3.616722678404256*^9, 3.616722763028265*^9}, {3.6167227980780573`*^9, 
  3.616722807265099*^9}, {3.61672651392021*^9, 3.616726557995887*^9}, {
  3.617145421953268*^9, 3.6171454339588757`*^9}, {3.617157872091556*^9, 
  3.6171578909899263`*^9}, {3.617163916020824*^9, 3.61716392044137*^9}, {
  3.6171648094969273`*^9, 3.617164813152103*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.617164813805435*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.6171640813284807`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   SuperscriptBox["\[ImaginaryI]", 
    RowBox[{
     RowBox[{"-", "m"}], "-", "1"}]], 
   SuperscriptBox["x", 
    RowBox[{
     RowBox[{"-", "m"}], "-", "1"}]], 
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      FractionBox[
       RowBox[{"ArcTan", "[", 
        FractionBox[
         RowBox[{"  ", 
          RowBox[{"4", "x", " ", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "2"]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"2", " ", 
              SuperscriptBox["x", "2"]}], "+", 
             FractionBox[
              SuperscriptBox["x", "4"], "2"]}], ")"}]}]}], 
         RowBox[{"1", "-", 
          RowBox[{"8", " ", 
           SuperscriptBox["x", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}], ")"}], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", 
              FractionBox[
               SuperscriptBox["x", "2"], "2"]}], ")"}], "2"]}]}]], "]"}], 
       RowBox[{
        SuperscriptBox["2", 
         RowBox[{
          RowBox[{"-", "m"}], "+", "2"}]], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "-", 
             FractionBox[
              SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
         RowBox[{"-", "m"}]], 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           SuperscriptBox["x", "2"], "2"]}], ")"}], 
        SqrtBox[
         RowBox[{"1", "-", 
          FractionBox[
           SuperscriptBox["x", "2"], "4"]}]]}]], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "3"}], "}"}]}], "]"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.616720771970447*^9, 3.616720784311782*^9}, 
   3.616720853800809*^9, {3.6167230962699633`*^9, 3.616723099519178*^9}, 
   3.61716512873635*^9, {3.6171651714750977`*^9, 3.617165176369062*^9}, {
   3.617165214103529*^9, 3.6171652231814337`*^9}, {3.617165263548574*^9, 
   3.617165273324253*^9}, {3.6171655530322733`*^9, 3.6171655575962877`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "3"], " ", 
   SuperscriptBox["\[ImaginaryI]", 
    RowBox[{
     RowBox[{"-", "1"}], "-", "m"}]], " ", 
   SuperscriptBox["2", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "m"}]}]], " ", 
   SuperscriptBox["x", 
    RowBox[{"2", "-", "m"}]]}], "-", 
  RowBox[{
   SuperscriptBox["\[ImaginaryI]", 
    RowBox[{
     RowBox[{"-", "1"}], "-", "m"}]], " ", 
   SuperscriptBox["2", 
    RowBox[{
     RowBox[{"-", "4"}], "+", 
     RowBox[{"2", " ", "m"}]}]], " ", "m", " ", 
   SuperscriptBox["x", 
    RowBox[{"2", "-", "m"}]]}], "+", 
  RowBox[{
   SuperscriptBox["\[ImaginaryI]", 
    RowBox[{
     RowBox[{"-", "1"}], "-", "m"}]], " ", 
   SuperscriptBox["2", 
    RowBox[{"2", " ", "m"}]], " ", 
   SuperscriptBox["x", 
    RowBox[{"-", "m"}]]}]}]], "Output",
 CellChangeTimes->{3.617165558977173*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ResP", "[", "x", "]"}], "\[Equal]", 
   RowBox[{
    SuperscriptBox["\[ImaginaryI]", 
     RowBox[{
      RowBox[{"-", "m"}], "-", "1"}]], 
    FractionBox[
     SuperscriptBox["x", 
      RowBox[{
       RowBox[{"-", "m"}], "-", "1"}]], 
     RowBox[{
      SuperscriptBox["2", 
       RowBox[{
        RowBox[{"-", "m"}], "+", "2"}]], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         SqrtBox[
          RowBox[{"1", "-", 
           FractionBox[
            SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
       RowBox[{"-", "m"}]]}]], "4", "x"}], " ", "\[Equal]", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[ImaginaryI]", 
      RowBox[{
       RowBox[{"-", "m"}], "-", "1"}]], 
     FractionBox[
      SuperscriptBox["x", 
       RowBox[{"-", "m"}]], 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"-", "m"}]], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["x", "2"], "4"]}]]}], ")"}], 
        RowBox[{"-", "m"}]]}]]}], "+", 
    RowBox[{"o", "[", " ", 
     SuperscriptBox["x", 
      RowBox[{"m", "+", "2"}]], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6167209564174833`*^9, 3.616721053536512*^9}, {
   3.6167210991245127`*^9, 3.6167211183993998`*^9}, {3.616726575981751*^9, 
   3.61672658034439*^9}, {3.617145487587016*^9, 3.617145491894947*^9}, {
   3.617145611847642*^9, 3.617145655294179*^9}, 3.617145900294088*^9, {
   3.617157919453396*^9, 3.61715792973403*^9}, {3.6171649408985147`*^9, 
   3.6171649559395514`*^9}}]
},
WindowSize->{1917, 979},
WindowMargins->{{286, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 92, 1, 56, "Input"],
Cell[652, 23, 2412, 70, 142, "Input"],
Cell[3067, 95, 3158, 88, 142, "Input"],
Cell[CellGroupData[{
Cell[6250, 187, 655, 18, 116, "Input"],
Cell[6908, 207, 682, 20, 83, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7627, 232, 429, 13, 96, "Input"],
Cell[8059, 247, 275, 7, 77, "Output"]
}, Open  ]],
Cell[8349, 257, 37486, 982, 1586, "Text"],
Cell[45838, 1241, 3913, 112, 374, "Input",
 Evaluatable->False],
Cell[49754, 1355, 166, 2, 56, "Input"],
Cell[CellGroupData[{
Cell[49945, 1361, 2848, 88, 222, "Input"],
Cell[52796, 1451, 247, 3, 56, "Output"]
}, Open  ]],
Cell[53058, 1457, 891, 29, 343, "Input"],
Cell[53952, 1488, 1076, 36, 76, "Text"],
Cell[55031, 1526, 554, 14, 56, "Input"],
Cell[CellGroupData[{
Cell[55610, 1544, 382, 9, 56, "Input"],
Cell[55995, 1555, 559, 16, 110, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56591, 1576, 565, 13, 56, "Input"],
Cell[57159, 1591, 2949, 90, 136, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60145, 1686, 3200, 97, 301, "Input"],
Cell[63348, 1785, 289, 5, 78, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63674, 1795, 3626, 105, 203, "Input"],
Cell[67303, 1902, 631, 12, 110, "Output"]
}, Open  ]],
Cell[67949, 1917, 3996, 118, 232, "Input"],
Cell[CellGroupData[{
Cell[71970, 2039, 4598, 130, 357, "Input"],
Cell[76571, 2171, 755, 10, 78, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77363, 2186, 4379, 131, 357, "Input"],
Cell[81745, 2319, 221, 4, 78, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82003, 2328, 4017, 120, 357, "Input"],
Cell[86023, 2450, 144, 2, 78, "Output"]
}, Open  ]],
Cell[86182, 2455, 3861, 118, 281, "Input"],
Cell[90046, 2575, 94, 1, 56, "Input"],
Cell[90143, 2578, 2157, 66, 197, "Input"],
Cell[CellGroupData[{
Cell[92325, 2648, 1059, 34, 93, "Input"],
Cell[93387, 2684, 163, 2, 78, "Output"]
}, Open  ]],
Cell[93565, 2689, 2164, 68, 214, "Input"],
Cell[CellGroupData[{
Cell[95754, 2761, 2328, 70, 244, "Input"],
Cell[98085, 2833, 314, 5, 78, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[98436, 2843, 2331, 70, 244, "Input"],
Cell[100770, 2915, 70, 1, 78, "Output"]
}, Open  ]],
Cell[100855, 2919, 70, 1, 56, "Input"],
Cell[CellGroupData[{
Cell[100950, 2924, 2409, 70, 244, "Input"],
Cell[103362, 2996, 860, 30, 139, "Output"]
}, Open  ]],
Cell[104237, 3029, 1660, 51, 165, "Input"]
}
]
*)

(* End of internal cache information *)
