(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    321934,       8270]
NotebookOptionsPosition[    317625,       8146]
NotebookOutlinePosition[    317982,       8162]
CellTagsIndexPosition[    317939,       8159]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["parts:", "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.5310020246913013`*^9, 3.531002113337842*^9}, {
   3.5310021540182753`*^9, 3.531002158178534*^9}, {3.531002802386531*^9, 
   3.531002842625983*^9}, {3.5310035686825047`*^9, 3.53100358321472*^9}, {
   3.5310037511394777`*^9, 3.531003755648411*^9}, {3.5310038476059093`*^9, 
   3.5310038886582403`*^9}, {3.531013909338759*^9, 3.5310139100466833`*^9}, 
   3.531028992411771*^9, 3.531332377644993*^9, {3.567053182875497*^9, 
   3.567053243979618*^9}, 3.567053644481236*^9, {3.567053850448904*^9, 
   3.567053908181724*^9}, {3.567054611874098*^9, 3.56705461515555*^9}, {
   3.5992894472816057`*^9, 3.599289460973917*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"recArg", "[", 
    RowBox[{"n_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"ArcTan", "[", 
      FractionBox[
       RowBox[{"2", 
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"Rcfn", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], "]"}], "2"], "2"]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           FractionBox[
            RowBox[{"Rcfn", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
           RowBox[{"Sin", "[", "t", "]"}]}]}], ")"}]}], 
       RowBox[{" ", 
        RowBox[{"1", "-", 
         RowBox[{"2", " ", 
          SuperscriptBox[
           RowBox[{"Rcfn", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], "+", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"Rcfn", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}], "3"], " ", 
          RowBox[{"Sin", "[", "t", "]"}]}]}]}]], "]"}]]}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.599191520736107*^9, 3.5991915281842203`*^9}, 
   3.599278676519438*^9, 3.5993557987718782`*^9, {3.599378406132454*^9, 
   3.5993784078074207`*^9}, {3.599378440060225*^9, 3.599378441173931*^9}, {
   3.5993785828240223`*^9, 3.599378589415197*^9}, 3.5993790030952787`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"REL", "[", 
    RowBox[{"n_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"1", "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", 
       SuperscriptBox[
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           FractionBox[
            RowBox[{"Rcfn", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
           RowBox[{"Sin", "[", "t", "]"}]}]}], ")"}], "2"]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "4"]}], "-", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "3"], " ", 
        RowBox[{"Sin", "[", "t", "]"}]}], "+", " ", 
       RowBox[{
        RowBox[{"Cos", "[", "t", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"Rcfn", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], "]"}], "2"], "2"]}], ")"}]}]}], 
      ")"}]}]}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.5993779796535254`*^9, 3.5993779883168173`*^9}, {
   3.5993785854776897`*^9, 3.599378595051291*^9}, 3.5993790030953693`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"IML", "[", 
    RowBox[{"n_", ",", "t_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"2", 
      RowBox[{"Rcfn", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "n"}]}], "]"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         FractionBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         RowBox[{"Sin", "[", "t", "]"}]}]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"Rcfn", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Sin", "[", 
           FractionBox["t", "2"], "]"}], "2"]}]}], ")"}], " "}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox[
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], "4"]}], "-", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], "3"], " ", 
       RowBox[{"Sin", "[", "t", "]"}]}], "+", " ", 
      RowBox[{
       RowBox[{"Cos", "[", "t", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         FractionBox[
          SuperscriptBox[
           RowBox[{"Rcfn", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}], "2"], "2"]}], ")"}]}]}], 
     ")"}]}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.599377950064452*^9, 3.599377962307603*^9}, {
   3.599378630421711*^9, 3.599378649289991*^9}, 3.5993790030954514`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RER", "[", 
    RowBox[{"n_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"1", "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{
           FractionBox[
            RowBox[{"Rcfn", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
           RowBox[{"Sin", "[", "t", "]"}]}]}], ")"}], "2"]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "4"]}], "-", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "3"], " ", 
        RowBox[{"Sin", "[", "t", "]"}]}], "-", " ", 
       RowBox[{
        RowBox[{"Cos", "[", "t", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"Rcfn", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], "]"}], "2"], "2"]}], ")"}]}]}], 
      ")"}]}]}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.5993782126972723`*^9, 3.599378273098401*^9}, {
   3.599378633943172*^9, 3.599378651627924*^9}, 3.5993790030955057`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"IMR", "[", 
    RowBox[{"n_", ",", "t_"}], "]"}], ":=", 
   RowBox[{"-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", 
       RowBox[{"Rcfn", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          FractionBox[
           RowBox[{"Rcfn", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
          RowBox[{"Sin", "[", "t", "]"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"Rcfn", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"2", " ", "n"}]}], "]"}], "2"], 
          SuperscriptBox[
           RowBox[{"Cos", "[", 
            FractionBox["t", "2"], "]"}], "2"]}]}], ")"}], " "}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "4"]}], "-", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "3"], " ", 
        RowBox[{"Sin", "[", "t", "]"}]}], "-", " ", 
       RowBox[{
        RowBox[{"Cos", "[", "t", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"Rcfn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "n"}]}], "]"}], "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          FractionBox[
           SuperscriptBox[
            RowBox[{"Rcfn", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], "]"}], "2"], "2"]}], ")"}]}]}], 
      ")"}]}]}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellChangeTimes->{{3.5993786398835363`*^9, 3.59937865409164*^9}, 
   3.5993790030955563`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"int", "[", 
    RowBox[{"n_", ",", "0", ",", "t_"}], "]"}], ":=", "0"}], ";"}]], "Input",
 CellChangeTimes->{{3.599379573579074*^9, 3.599379582351856*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"int", "[", 
    RowBox[{"n_", ",", "m_", ",", "t_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "m", " ", "t"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       FractionBox["\[ImaginaryI]", 
        RowBox[{"2", "m"}]], 
       RowBox[{"recArg", "[", 
        RowBox[{"n", ",", "t"}], "]"}], 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"REL", "[", 
             RowBox[{"n", ",", "t"}], "]"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"IML", "[", 
              RowBox[{"n", ",", "t"}], "]"}]}]}], ")"}], "m"], "-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"RER", "[", 
             RowBox[{"n", ",", "t"}], "]"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"IMR", "[", 
              RowBox[{"n", ",", "t"}], "]"}]}]}], ")"}], "m"]}], ")"}]}], "-",
       "1"}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.59937870471458*^9, 3.599378839649045*^9}, {
  3.599379538590322*^9, 3.599379565646174*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Integral]", 
   RowBox[{"-", "Pi"}], "Pi"], 
  RowBox[{
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"int", "[", 
       RowBox[{"n", ",", "1", ",", "t"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"2", "n"}], "-", "1"}], "]"}], ",", "0", ",", "9"}], 
       "}"}]}], "]"}], "]"}], 
   RowBox[{"\[DifferentialD]", "t"}]}]}]], "Input",
 CellChangeTimes->{{3.613363894086739*^9, 3.613363992260973*^9}, 
   3.613364028767561*^9, 3.613364087425889*^9, 3.6133641270373907`*^9, 
   3.613364239291106*^9, {3.6133642885890217`*^9, 3.613364318896935*^9}, 
   3.6134571373229513`*^9, 3.6134572197400427`*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[ImaginaryI]", " ", "\[Pi]", " ", 
    SuperscriptBox[
     RowBox[{"Rcfn", "[", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{"2", " ", "n"}]}], "]"}], "3"], " ", 
    RowBox[{"(", 
     RowBox[{"18900", "-", 
      RowBox[{"10080", " ", 
       SuperscriptBox[
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], "-", 
      RowBox[{"13500", " ", 
       SuperscriptBox[
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], "4"]}], "+", 
      RowBox[{"13627", " ", 
       SuperscriptBox[
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], "6"]}]}], ")"}]}], 
   "56700"]}]], "Output",
 CellChangeTimes->{{3.613457214145611*^9, 3.613457222884519*^9}, 
   3.613457621506377*^9, 3.617486414931459*^9, 3.617486630645186*^9, 
   3.617486766904356*^9, 3.6174868361153917`*^9, 3.617487288991805*^9, 
   3.6174874756993237`*^9, 3.617491699273079*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubsuperscriptBox["\[Integral]", 
   RowBox[{"-", "Pi"}], "Pi"], 
  RowBox[{
   RowBox[{"Normal", "[", 
    RowBox[{"Series", "[", 
     RowBox[{
      RowBox[{"int", "[", 
       RowBox[{"n", ",", 
        RowBox[{"-", "1"}], ",", "t"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Rcfn", "[", 
         RowBox[{
          RowBox[{"2", "n"}], "-", "1"}], "]"}], ",", "0", ",", "9"}], 
       "}"}]}], "]"}], "]"}], 
   RowBox[{"\[DifferentialD]", "t"}]}]}]], "Input",
 CellChangeTimes->{3.61345710467562*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[ImaginaryI]", " ", "\[Pi]", " ", 
   SuperscriptBox[
    RowBox[{"Rcfn", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "n"}]}], "]"}], "3"], " ", 
   RowBox[{"(", 
    RowBox[{"18900", "-", 
     RowBox[{"10080", " ", 
      SuperscriptBox[
       RowBox[{"Rcfn", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}], "2"]}], "-", 
     RowBox[{"13500", " ", 
      SuperscriptBox[
       RowBox[{"Rcfn", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}], "4"]}], "+", 
     RowBox[{"13627", " ", 
      SuperscriptBox[
       RowBox[{"Rcfn", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}], "6"]}]}], ")"}]}], 
  "56700"]], "Output",
 CellChangeTimes->{3.613457232227504*^9, 3.613457624775648*^9, 
  3.6174864182919188`*^9, 3.617486634202977*^9, 3.61748677018649*^9, 
  3.617486839374919*^9, 3.617487292328644*^9, 3.617487478985347*^9, 
  3.617491702498464*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"test", "=", "0"}]], "Input",
 CellChangeTimes->{{3.566526674990181*^9, 3.566526696282181*^9}, {
   3.566528850587535*^9, 3.566528867716365*^9}, {3.5665289104448395`*^9, 
   3.5665289216612597`*^9}, 3.5666885092194896`*^9, {3.5682419669494143`*^9, 
   3.568241987558563*^9}, 3.568242045026675*^9, {3.5682432641898193`*^9, 
   3.5682432674965982`*^9}, 3.568243303058568*^9, 3.568243353649289*^9, 
   3.56824347068456*^9, 3.568244144707686*^9, 3.568244195108074*^9, 
   3.568244486776113*^9, 3.568244539977559*^9, 3.568244627570052*^9, 
   3.568244750082984*^9, 3.568251717190123*^9, 3.568251771133988*^9, 
   3.5682518474765663`*^9, {3.568254176467808*^9, 3.568254204592504*^9}, 
   3.568254254002446*^9, 3.568254288652783*^9, 3.568254351506565*^9, 
   3.568405522746024*^9, 3.568405592777581*^9, 3.568405668220027*^9, 
   3.568405729983061*^9, 3.5684058200171003`*^9, 3.5684059312350283`*^9, 
   3.568405976257494*^9, 3.568406012201447*^9, 3.5684151223094*^9, 
   3.568415465615602*^9, 3.5684155439589396`*^9, 3.568415605015046*^9, 
   3.568415640801509*^9, 3.5684157011744146`*^9, 3.5690196994301615`*^9, 
   3.5690203483291016`*^9, {3.569021370615497*^9, 3.569021371551499*^9}, {
   3.5690216643328133`*^9, 3.5690216733340287`*^9}, 3.569027681481784*^9, 
   3.569030442786235*^9, 3.569030549537222*^9, 3.569030621749749*^9, 
   3.5690936344401007`*^9, {3.569093679417657*^9, 3.569093685165316*^9}, 
   3.569093749572562*^9, 3.569111181835204*^9, 3.5701469080543385`*^9, 
   3.570150186530297*^9, 3.5701502720028467`*^9, 3.5701503861958466`*^9, 
   3.570168092192382*^9, 3.570168160974888*^9, 3.5701693965420303`*^9, 
   3.570169483436949*^9, 3.5703044072351847`*^9, 3.570320130511115*^9, 
   3.570320226716484*^9, 3.570320422481228*^9, 3.570320453887683*^9, 
   3.57032085630599*^9, 3.5703211957689857`*^9, 3.571525733967342*^9, 
   3.571525783117605*^9, 3.571525831774284*^9, 3.571525881206827*^9, {
   3.571526488585443*^9, 3.571526502287053*^9}, 3.571527776443653*^9, 
   3.5715278287452593`*^9, 3.571527931289092*^9, 3.571528036049657*^9, 
   3.571528134071418*^9, 3.5715286095088587`*^9, 3.571528661990513*^9, 
   3.57152876409554*^9, 3.57153582620185*^9, 3.571536158741651*^9, 
   3.57153696967808*^9, 3.5715371653723*^9, 3.5715374504147253`*^9, 
   3.571545654892891*^9, 3.571545851172263*^9, 3.5715459690724*^9, 
   3.571546475997822*^9, 3.571546725917322*^9, 3.5715468924844007`*^9, 
   3.571548310761799*^9, 3.571548383976899*^9, 3.5715484464033422`*^9, 
   3.571548509965982*^9, 3.571548572549492*^9, 3.57154889905863*^9, 
   3.5715490178137007`*^9, 3.571549592880457*^9, 3.571549655104251*^9, 
   3.5715501816274223`*^9, 3.571550309438533*^9, 3.5715516277596073`*^9, 
   3.571588045046918*^9, 3.5715898849462214`*^9, 3.571589925050871*^9, 
   3.571590723330442*^9, 3.571590898111381*^9, {3.571590994671255*^9, 
   3.571590996087146*^9}, 3.571591097721176*^9, 3.5715916303086033`*^9, 
   3.5715917234248343`*^9, 3.5715918478169537`*^9, 3.571591936264817*^9, 
   3.57159202593918*^9, 3.5715923968199787`*^9, 3.5716038042453156`*^9, 
   3.571603839672978*^9, {3.571603891355869*^9, 3.571603902010688*^9}, 
   3.571604508201152*^9, {3.571604543925215*^9, 3.5716045732688665`*^9}, 
   3.571607363876569*^9, {3.5716077190423927`*^9, 3.571607823531376*^9}, 
   3.5716137024247036`*^9, 3.571614330410007*^9, {3.5716145699016275`*^9, 
   3.571614594518471*^9}, 3.571614627637329*^9, {3.5716149461430883`*^9, 
   3.5716149565483065`*^9}, 3.5716155160086894`*^9, 3.57161598332311*^9, 
   3.5716162659176064`*^9, 3.571630344250736*^9, 3.571630493804999*^9, 
   3.5716305416970825`*^9, {3.5716322149270225`*^9, 3.571632256298295*^9}, {
   3.571633854982703*^9, 3.5716339119696035`*^9}, 3.57163404113783*^9, 
   3.5716340885463133`*^9, 3.5716341330843916`*^9, 3.571665557190556*^9, 
   3.571665610931823*^9, 3.571665669342114*^9, 3.571998219031321*^9, {
   3.572022731657133*^9, 3.572022813422441*^9}, {3.5720229742754498`*^9, 
   3.572022988427972*^9}, {3.572023537879668*^9, 3.572023572383507*^9}, 
   3.5720282389855623`*^9, 3.5720369638260384`*^9, {3.5720377989627047`*^9, 
   3.5720378318787627`*^9}, {3.5720378854336567`*^9, 3.572037900846484*^9}, {
   3.5720390058890247`*^9, 3.5720390305526686`*^9}, {3.572039388208497*^9, 
   3.5720394049941263`*^9}, {3.5720395835760403`*^9, 3.5720396338237286`*^9}, 
   3.5720402777768583`*^9, 3.57204031830573*^9, {3.5720405191404824`*^9, 
   3.5720405677189674`*^9}, {3.572105584632683*^9, 3.5721056333567038`*^9}, {
   3.57210944012075*^9, 3.572109491825976*^9}, 3.572178957652274*^9, 
   3.5721793249308968`*^9, 3.572179921678364*^9, 3.572179961492178*^9, 
   3.572179995343652*^9, {3.5721801219517307`*^9, 3.572180150335332*^9}, {
   3.5721804481460743`*^9, 3.5721804772951*^9}, {3.572180555887356*^9, 
   3.57218063695553*^9}, 3.5723052149348364`*^9, 3.5723202030629177`*^9, 
   3.5723222136568503`*^9, 3.5723226134387527`*^9, 3.5723230534863253`*^9, 
   3.572323582600855*^9, 3.572558935402433*^9, 3.572559255586594*^9, 
   3.572559556479923*^9, 3.5725601005190783`*^9, 3.5725601313199315`*^9, 
   3.572561398334956*^9, 3.5725616239425526`*^9, 3.572561854880557*^9, 
   3.5725651920328093`*^9, 3.5725653482202835`*^9, {3.572565454815271*^9, 
   3.5725654581068764`*^9}, 3.572565526820196*^9, {3.5725656132599487`*^9, 
   3.572565616192754*^9}, 3.572565861487584*^9, 3.5725659190048857`*^9, {
   3.572851896060773*^9, 3.572851919966984*^9}, {3.572851999898755*^9, 
   3.572852041547768*^9}, 3.5728521215563087`*^9, 3.572852199440144*^9, 
   3.572852262766356*^9, 3.573602280540154*^9, 3.573603755003147*^9, 
   3.573603935690728*^9, 3.573604042978284*^9, 3.581051911087125*^9, 
   3.581051944238117*^9, 3.5810520325886717`*^9, 3.5810610840384207`*^9, 
   3.581089363545753*^9, {3.581089491171685*^9, 3.581089536593184*^9}, 
   3.5810895742131433`*^9, 3.5811346990822573`*^9, 3.581134916391863*^9, 
   3.581141363662005*^9, {3.5811414183709497`*^9, 3.581141438002185*^9}, 
   3.581143181664854*^9, {3.581149897497793*^9, 3.5811499436341763`*^9}, 
   3.581208042554351*^9, 3.581446105884015*^9, {3.581446147411824*^9, 
   3.5814461670091667`*^9}, 3.581834586533256*^9, 3.58184458405263*^9, {
   3.581844818741376*^9, 3.5818448643142557`*^9}, 3.581845139231482*^9, 
   3.581845439359888*^9, {3.5818454781273937`*^9, 3.58184550993117*^9}, {
   3.5818790474404783`*^9, 3.581879077793923*^9}, 3.5818795067237167`*^9, {
   3.581880488647263*^9, 3.581880513612006*^9}, {3.581880699035763*^9, 
   3.581880745486541*^9}, 3.581881430252689*^9, {3.5818817420811167`*^9, 
   3.581881814486258*^9}, {3.581881847729887*^9, 3.5818818597451067`*^9}, {
   3.581881913981329*^9, 3.5818819502063932`*^9}, {3.581882108730657*^9, 
   3.581882132186027*^9}, {3.5818822749383783`*^9, 3.581882298012515*^9}, {
   3.58188323854825*^9, 3.581883262578431*^9}, {3.581883576161495*^9, 
   3.581883617550434*^9}, {3.5818872847221212`*^9, 3.581887340049554*^9}, {
   3.581887566793824*^9, 3.581887607822977*^9}, {3.5818903707172613`*^9, 
   3.58189039591713*^9}, {3.581890788419491*^9, 3.581890812516963*^9}, {
   3.581892426659811*^9, 3.581892473673956*^9}, 3.5818993714049063`*^9, {
   3.5818994472077513`*^9, 3.58189948421996*^9}, {3.581901750009556*^9, 
   3.581901777494295*^9}, {3.5819018152266273`*^9, 3.5819018298631353`*^9}, 
   3.581902591985033*^9, 3.581902747640356*^9, {3.581902877780974*^9, 
   3.5819029431100187`*^9}, 3.582579620983975*^9, 3.582580205816124*^9, {
   3.5825814242616796`*^9, 3.582581471669485*^9}, 3.5825833984282846`*^9, {
   3.582583642092524*^9, 3.582583691975802*^9}, {3.582585186238427*^9, 
   3.58258523305007*^9}, 3.5825956885387287`*^9, {3.582595721085397*^9, 
   3.5825957375212593`*^9}, 3.582607516231042*^9, {3.583354430446756*^9, 
   3.583354509331965*^9}, 3.5833580943810472`*^9, 3.5833581945289783`*^9, 
   3.583358240658904*^9, 3.583358313228004*^9, 3.58495784608673*^9, 
   3.584957925095406*^9, 3.584957992854484*^9, 3.5849580562141857`*^9, 
   3.584958105072679*^9, 3.585011129027791*^9, 3.585011653863016*^9, 
   3.585156281459848*^9, 3.585156894935337*^9, 3.585156939485529*^9, 
   3.585157081832303*^9, 3.585157147307363*^9, 3.585158435065359*^9, 
   3.585159178827372*^9, 3.5851611340384283`*^9, 3.585161192268405*^9, 
   3.585171656091486*^9, 3.585171782564517*^9, 3.5851987404378233`*^9, 
   3.585198966226219*^9, 3.585199139499192*^9, {3.585199231198591*^9, 
   3.585199255723475*^9}, 3.585285988517991*^9, 3.585286745082616*^9, 
   3.585286787009416*^9, {3.585286828310335*^9, 3.5852868551317797`*^9}, {
   3.585289728212043*^9, 3.58528975781042*^9}, 3.585289792784564*^9, 
   3.585289827108474*^9, 3.585289861107171*^9, 3.585294693372983*^9, 
   3.585624265646912*^9, 3.585631615997752*^9, 3.585631821541288*^9, {
   3.585631855315557*^9, 3.585631884162187*^9}, 3.586295355420534*^9, {
   3.586295388158444*^9, 3.58629546757207*^9}, {3.5862959972676907`*^9, 
   3.5862960179343443`*^9}, 3.586296048793099*^9, {3.586296186774604*^9, 
   3.586296208284739*^9}, 3.586296794050247*^9, {3.586297963073731*^9, 
   3.5862980366824837`*^9}, {3.586298582826041*^9, 3.586298637625287*^9}, {
   3.586299753706086*^9, 3.586299779029986*^9}, {3.586299809517461*^9, 
   3.586299857004105*^9}, 3.586407268365954*^9, 3.586407824399832*^9, 
   3.5864078636175528`*^9, 3.5864079229615383`*^9, 3.586407956621483*^9, 
   3.586563370217218*^9, 3.586563634861785*^9, 3.5865652295299473`*^9, 
   3.58656530023643*^9, 3.586565400968951*^9, 3.586565509239292*^9, 
   3.586565632685595*^9, 3.5889307026364803`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.586407790273258*^9, 3.586407828962185*^9, 3.5864078676326113`*^9, 
   3.586407927277091*^9, 3.5864079610344133`*^9, 3.586563375580489*^9, 
   3.586563525851636*^9, 3.58656488061957*^9, 3.586565064143005*^9, 
   3.5865652321988773`*^9, 3.5865653070071983`*^9, {3.586565403460032*^9, 
   3.5865654114803534`*^9}, 3.586565517506873*^9, {3.586565635770599*^9, 
   3.586565650076418*^9}, 3.58893067275576*^9, 3.58893072015091*^9, 
   3.58893134400594*^9, 3.588931831892076*^9, 3.5889328303254957`*^9, 
   3.588932914674568*^9, 3.588933024738036*^9, 3.588933290269638*^9, 
   3.588933363082638*^9, 3.588933441025982*^9, 3.588933724943555*^9, 
   3.588933838500354*^9, 3.588933998366213*^9, 3.588935170051057*^9, 
   3.588935469242091*^9, 3.588935545431188*^9, 3.588936263688959*^9, 
   3.5889363166654577`*^9, 3.588936362105134*^9, 3.588936404169565*^9, 
   3.5889365155869083`*^9, 3.588936557900939*^9, 3.588937714712267*^9, 
   3.588940086809454*^9, {3.588940715964656*^9, 3.588940730489447*^9}, 
   3.5889963221507187`*^9, 3.589154776048052*^9, 3.589155191591427*^9, 
   3.58915560521458*^9, 3.589155678530674*^9, 3.589156920122273*^9, 
   3.5891570023812532`*^9, 3.589165142757722*^9, 3.589165408430336*^9, 
   3.589178785475194*^9, 3.5891788980153513`*^9, 3.5891790345655427`*^9, 
   3.589223552249865*^9, 3.5892238955215483`*^9, 3.589223935861452*^9, 
   3.589224606847631*^9, 3.589224737263575*^9, 3.5892248634259853`*^9, 
   3.589225354435739*^9, 3.5892260192721987`*^9, 3.589237389085705*^9, 
   3.5892379439696283`*^9, 3.5892380393841743`*^9, 3.589238638269565*^9, 
   3.589239025638247*^9, 3.589243475893619*^9, 3.589249857550064*^9, 
   3.5892517395028057`*^9, 3.5892565001507587`*^9, 3.589257077979007*^9, 
   3.589406007911148*^9, 3.589406462691305*^9, 3.589406599943523*^9, 
   3.5894107693506737`*^9, 3.589412925933003*^9, 3.589413471457344*^9, 
   3.589414212728531*^9, 3.589418212193486*^9, 3.5894195601859093`*^9, 
   3.58962982880235*^9, 3.589655715857304*^9, 3.5896557830033092`*^9, 
   3.589655947396978*^9, 3.589655978698247*^9, 3.589657131999074*^9, 
   3.589660322689302*^9, 3.5896954415096807`*^9, 3.5926795211849823`*^9, 
   3.592679608706744*^9, 3.5926797318407784`*^9, 3.5926798992997293`*^9, 
   3.5926799892271137`*^9, 3.592680061658596*^9, 3.5926801554301033`*^9, 
   3.592680258947545*^9, 3.592680720439279*^9, 3.5962460240470877`*^9, 
   3.5962477495362387`*^9, 3.596248645195921*^9, 3.596249804941668*^9, 
   3.596250408709659*^9, 3.596250643895545*^9, 3.5962506856676683`*^9, 
   3.598827152024596*^9, {3.598835523822112*^9, 3.598835540967958*^9}, 
   3.598926488077491*^9, 3.598932929141541*^9, 3.598932991508654*^9, 
   3.599283103161023*^9, 3.599283694814351*^9, 3.599284058011882*^9, 
   3.599288893398011*^9, 3.599289571674488*^9, 3.599289934834814*^9, 
   3.599379248832116*^9, 3.59937965951064*^9, 3.5993798112090187`*^9, 
   3.59937991126364*^9, 3.607543749927081*^9, {3.6075442978962317`*^9, 
   3.607544327558695*^9}, 3.610713939676209*^9, 3.611456285262394*^9, 
   3.613265168290399*^9, 3.613265786519863*^9, 3.6132932805501347`*^9, {
   3.6134571089830637`*^9, 3.613457118187529*^9}, 3.613457624884635*^9, 
   3.617486418356221*^9, 3.617486634295555*^9, 3.617486770300803*^9, 
   3.617486839489856*^9, 3.617487292628529*^9, 3.617487479116252*^9, 
   3.6174917025670347`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DateString", "[", "]"}]], "Input",
 CellChangeTimes->{3.541099446501821*^9}],

Cell[BoxData["\<\"Wed 20 Aug 2014 12:48:22\"\>"], "Output",
 CellChangeTimes->{
  3.5864077904496717`*^9, 3.586407829229877*^9, 3.5864078679042273`*^9, 
   3.5864079275346518`*^9, 3.58640796124109*^9, 3.586563375812749*^9, 
   3.586563526051784*^9, 3.586564880848407*^9, 3.586565064355412*^9, 
   3.5865652325314217`*^9, 3.586565307395623*^9, {3.586565403575942*^9, 
   3.586565411691638*^9}, 3.5865655190009527`*^9, {3.586565635883573*^9, 
   3.5865656502417927`*^9}, 3.588930672883778*^9, 3.588930720278379*^9, 
   3.588931344288021*^9, 3.588931832025195*^9, 3.588932830508195*^9, 
   3.588932914841166*^9, 3.588933024904871*^9, 3.58893329048466*^9, 
   3.588933363231852*^9, 3.588933441192423*^9, 3.58893372508692*^9, 
   3.588933838643811*^9, 3.58893399850886*^9, 3.588935170199732*^9, 
   3.5889354693744717`*^9, 3.588935545564392*^9, 3.5889362638220673`*^9, 
   3.5889363168157454`*^9, 3.58893636225491*^9, 3.588936404313139*^9, 
   3.588936515736588*^9, 3.588936558034114*^9, 3.58893771486134*^9, 
   3.5889400869458923`*^9, {3.5889407161333847`*^9, 3.588940730673386*^9}, 
   3.5889963222504673`*^9, 3.589154776214916*^9, 3.589155191707961*^9, 
   3.589155605347898*^9, 3.589155678703763*^9, 3.5891569202874413`*^9, 
   3.589157002570888*^9, 3.589165142911035*^9, 3.5891654085799103`*^9, 
   3.5891787855051937`*^9, 3.5891788980653515`*^9, 3.5891790346055427`*^9, 
   3.5892235524155416`*^9, 3.589223895802802*^9, 3.5892239360311403`*^9, 
   3.58922460704123*^9, 3.589224737397686*^9, 3.589224863586936*^9, 
   3.589225354586892*^9, 3.589226019432358*^9, 3.589237389180772*^9, 
   3.5892379441127243`*^9, 3.5892380395144453`*^9, 3.589238638412861*^9, 
   3.5892390258251753`*^9, 3.589243476059424*^9, 3.589249857583012*^9, 
   3.589251739670031*^9, 3.5892565003636217`*^9, 3.589257078162326*^9, 
   3.5894060080980253`*^9, 3.589406462873702*^9, 3.5894066001947613`*^9, 
   3.5894107695171633`*^9, 3.589412926165584*^9, 3.589413471673669*^9, 
   3.5894142128855057`*^9, 3.589418212379402*^9, 3.5894195604024754`*^9, 
   3.589629829003903*^9, 3.589655715999118*^9, 3.5896557831473007`*^9, 
   3.589655947541544*^9, 3.589655978881572*^9, 3.589657132175136*^9, 
   3.589660322928143*^9, 3.589695441642398*^9, 3.592679521354645*^9, 
   3.592679608923246*^9, 3.592679732013633*^9, 3.592679899483327*^9, 
   3.5926799893858223`*^9, 3.5926800618348017`*^9, 3.592680155613016*^9, 
   3.592680259100081*^9, 3.5926807207002563`*^9, 3.596246024169787*^9, 
   3.596247749652947*^9, 3.5962486453210506`*^9, 3.596249805076869*^9, 
   3.596250408824142*^9, 3.5962506439936657`*^9, 3.596250685768203*^9, 
   3.598827152169466*^9, {3.598835523920133*^9, 3.598835541067114*^9}, 
   3.598926488202065*^9, 3.598932929273984*^9, 3.5989329916255503`*^9, 
   3.5992831032795553`*^9, 3.599283694932705*^9, 3.599284058140037*^9, 
   3.5992888935160427`*^9, 3.5992895718323803`*^9, 3.599289934965706*^9, 
   3.599379249017209*^9, 3.599379659688862*^9, 3.5993798113563213`*^9, 
   3.59937991142299*^9, 3.607543750074793*^9, {3.607544298075123*^9, 
   3.607544327737965*^9}, 3.6107139397920427`*^9, 3.611456285360971*^9, 
   3.61326516840909*^9, 3.613265786668476*^9, 3.613293280682825*^9, {
   3.613457109130892*^9, 3.6134571184044237`*^9}, 3.613457624928577*^9, 
   3.61748641839364*^9, 3.6174866343466187`*^9, 3.61748677034796*^9, 
   3.6174868395403967`*^9, 3.61748729282915*^9, 3.617487479158839*^9, 
   3.617491702604476*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"NN", "=", 
    SuperscriptBox["10", "50"]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nnn", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mmm", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kkk", "=", "2"}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cfn", "[", "n_", "]"}], ":=", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{"cf", "[", "n", "]"}], ",", "1000"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.569018342101978*^9, 3.569018348232788*^9}, {
   3.570146276864829*^9, 3.5701462802812357`*^9}, 3.570146613272621*^9, 
   3.570146812426171*^9, {3.570168045786501*^9, 3.570168050724424*^9}, {
   3.5701682163257*^9, 3.570168221578733*^9}, {3.570304410012871*^9, 
   3.570304413005251*^9}, {3.570304615360482*^9, 3.570304619027022*^9}, {
   3.570305108685185*^9, 3.57030511461329*^9}, 3.571525566533408*^9, {
   3.571526491971547*^9, 3.571526498417733*^9}, {3.5715522563198767`*^9, 
   3.5715522607404737`*^9}, {3.571552594822069*^9, 3.571552599905612*^9}, {
   3.571553915812812*^9, 3.57155393349507*^9}, {3.571590719777213*^9, 
   3.5715907204055433`*^9}, {3.571592382181954*^9, 3.5715923898540916`*^9}, {
   3.571607762691269*^9, 3.5716077633932705`*^9}, {3.5716227468591905`*^9, 
   3.571622747295991*^9}, {3.5716258427168283`*^9, 3.571625864291666*^9}, {
   3.5716262960692244`*^9, 3.5716262963032246`*^9}, 3.5716303128010807`*^9, {
   3.5716311378387303`*^9, 3.571631138228731*^9}, {3.571633933544441*^9, 
   3.5716339339344416`*^9}, 3.571633987130535*^9, {3.57199824427629*^9, 
   3.5719982450400476`*^9}, {3.572040282113666*^9, 3.572040282722067*^9}, {
   3.5723211296725464`*^9, 3.572321142121368*^9}, 3.5725585084504843`*^9, 
   3.57255854629815*^9, {3.572560104887086*^9, 3.5725601077886906`*^9}, {
   3.5725612543467035`*^9, 3.5725612552359047`*^9}, {3.572851663287795*^9, 
   3.572851663590117*^9}, {3.572851898817198*^9, 3.5728518995255127`*^9}, 
   3.572852034988195*^9, {3.5810518690256453`*^9, 3.5810518812498083`*^9}, {
   3.581051968101151*^9, 3.58105197182522*^9}, 3.581058361740633*^9, 
   3.5810611005650797`*^9, {3.581089630936204*^9, 3.581089636605342*^9}, 
   3.5811351689974833`*^9, {3.581135250160781*^9, 3.58113525050966*^9}, {
   3.581149909962985*^9, 3.581149910794427*^9}, {3.581445982824523*^9, 
   3.581445985939653*^9}, {3.581446031075204*^9, 3.581446031671216*^9}, 
   3.585013304025815*^9, {3.585156348555366*^9, 3.5851563489935417`*^9}, {
   3.585198894563924*^9, 3.585198895237772*^9}, {3.585199033288056*^9, 
   3.5851990341759043`*^9}, {3.585199074710842*^9, 3.585199075126288*^9}, {
   3.585199111453187*^9, 3.58519911479382*^9}, {3.585285827514738*^9, 
   3.5852858281140547`*^9}, {3.5889306236726313`*^9, 3.588930624290524*^9}, {
   3.589224853810007*^9, 3.589224854259066*^9}, {3.589225324792584*^9, 
   3.589225364021062*^9}, 3.5892411851416893`*^9, 3.589406427138747*^9, 
   3.589413392677812*^9, 3.5894194896232767`*^9, 3.5896557426746073`*^9, {
   3.589657052646051*^9, 3.58965705332446*^9}, 3.5962506026925697`*^9, {
   3.6075443204647512`*^9, 3.60754432142041*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["cases",
 FontWeight->"Bold"]], "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.568242700573595*^9, 3.568242719559374*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"case", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"0", "\[LessEqual]", " ", "test", " ", "\[LessEqual]", "2"}], 
     ",", " ", "1", ",", " ", "3"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kk", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{
     "0", "\[LessEqual]", " ", "test", " ", "\[LessEqual]", " ", "2"}], ",", 
     " ", "1", ",", " ", "3"}], "]"}]}], ";"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5673725849904704`*^9, 3.567372669105818*^9}, {
   3.567373018218831*^9, 3.567373055705697*^9}, {3.567376632488782*^9, 
   3.5673766480420094`*^9}, {3.5674062078018703`*^9, 3.5674062255653057`*^9}, 
   3.5682258161946707`*^9, 3.568242719559461*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", ":=", 
   RowBox[{"Which", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"test", "\[Equal]", "0"}], ",", 
     FractionBox["22", "100"], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"test", "\[Equal]", "1"}], ",", 
     FractionBox["90", "100"], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"test", "==", "2"}], ",", 
     FractionBox["2", "100"], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"test", "\[Equal]", "3"}], ",", 
     FractionBox["30", "100"], ",", "\[IndentingNewLine]", 
     RowBox[{"test", "\[Equal]", "4"}], ",", 
     FractionBox["2", "100"], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"test", "\[Equal]", "5"}], ",", 
     FractionBox["36", "100"], ",", "\[IndentingNewLine]", 
     RowBox[{"test", "\[Equal]", "6"}], ",", 
     FractionBox["30", "100"], ",", "\[IndentingNewLine]", 
     RowBox[{"test", "\[Equal]", "7"}], ",", 
     FractionBox["28", "100"], ",", "\[IndentingNewLine]", 
     RowBox[{"test", "\[Equal]", "8"}], ",", 
     FractionBox["22", "100"], ",", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"test", "\[Equal]", "9"}], ",", 
     FractionBox["55", "100"], ",", "\[IndentingNewLine]", 
     RowBox[{"test", "\[Equal]", "10"}], ",", 
     FractionBox["0", "100"]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
    "]"}]}], ";"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellChangeTimes->{{3.5673724582402477`*^9, 3.567372536926786*^9}, {
   3.567372676250631*^9, 3.5673729733531523`*^9}, 3.5673751755374217`*^9, {
   3.567376553646243*^9, 3.5673766274967732`*^9}, {3.5673769052708607`*^9, 
   3.56737693311691*^9}, {3.567406001302979*^9, 3.567406179543592*^9}, {
   3.568179040029978*^9, 3.5681790402763557`*^9}, {3.5682256955072727`*^9, 
   3.568225724901601*^9}, 3.5682427195595493`*^9, {3.569007555530487*^9, 
   3.569007601475724*^9}, 3.571529425847651*^9, {3.5716304715593596`*^9, 
   3.571630479484174*^9}, {3.572180527879623*^9, 3.5721805430533037`*^9}, {
   3.5810518958139467`*^9, 3.581051896300644*^9}, {3.5849578587098093`*^9, 
   3.584957859294734*^9}, 3.585172160049519*^9, {3.589155665282494*^9, 
   3.589155668295195*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["defs",
 FontWeight->"Bold"]], "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.568242729744137*^9, 3.568242742906459*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Amp", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tol", "=", "14"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"w", "=", 
     RowBox[{
      FractionBox["40", "100"], "Amp", 
      SqrtBox["2"]}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"o", "[", "1", "]"}], "=", "0"}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.5106234756458273`*^9, 3.5106234799178276`*^9}, 
   3.510623757104828*^9, 3.5106418889234*^9, {3.5106444302424*^9, 
   3.5106444724754*^9}, {3.5106448508294*^9, 3.5106448516874*^9}, {
   3.5106472720424*^9, 3.5106472754784*^9}, {3.5106481348964*^9, 
   3.5106481794684*^9}, {3.5107829877804003`*^9, 3.5107830103564*^9}, 
   3.5107841137614*^9, {3.5107848475434*^9, 3.5107848477404003`*^9}, {
   3.5107885957952003`*^9, 3.5107885964202003`*^9}, 3.5107931297552*^9, 
   3.5107951138252*^9, 3.5107951908462*^9, {3.5107952348112*^9, 
   3.5107952437552*^9}, {3.5107953813512*^9, 3.5107953912872*^9}, 
   3.5108160874230003`*^9, 3.510818351277*^9, 3.510874933071205*^9, {
   3.510877366787205*^9, 3.5108773888652053`*^9}, 3.5108776801122055`*^9, 
   3.510877764894205*^9, {3.510878483396205*^9, 3.5108784877472053`*^9}, {
   3.510878517827205*^9, 3.510878527169205*^9}, {3.510889112196205*^9, 
   3.5108891441782055`*^9}, 3.510889404837205*^9, 3.5108898367472053`*^9, 
   3.510889890616205*^9, 3.510889923142205*^9, {3.510890000946205*^9, 
   3.5108900011222053`*^9}, 3.5108900845102053`*^9, 3.510891049958205*^9, 
   3.510897870191205*^9, 3.5108979338052053`*^9, 3.5108980916682053`*^9, 
   3.510898229532205*^9, {3.5108986823382053`*^9, 3.5108986852342052`*^9}, {
   3.5108987502862053`*^9, 3.510898782091205*^9}, {3.5108988792072053`*^9, 
   3.510898904660205*^9}, {3.510898972882205*^9, 3.5108989817912054`*^9}, 
   3.510899258370205*^9, {3.510899458566205*^9, 3.510899469907205*^9}, 
   3.5110789104820004`*^9, 3.5110789667349997`*^9, 3.511079024316*^9, 
   3.511079071465*^9, 3.511134188477*^9, 3.511135903659*^9, 
   3.5112772331280003`*^9, 3.51127738085*^9, 3.511277858273*^9, 
   3.511312504204*^9, 3.511320550795*^9, 3.511507271875*^9, 
   3.511507478734*^9, {3.511507585477*^9, 3.511507608284*^9}, 
   3.5115112789309998`*^9, 3.511573607562209*^9, 3.5115894992702093`*^9, 
   3.5118746435596*^9, {3.5119033206558*^9, 3.5119033322938004`*^9}, 
   3.5123652917195997`*^9, 3.5123654182246*^9, {3.5123695591556*^9, 
   3.5123695625956*^9}, 3.5123697540095997`*^9, 3.5123730849786*^9, 
   3.5123749003626003`*^9, 3.5123830056436*^9, {3.5123840820706*^9, 
   3.5123840823246*^9}, 3.5123844634966*^9, 3.5123845684666*^9, 
   3.5123846023526*^9, 3.5123854128336*^9, 3.5123857390076*^9, 
   3.5123858496015997`*^9, 3.5124548829915247`*^9, 3.512455214108525*^9, {
   3.512995891064392*^9, 3.512995895168392*^9}, 3.513035262562392*^9, {
   3.5158145164300003`*^9, 3.5158145168929996`*^9}, {3.515819074377*^9, 
   3.515819082151*^9}, 3.516680194275037*^9, {3.516797896326*^9, 
   3.516797913773*^9}, 3.5168683967209997`*^9, 3.5168684502869997`*^9, 
   3.5174315556638002`*^9, 3.5174316361577997`*^9, {3.5174317131708*^9, 
   3.5174317259938*^9}, {3.5174317862558002`*^9, 3.5174317866928*^9}, {
   3.5174319205797997`*^9, 3.5174319267058*^9}, 3.5174321193938*^9, {
   3.5174321945048*^9, 3.5174321947988*^9}, 3.5174322798788*^9, {
   3.5174323294948*^9, 3.5174323540758*^9}, 3.5174465981438*^9, {
   3.5174466737058*^9, 3.5174466762648*^9}, 3.5174467318878*^9, {
   3.5174467978738003`*^9, 3.5174468452497997`*^9}, 3.5174469890008*^9, 
   3.5174471678658*^9, {3.5174480821188*^9, 3.5174480940548*^9}, 
   3.5174481925438004`*^9, {3.5174483334398003`*^9, 3.5174483341108*^9}, 
   3.5180284333648*^9, 3.5180341649007998`*^9, {3.5230227478710613`*^9, 
   3.523022750612061*^9}, {3.52803201964622*^9, 3.528032045019451*^9}, {
   3.5282233060615377`*^9, 3.528223318482853*^9}, 3.529756555731763*^9, 
   3.530809757564921*^9, {3.530811423527586*^9, 3.530811423997211*^9}, 
   3.530811565538425*^9, {3.531775279405843*^9, 3.531775401623398*^9}, {
   3.532046143355422*^9, 3.532046144186236*^9}, 3.532701107825774*^9, 
   3.5329575419548273`*^9, {3.532957591072948*^9, 3.53295760137311*^9}, 
   3.532957651054604*^9, 3.5329585427233458`*^9, {3.532959188666238*^9, 
   3.532959188879455*^9}, 3.532978636872213*^9, {3.532978725828953*^9, 
   3.532978732355401*^9}, {3.532979080790502*^9, 3.532979111965962*^9}, {
   3.532979896991404*^9, 3.532979903716322*^9}, 3.532980142845945*^9, {
   3.532980177972775*^9, 3.532980200323558*^9}, 3.532983741377397*^9, {
   3.5329837806251383`*^9, 3.532983811276744*^9}, {3.532985373739587*^9, 
   3.5329854370255823`*^9}, 3.532986472817049*^9, {3.5329867041358223`*^9, 
   3.53298670439723*^9}, {3.5329869830774193`*^9, 3.532986983842616*^9}, 
   3.532987188117511*^9, {3.532987324791483*^9, 3.532987334190496*^9}, 
   3.5329904706067867`*^9, 3.532990937405101*^9, 3.532991409178577*^9, {
   3.532991668223983*^9, 3.532991673268422*^9}, 3.5329918009157333`*^9, {
   3.532997414409483*^9, 3.532997421590569*^9}, 3.533305709947933*^9, {
   3.5334716102247753`*^9, 3.53347161611078*^9}, {3.5334724379247713`*^9, 
   3.5334724530338078`*^9}, 3.5334724936196737`*^9, 3.533472718482527*^9, {
   3.533472797295862*^9, 3.5334727987487717`*^9}, {3.5334730087768173`*^9, 
   3.5334731119639387`*^9}, {3.5334731608833323`*^9, 3.533473162666478*^9}, {
   3.533477438763465*^9, 3.533477610898409*^9}, {3.533477651972845*^9, 
   3.5334777282537127`*^9}, {3.5334777976138697`*^9, 
   3.5334779043377647`*^9}, {3.533477940745051*^9, 3.533477940973691*^9}, {
   3.533477976207262*^9, 3.533478040962111*^9}, {3.533478329370008*^9, 
   3.533478336175256*^9}, {3.533478396431553*^9, 3.533478411044095*^9}, {
   3.533478512915579*^9, 3.533478557206874*^9}, {3.533478587952483*^9, 
   3.533478741327587*^9}, {3.533478772313095*^9, 3.533478798885726*^9}, {
   3.533478837567217*^9, 3.5334789186999683`*^9}, {3.533478955035236*^9, 
   3.533478969106045*^9}, {3.533762746975087*^9, 3.533762757708282*^9}, 
   3.5337628718341618`*^9, 3.53376294781835*^9, 3.533762999976261*^9, 
   3.5337630712559137`*^9, {3.5337633154308434`*^9, 3.533763325010951*^9}, 
   3.533763400333839*^9, {3.533763522220188*^9, 3.533763523344001*^9}, {
   3.533799316928454*^9, 3.533799326224648*^9}, 3.533799487671666*^9, {
   3.533799582880898*^9, 3.5337995936374483`*^9}, 3.5337997160682983`*^9, {
   3.533799868703607*^9, 3.533799870636449*^9}, 3.533800303884664*^9, 
   3.533800379612206*^9, 3.533800434631895*^9, {3.5338005117297297`*^9, 
   3.5338005121005363`*^9}, {3.533804722314925*^9, 3.5338047225506897`*^9}, 
   3.5338066632560787`*^9, {3.533806837812084*^9, 3.533806848616631*^9}, {
   3.533807434473445*^9, 3.533807435582103*^9}, {3.533808807842504*^9, 
   3.533808809079455*^9}, 3.533976516393564*^9, 3.533976587342085*^9, 
   3.533976784237917*^9, 3.533976846339593*^9, 3.5340813574725237`*^9, 
   3.534081514625691*^9, 3.534098783307383*^9, 3.534170250290008*^9, {
   3.534170717789659*^9, 3.534170718242597*^9}, {3.534172195238762*^9, 
   3.53417220454065*^9}, 3.534172325066564*^9, {3.5341746226696033`*^9, 
   3.5341746281468267`*^9}, 3.534174717586368*^9, 3.5342470583521767`*^9, 
   3.534399453654009*^9, {3.534399540538701*^9, 3.534399541175802*^9}, 
   3.534690326255829*^9, 3.534690378078073*^9, 3.534708632571913*^9, 
   3.535461411311257*^9, {3.5354614641493683`*^9, 3.535461464360799*^9}, {
   3.535461537080579*^9, 3.535461564305813*^9}, 3.535461597126657*^9, {
   3.5354671489129763`*^9, 3.535467149084441*^9}, 3.535467233557369*^9, 
   3.5354673073383923`*^9, {3.5418106834212437`*^9, 3.5418106900836253`*^9}, {
   3.541810725615658*^9, 3.5418107317520084`*^9}, 3.5418108663587074`*^9, {
   3.542241531546421*^9, 3.542241532052491*^9}, {3.542247623572647*^9, 
   3.5422476276223927`*^9}, 3.5422476717234793`*^9, {3.5422477049227047`*^9, 
   3.542247705686885*^9}, {3.5422477984103403`*^9, 3.542247801671851*^9}, {
   3.542247875731804*^9, 3.542247897916456*^9}, 3.542247930091807*^9, 
   3.542247961074822*^9, {3.5422481562057*^9, 3.542248160862441*^9}, {
   3.54225343415718*^9, 3.542253434516058*^9}, 3.542253489361496*^9, {
   3.544330121784301*^9, 3.5443301299027653`*^9}, 3.544330184726901*^9, 
   3.5443326832128057`*^9, 3.5446536512935543`*^9, {3.544654212352763*^9, 
   3.54465422135358*^9}, {3.544654354025234*^9, 3.54465435490097*^9}, {
   3.544654387538409*^9, 3.544654403422661*^9}, {3.544654449818701*^9, 
   3.5446545616323233`*^9}, 3.5446545945386753`*^9, {3.544656562827269*^9, 
   3.544656598636565*^9}, {3.544656664291932*^9, 3.5446567302494717`*^9}, {
   3.544656768862005*^9, 3.544656852496408*^9}, {3.544657237030158*^9, 
   3.544657326646143*^9}, {3.544657360229703*^9, 3.5446573614760447`*^9}, {
   3.544657468134906*^9, 3.544657473087493*^9}, {3.544658623153757*^9, 
   3.544658623377743*^9}, {3.544663131320569*^9, 3.5446631319151907`*^9}, {
   3.544663190495389*^9, 3.544663190842882*^9}, 3.54466424201403*^9, {
   3.5446643028243923`*^9, 3.544664303000175*^9}, 3.544664354638968*^9, {
   3.5446643863125677`*^9, 3.544664386498088*^9}, {3.544664417539172*^9, 
   3.544664418076996*^9}, 3.5446670802559557`*^9, 3.544667145592606*^9, {
   3.544671656779417*^9, 3.544671657273263*^9}, 3.5446717056940193`*^9, {
   3.544672954818338*^9, 3.5446730167605667`*^9}, {3.5446730500044117`*^9, 
   3.544673050194869*^9}, {3.5446730847352133`*^9, 3.5446731033968277`*^9}, {
   3.544680444376624*^9, 3.544680540764452*^9}, {3.544681504723568*^9, 
   3.54468151103402*^9}, {3.544758648384157*^9, 3.5447586874548397`*^9}, 
   3.544758744966066*^9, {3.544758800360783*^9, 3.544758800787284*^9}, {
   3.544758927148464*^9, 3.5447589277214603`*^9}, {3.54475903503651*^9, 
   3.544759042506412*^9}, {3.544760948270797*^9, 3.544760956684841*^9}, {
   3.544761026075939*^9, 3.544761026479972*^9}, {3.5447610790523252`*^9, 
   3.544761084091195*^9}, {3.544761179301483*^9, 3.544761179750206*^9}, {
   3.544761225066485*^9, 3.54476130581961*^9}, {3.54476134404677*^9, 
   3.5447613448219833`*^9}, {3.5447613830168953`*^9, 3.544761392713419*^9}, {
   3.5447614414947*^9, 3.544761448738453*^9}, {3.544762114841783*^9, 
   3.5447621157742853`*^9}, {3.544762736407461*^9, 3.54476273691043*^9}, {
   3.544762845305571*^9, 3.544762942538113*^9}, {3.5447646725450773`*^9, 
   3.544764715845291*^9}, {3.544764748224009*^9, 3.544764748481412*^9}, {
   3.544764779543886*^9, 3.54476477972266*^9}, {3.544764827367669*^9, 
   3.54476490190923*^9}, 3.544766326714326*^9, {3.5447663583607483`*^9, 
   3.5447663747853937`*^9}, 3.544766502000606*^9, {3.544766569421845*^9, 
   3.544766574944622*^9}, {3.5447666513566313`*^9, 3.54476672347959*^9}, {
   3.5448352313516703`*^9, 3.544835234947876*^9}, {3.5448352731430607`*^9, 
   3.5448353033487883`*^9}, {3.5448357679253607`*^9, 3.544835768200376*^9}, {
   3.5448358017522955`*^9, 3.544835833088087*^9}, {3.5448400169333897`*^9, 
   3.5448400175624256`*^9}, {3.5448400481861773`*^9, 
   3.5448400537644963`*^9}, {3.544840109343675*^9, 3.5448401099137077`*^9}, {
   3.5448401463587923`*^9, 3.5448401492839594`*^9}, {3.544842952083271*^9, 
   3.544842952702306*^9}, {3.544844129747629*^9, 3.5448441505238175`*^9}, {
   3.5448446976171093`*^9, 3.5448447528812704`*^9}, {3.5448453011866317`*^9, 
   3.5448453037727795`*^9}, {3.5448453815112257`*^9, 
   3.5448453818122435`*^9}, {3.5448454700392895`*^9, 3.544845471724386*^9}, 
   3.5448455078384514`*^9, 3.5448457350344467`*^9, {3.5448457686613693`*^9, 
   3.5448457689543867`*^9}, {3.5448458005761952`*^9, 3.544845827553738*^9}, {
   3.5448458769745646`*^9, 3.54484589979487*^9}, 3.5448463862796955`*^9, 
   3.5448469454616785`*^9, {3.5448470361398654`*^9, 3.5448470744500566`*^9}, {
   3.5448471255629797`*^9, 3.5448471262000165`*^9}, {3.544847181788196*^9, 
   3.544847182351228*^9}, {3.544847222634532*^9, 3.54484722311156*^9}, 
   3.544847263771885*^9, {3.5448472958797216`*^9, 3.5448473407912903`*^9}, {
   3.5448528156312304`*^9, 3.544852820501073*^9}, {3.544852854769861*^9, 
   3.544852869068556*^9}, {3.544852911222067*^9, 3.544852911738801*^9}, {
   3.5448529804203997`*^9, 3.5448529810275803`*^9}, 3.544853073177689*^9, 
   3.544853122351856*^9, {3.544853192506999*^9, 3.544853197748206*^9}, 
   3.5448532351110287`*^9, {3.544853277657804*^9, 3.5448532815724*^9}, 
   3.544946272810628*^9, 3.544946313041177*^9, {3.5449463721822042`*^9, 
   3.544946372371903*^9}, {3.544946461046021*^9, 3.5449464618324947`*^9}, {
   3.5449465027159853`*^9, 3.5449465030076933`*^9}, 3.544946561103623*^9, {
   3.544948124213738*^9, 3.544948127588211*^9}, {3.54494887135017*^9, 
   3.544948881114134*^9}, {3.544948974119224*^9, 3.54494897794302*^9}, {
   3.544949022178286*^9, 3.544949022875621*^9}, {3.544949078136491*^9, 
   3.544949115373488*^9}, {3.544949278072304*^9, 3.544949278363408*^9}, {
   3.544949322757104*^9, 3.544949352557312*^9}, 3.544949396006234*^9, {
   3.5449494348073397`*^9, 3.544949435334997*^9}, {3.544949466914803*^9, 
   3.5449494706151943`*^9}, 3.5449495070098953`*^9, {3.544949555272678*^9, 
   3.54494955553026*^9}, {3.544949593320344*^9, 3.544949593555265*^9}, 
   3.544952813152643*^9, 3.544952873082048*^9, {3.544952927835693*^9, 
   3.544952928295767*^9}, {3.544952960854856*^9, 3.544952965938327*^9}, 
   3.544953000353683*^9, {3.544953178170952*^9, 3.5449531783835163`*^9}, {
   3.544953391145134*^9, 3.544953391774111*^9}, {3.5449534249406652`*^9, 
   3.544953509259015*^9}, {3.544953667951871*^9, 3.544953737612275*^9}, {
   3.544953768279505*^9, 3.544953768908204*^9}, {3.544954176532445*^9, 
   3.544954262975175*^9}, {3.544954297615262*^9, 3.5449543242879553`*^9}, {
   3.544954362933221*^9, 3.544954365620303*^9}, 3.544954396424046*^9, 
   3.544956802353973*^9, {3.5449569166978827`*^9, 3.5449569172594337`*^9}, {
   3.5449569780666857`*^9, 3.544956978594194*^9}, 3.544957035555472*^9, {
   3.544958644667123*^9, 3.5449586450372543`*^9}, 3.544958701817493*^9, {
   3.544958771106708*^9, 3.5449587824470778`*^9}, {3.544958831069398*^9, 
   3.544958860971249*^9}, {3.544958903451823*^9, 3.5449589080741577`*^9}, 
   3.5451611614429626`*^9, {3.545161205559154*^9, 3.545161225195819*^9}, 
   3.545163632363204*^9, {3.545163705264179*^9, 3.545163727067325*^9}, {
   3.54516378184262*^9, 3.5451637824714947`*^9}, {3.545164018047039*^9, 
   3.5451640186766453`*^9}, {3.545164073218113*^9, 3.5451640828356047`*^9}, 
   3.5451641288271933`*^9, 3.545164252947116*^9, 3.545164765498024*^9, 
   3.54516488194767*^9, 3.545165099084749*^9, {3.545165270152384*^9, 
   3.5451652753823977`*^9}, 3.5451653478446093`*^9, 3.545176867932179*^9, 
   3.545362269708311*^9, {3.5453623538342257`*^9, 3.5453623544634743`*^9}, {
   3.545362540281003*^9, 3.545362540842394*^9}, {3.54536261057164*^9, 
   3.54536261097478*^9}, {3.545362648179834*^9, 3.5453626491352873`*^9}, {
   3.545362820890815*^9, 3.545362835997843*^9}, {3.5453631447559023`*^9, 
   3.54536316137094*^9}, {3.545363253475848*^9, 3.5453632546559134`*^9}, 
   3.545363737384089*^9, {3.545363787008424*^9, 3.545363787265753*^9}, {
   3.54536904761754*^9, 3.5453690527021017`*^9}, {3.545369411308969*^9, 
   3.545369411836636*^9}, {3.5453694608986053`*^9, 3.545369461144866*^9}, {
   3.545369552901239*^9, 3.545369558917432*^9}, 3.545369624113983*^9, {
   3.545369785719831*^9, 3.545369786248095*^9}, {3.545369816747965*^9, 
   3.545369828683488*^9}, 3.5453698675086927`*^9, 3.5453699843061523`*^9, {
   3.545370042435314*^9, 3.5453700692100363`*^9}, {3.5453701707189007`*^9, 
   3.545370171021427*^9}, {3.545370250773282*^9, 3.545370253157583*^9}, {
   3.5453703071029577`*^9, 3.5453703074953337`*^9}, {3.545370348097747*^9, 
   3.545370348422731*^9}, {3.54537120026372*^9, 3.545371203255917*^9}, {
   3.5453712455564737`*^9, 3.5453712559733057`*^9}, 3.5453712913666563`*^9, {
   3.545371432836419*^9, 3.545371433251279*^9}, 3.545438397545499*^9, {
   3.5454386689490223`*^9, 3.5454387007028384`*^9}, 3.545438741798189*^9, {
   3.5454388010545783`*^9, 3.545438801340595*^9}, {3.545438836773621*^9, 
   3.5454388373386536`*^9}, {3.546598454904612*^9, 3.546598466885394*^9}, 
   3.546598499579082*^9, 3.546984784376212*^9, 3.5470622230071983`*^9, {
   3.547073908850606*^9, 3.547073930100999*^9}, 3.54766813176685*^9, {
   3.548367229329153*^9, 3.548367235491715*^9}, 3.548367432896847*^9, {
   3.548367481023799*^9, 3.548367481867099*^9}, {3.551413715903549*^9, 
   3.551413734822632*^9}, 3.5514686624703197`*^9, 3.5518275505550957`*^9, {
   3.551840329703821*^9, 3.551840356265726*^9}, {3.551840388823111*^9, 
   3.5518403928042727`*^9}, 3.551855943294813*^9, {3.5519069161165457`*^9, 
   3.551906916553974*^9}, {3.551907777742888*^9, 3.55190777834942*^9}, {
   3.551907834431775*^9, 3.551907834756812*^9}, 3.55192205666529*^9, 
   3.5519220977494717`*^9, 3.551922131871436*^9, 3.551922162842167*^9, {
   3.560798791046194*^9, 3.560798791361467*^9}, {3.560798981024959*^9, 
   3.5607990041218348`*^9}, {3.560799038535839*^9, 3.560799049864464*^9}, 
   3.560799106869204*^9, {3.5607991516432333`*^9, 3.56079915184542*^9}, {
   3.560799214430285*^9, 3.5607992154642982`*^9}, {3.560799275248086*^9, 
   3.560799275730568*^9}, {3.5607993181895533`*^9, 3.560799325399534*^9}, 
   3.560799373190935*^9, 3.560799522421426*^9, 3.56080013758418*^9, 
   3.560800402138575*^9, 3.560801201846745*^9, 3.560801345812385*^9, 
   3.560801419376721*^9, 3.5608015173194857`*^9, 3.560801585764264*^9, {
   3.5608098481835127`*^9, 3.560809860386211*^9}, {3.5608102761849933`*^9, 
   3.5608102768410306`*^9}, {3.560810580503399*^9, 3.56081058138945*^9}, {
   3.5610855881430187`*^9, 3.5610855884238195`*^9}, {3.5611550741694727`*^9, 
   3.56115507852188*^9}, {3.561155116008746*^9, 3.561155145258797*^9}, 
   3.5611621203123417`*^9, {3.561449237159069*^9, 3.5614492565532837`*^9}, {
   3.561449303972966*^9, 3.561449310023312*^9}, 3.56144935520613*^9, 
   3.561449409825325*^9, {3.561449472228244*^9, 3.561449509297657*^9}, {
   3.561449546152589*^9, 3.561449546691575*^9}, {3.5614496866204853`*^9, 
   3.561449687732174*^9}, {3.561449720089901*^9, 3.5614497256671886`*^9}, {
   3.561449780198143*^9, 3.561449782536394*^9}, {3.561449820709529*^9, 
   3.56144982334025*^9}, 3.561449872167226*^9, {3.562096687596767*^9, 
   3.562096713383891*^9}, {3.562096780940287*^9, 3.562096784324835*^9}, {
   3.5620968149929113`*^9, 3.562096820369854*^9}, 3.562097811296303*^9, 
   3.5620978725193977`*^9, {3.5620979527869263`*^9, 3.562097953473359*^9}, {
   3.56209810388619*^9, 3.562098108283863*^9}, {3.5620982133045063`*^9, 
   3.5620982136970177`*^9}, {3.562098298928022*^9, 3.5620982992197027`*^9}, {
   3.5620983937995243`*^9, 3.562098396565979*^9}, 3.5620984800196*^9, 
   3.5620988431605864`*^9, 3.562099269479732*^9, 3.5622170951815166`*^9, 
   3.562217221925784*^9, {3.566438138656979*^9, 3.5664381389043303`*^9}, {
   3.5664406181432667`*^9, 3.566440630305522*^9}, 3.566444413793932*^9, 
   3.5664532932135143`*^9, {3.566509823550084*^9, 3.566509852051334*^9}, {
   3.566510043530181*^9, 3.566510044172181*^9}, {3.5665135252171807`*^9, 
   3.566513550590181*^9}, {3.5665188201651807`*^9, 3.566518829969181*^9}, 
   3.5665189330551805`*^9, {3.566519832839181*^9, 3.566519833205181*^9}, 
   3.566526838051181*^9, {3.5665277282791805`*^9, 3.5665277434011807`*^9}, {
   3.566528173733546*^9, 3.5665281845911646`*^9}, {3.5665299873771315`*^9, 
   3.566529988593933*^9}, 3.566530147683013*^9, 3.5665302030943103`*^9, {
   3.5665304680607758`*^9, 3.566530479199195*^9}, {3.566536173043131*^9, 
   3.5665361733961267`*^9}, {3.56737309136736*^9, 3.567373102053378*^9}, {
   3.5673751851626387`*^9, 3.5673751894682465`*^9}, {3.5673766597732296`*^9, 
   3.567376664952439*^9}, {3.5673771167136326`*^9, 3.5673771170100327`*^9}, {
   3.5673928561430817`*^9, 3.567392860245889*^9}, 3.5673952937999644`*^9, {
   3.5674057117110453`*^9, 3.56740571714237*^9}, {3.5678144540439844`*^9, 
   3.5678144785516276`*^9}, {3.5681789593434467`*^9, 3.568178961649068*^9}, 
   3.568242742906548*^9, {3.5701679340400257`*^9, 3.570167940746677*^9}}],

Cell[BoxData[""], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.5110789823780003`*^9, 3.511079014859*^9}, 
   3.5115736075632095`*^9, 3.5141888746738*^9, 3.514206303421*^9, 
   3.5180284333648*^9, 3.5180341649007998`*^9, 3.533433923787199*^9, 
   3.568242742906641*^9}],

Cell[TextData[{
 "\nCASES of  cfn[n]",
 StyleBox["\n\nFor test purpose we define several families of recursion \
coefficients cfn[n].",
  FontWeight->"Plain"]
}], "Input",
 Evaluatable->False,
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.5106044973208*^9, 3.5106045338188*^9}, {
   3.510622679644828*^9, 3.510622702875828*^9}, {3.5106443636904*^9, 
   3.5106444057104*^9}, 3.5106444596194*^9, {3.5106448563264*^9, 
   3.5106448569184*^9}, 3.5107841137614*^9, {3.5108773888652053`*^9, 
   3.5108773996972055`*^9}, {3.510877432670205*^9, 3.510877445599205*^9}, {
   3.510877796282205*^9, 3.510877799960205*^9}, {3.5121892303102107`*^9, 
   3.5121892430932107`*^9}, 3.5180284333648*^9, 3.5180341649007998`*^9, 
   3.5682427429068737`*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"symb", "=", "0"}], ";"}], "\n", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"symb", "\[Equal]", "0"}], ",", " ", 
      RowBox[{"TT", "=", "50"}], ",", 
      RowBox[{"TT", "=", "10"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cf", "[", "n_", "]"}], ":=", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"case", "\[Equal]", "1"}], ",", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"n", "\[Equal]", "0"}], "&&", 
          RowBox[{"p", "==", "0"}]}], ",", " ", 
         RowBox[{
          SqrtBox["2"], "Amp"}], ",", 
         RowBox[{"Amp", 
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox[
             RowBox[{"n", "+", "1"}], "2"], ")"}], "p"]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"case", "\[Equal]", "2"}], ",", 
       RowBox[{"Amp", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"n", "+", "1"}], ")"}], "p"], 
        RowBox[{"Log", "[", 
         RowBox[{"n", "+", "2"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"case", "\[Equal]", "3"}], ",", " ", 
       RowBox[{"Amp", " ", 
        SuperscriptBox[
         RowBox[{"IntegerPart", "[", 
          RowBox[{
           FractionBox["n", "kk"], "+", "1"}], "]"}], "p"]}]}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.5107952480822*^9, 3.5107952725081997`*^9}, {
   3.5107953232722*^9, 3.5107954353402*^9}, {3.5108759558642054`*^9, 
   3.510875956103205*^9}, 3.510877399698205*^9, {3.510877432670205*^9, 
   3.510877445599205*^9}, 3.5108778121612053`*^9, {3.5108778458242054`*^9, 
   3.5108778732142053`*^9}, {3.510877979367205*^9, 3.5108779859112053`*^9}, {
   3.510878506427205*^9, 3.510878508009205*^9}, 3.510888705960205*^9, {
   3.5108887570932055`*^9, 3.5108887581482053`*^9}, 3.510888807809205*^9, 
   3.5108888759972053`*^9, {3.510888972577205*^9, 3.510888973691205*^9}, {
   3.510889092757205*^9, 3.5108891377392054`*^9}, {3.5108891719382052`*^9, 
   3.510889190396205*^9}, {3.5108892240632052`*^9, 3.510889241433205*^9}, {
   3.510889585195205*^9, 3.510889587443205*^9}, {3.5108897059232054`*^9, 
   3.510889730144205*^9}, {3.5108898061082053`*^9, 3.5108898198972054`*^9}, {
   3.510890156800205*^9, 3.510890184630205*^9}, 3.510893627618205*^9, {
   3.510894940745205*^9, 3.510895026356205*^9}, {3.510895096177205*^9, 
   3.510895135294205*^9}, 3.5108952414972053`*^9, {3.510895456509205*^9, 
   3.5108954571092052`*^9}, 3.510895739149205*^9, {3.510895805097205*^9, 
   3.510895827936205*^9}, 3.5108959091872053`*^9, 3.5108960192932053`*^9, 
   3.510896138469205*^9, {3.510896209268205*^9, 3.510896214226205*^9}, 
   3.5108963734162054`*^9, {3.510896473620205*^9, 3.5108964777962055`*^9}, 
   3.5108967649942055`*^9, 3.510896880716205*^9, 3.5108978629112053`*^9, {
   3.511074220672*^9, 3.5110742209560003`*^9}, {3.511078361889*^9, 
   3.511078438782*^9}, 3.511078486333*^9, 3.511078973741*^9, {
   3.511134023093*^9, 3.511134083328*^9}, {3.511134175966*^9, 
   3.51113418249*^9}, {3.511320526791*^9, 3.511320534642*^9}, 
   3.511569195623209*^9, 3.511573586286209*^9, 3.5115885799452095`*^9, 
   3.511589245508209*^9, 3.5118743539996*^9, {3.5118746327846003`*^9, 
   3.5118746711496*^9}, 3.5119024590648003`*^9, {3.5119026567248*^9, 
   3.5119026779528*^9}, {3.5119032905788*^9, 3.5119032913538*^9}, {
   3.5119040593115997`*^9, 3.5119040857916*^9}, {3.5121891529742107`*^9, 
   3.512189117340405*^9}, {3.5123749046046*^9, 3.5123749049406*^9}, 
   3.5123844717546*^9, 3.5123854954906*^9, {3.5129952643793926`*^9, 
   3.5129952651623926`*^9}, {3.512995800352392*^9, 3.5129958054313927`*^9}, {
   3.512997530208392*^9, 3.5129975309673924`*^9}, {3.5158145232019997`*^9, 
   3.515814529185*^9}, 3.516797906203*^9, {3.5168217897609997`*^9, 
   3.516821829222*^9}, {3.516822471413*^9, 3.516822490149*^9}, {
   3.516822534012*^9, 3.5168225390559998`*^9}, {3.516822650317*^9, 
   3.516822690828*^9}, 3.516822722921*^9, {3.516823623906*^9, 
   3.516823637632*^9}, 3.5174467734678*^9, 3.5180284333648*^9, 
   3.5180341649007998`*^9, 3.523022718972061*^9, {3.530809705935678*^9, 
   3.5308097231011887`*^9}, {3.531580520338705*^9, 3.531580532369443*^9}, {
   3.532046166154602*^9, 3.532046229418291*^9}, {3.5329799216654787`*^9, 
   3.532979957036251*^9}, {3.532986187683219*^9, 3.532986191083962*^9}, {
   3.533433952130382*^9, 3.53343395275254*^9}, {3.5334781300156927`*^9, 
   3.5334782999511423`*^9}, {3.533478463258902*^9, 3.533478468642023*^9}, 
   3.533762829817912*^9, {3.533763060136767*^9, 3.5337630650369*^9}, {
   3.533799070144491*^9, 3.533799117907095*^9}, {3.5337991649931917`*^9, 
   3.53379918422904*^9}, {3.5337992175439034`*^9, 3.533799303933647*^9}, {
   3.533799404635076*^9, 3.533799411746154*^9}, {3.551413583506977*^9, 
   3.551413598092811*^9}, {3.551907708170594*^9, 3.551907708945738*^9}, 
   3.5519109507740383`*^9, {3.5519111226923313`*^9, 3.551911123569742*^9}, {
   3.560798914772805*^9, 3.560798915536764*^9}, {3.5607989463467093`*^9, 
   3.5607989625437737`*^9}, {3.5607991689383917`*^9, 3.560799169645352*^9}, {
   3.560799397076359*^9, 3.560799397300194*^9}, 3.560800412615131*^9, {
   3.560800463532592*^9, 3.560800464881591*^9}, {3.5608100570554595`*^9, 
   3.5608100579425106`*^9}, {3.5608103838941536`*^9, 3.560810384773204*^9}, 
   3.5608108086854506`*^9, 3.561085600919441*^9, 3.5614497358179207`*^9, 
   3.562096698251906*^9, 3.5664367667307053`*^9, {3.5665065224782844`*^9, 
   3.56650653722031*^9}, {3.5665098142056675`*^9, 3.5665098160932713`*^9}, 
   3.568242742906941*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"www", "[", 
    RowBox[{"U_", ",", "0"}], "]"}], "=", "True"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"www", "[", 
    RowBox[{"U_", ",", "n_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"www", "[", 
     RowBox[{"U", ",", 
      RowBox[{"n", "-", "1"}]}], "]"}], "&&", 
    RowBox[{"Chop", "[", 
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"U", "[", 
        RowBox[{"[", "n", "]"}], "]"}], "]"}], "<", 
      SuperscriptBox["10", 
       RowBox[{"-", "tol"}]]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"all", "[", "U_", "]"}], ":=", 
    RowBox[{"www", "[", 
     RowBox[{"U", ",", 
      RowBox[{"Length", "[", "U", "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uuu", "[", 
    RowBox[{"U_", ",", "0"}], "]"}], "=", "True"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uuu", "[", 
    RowBox[{"U_", ",", "n_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"uuu", "[", 
     RowBox[{"U", ",", 
      RowBox[{"n", "-", "1"}]}], "]"}], "&&", 
    RowBox[{"Quiet", "[", 
     RowBox[{"Chop", "[", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"U", "[", 
         RowBox[{"[", "n", "]"}], "]"}], "]"}], "<", 
       SuperscriptBox["10", 
        RowBox[{"-", "tol"}]]}], "]"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"allq", "[", "U_", "]"}], ":=", 
    RowBox[{"Quiet", "[", 
     RowBox[{"www", "[", 
      RowBox[{"U", ",", 
       RowBox[{"Length", "[", "U", "]"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vvv", "[", 
    RowBox[{"U_", ",", "0"}], "]"}], "=", "True"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vvv", "[", 
    RowBox[{"U_", ",", "n_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"vvv", "[", 
     RowBox[{"U", ",", 
      RowBox[{"n", "-", "1"}]}], "]"}], "&&", 
    RowBox[{"Chop", "[", 
     RowBox[{"U", "[", 
      RowBox[{"[", "n", "]"}], "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"alltrue", "[", "U_", "]"}], ":=", 
    RowBox[{"vvv", "[", 
     RowBox[{"U", ",", 
      RowBox[{"Length", "[", "U", "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"o", "[", "n_", "]"}], ":=", "0"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{3.56169119418111*^9, 3.566335241155765*^9, 
  3.5682427429070044`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"sinC", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"sinC", "[", "n", "]"}], "=", 
    FractionBox["w", 
     RowBox[{"cfn", "[", 
      RowBox[{
       RowBox[{"2", "n"}], "-", "1"}], "]"}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cosC", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"cosC", "[", "n", "]"}], "=", 
    FractionBox[
     RowBox[{"cfn", "[", 
      RowBox[{
       RowBox[{"2", "n"}], "-", "2"}], "]"}], 
     RowBox[{"cfn", "[", 
      RowBox[{
       RowBox[{"2", "n"}], "-", "1"}], "]"}]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"cosS", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"cosS", "[", "n", "]"}], "=", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"cfn", "[", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "n"}]}], "]"}], "2"], "-", 
       SuperscriptBox["w", "2"]}], 
      RowBox[{
       RowBox[{"cfn", "[", 
        RowBox[{"2", " ", "n"}], "]"}], " ", 
       RowBox[{"cfn", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}]}]]}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sinS", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"sinS", "[", "n", "]"}], "=", 
     RowBox[{
      FractionBox[
       RowBox[{"cfn", "[", 
        RowBox[{
         RowBox[{"2", "n"}], "-", "2"}], "]"}], 
       RowBox[{"cfn", "[", 
        RowBox[{
         RowBox[{"2", "n"}], "-", "1"}], "]"}]], 
      FractionBox["w", 
       RowBox[{"cfn", "[", 
        RowBox[{"2", "n"}], "]"}]]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cs", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"cs", "[", "n", "]"}], "=", 
    RowBox[{
     FractionBox["1", "2"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cosS", "[", "n", "]"}], "+", 
       RowBox[{"cosC", "[", "n", "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    OverscriptBox["cs", "~"], "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     OverscriptBox["cs", "~"], "[", "n", "]"}], "=", 
    RowBox[{
     FractionBox["1", "2"], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"cosC", "[", "n", "]"}], "-", 
       RowBox[{"cosS", "[", "n", "]"}]}], ")"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sn", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"sn", "[", "n", "]"}], "=", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"sinS", "[", "n", "]"}], "+", 
        RowBox[{"sinC", "[", "n", "]"}]}], ")"}]}]}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     OverscriptBox["sn", "~"], "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      OverscriptBox["sn", "~"], "[", "n", "]"}], "=", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"sinS", "[", "n", "]"}], "-", 
        RowBox[{"sinC", "[", "n", "]"}]}], ")"}]}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"a", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"a", "[", "n", "]"}], "=", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"cs", "[", "n", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"sn", "[", "n", "]"}], "2"]}]]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    OverscriptBox["a", "~"], "[", "0", "]"}], "=", "0"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     OverscriptBox["a", "~"], "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      OverscriptBox["a", "~"], "[", "n", "]"}], "=", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{
         OverscriptBox["cs", "~"], "[", "n", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{
         OverscriptBox["sn", "~"], "[", "n", "]"}], "2"]}]]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"P", "[", "0", "]"}], "=", "1"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"P", "[", "1", "]"}], "=", 
    FractionBox["w", 
     RowBox[{"cfn", "[", "0", "]"}]]}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"P", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"P", "[", "n", "]"}], "=", 
     RowBox[{
      RowBox[{
       FractionBox["w", 
        RowBox[{"cfn", "[", 
         RowBox[{"n", "-", "1"}], "]"}]], 
       RowBox[{"P", "[", 
        RowBox[{"n", "-", "1"}], "]"}]}], "-", 
      RowBox[{
       FractionBox[
        RowBox[{"cfn", "[", 
         RowBox[{"n", "-", "2"}], "]"}], 
        RowBox[{"cfn", "[", 
         RowBox[{"n", "-", "1"}], "]"}]], 
       RowBox[{"P", "[", 
        RowBox[{"n", "-", "2"}], "]"}]}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Co", "[", "n_", "]"}], ":=", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "n"], 
     RowBox[{"P", "[", 
      RowBox[{"2", "n"}], "]"}]}]}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Si", "[", "n_", "]"}], ":=", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "n"], 
     RowBox[{"P", "[", 
      RowBox[{
       RowBox[{"2", "n"}], "+", "1"}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"A", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"A", "[", "n", "]"}], "=", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"Si", "[", "n", "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"Co", "[", "n", "]"}], "2"]}]]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Th", "[", "0", "]"}], "=", 
    RowBox[{"Arg", "[", 
     RowBox[{
      RowBox[{"Co", "[", "0", "]"}], "+", " ", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"Si", "[", "0", "]"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Th", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Th", "[", "n", "]"}], "=", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Arg", "[", 
         RowBox[{
          RowBox[{"Co", "[", "n", "]"}], "+", " ", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Si", "[", "n", "]"}]}]}], "]"}], "\[GreaterEqual]", " ", 
        "0"}], " ", "&&", " ", 
       RowBox[{
        RowBox[{"Arg", "[", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Th", "[", 
            RowBox[{"n", "-", "1"}], "]"}]}]], "]"}], "<", "0"}]}], ",", 
      RowBox[{
       RowBox[{"2", "\[Pi]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"IntegerPart", "[", 
           FractionBox[
            RowBox[{"Th", "[", 
             RowBox[{"n", "-", "1"}], "]"}], 
            RowBox[{"2", "\[Pi]"}]], "]"}], " ", "+", "1"}], ")"}]}], "+", 
       RowBox[{"Arg", "[", 
        RowBox[{
         RowBox[{"Co", "[", "n", "]"}], "+", " ", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Si", "[", "n", "]"}]}]}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"2", "\[Pi]", " ", 
        RowBox[{"IntegerPart", "[", 
         FractionBox[
          RowBox[{"Th", "[", 
           RowBox[{"n", "-", "1"}], "]"}], 
          RowBox[{"2", "\[Pi]"}]], "]"}]}], " ", "+", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Arg", "[", 
           RowBox[{
            RowBox[{"Co", "[", "n", "]"}], "+", " ", 
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"Si", "[", "n", "]"}]}]}], "]"}], "\[GreaterEqual]", " ",
           "0"}], ",", " ", 
         RowBox[{"Arg", "[", 
          RowBox[{
           RowBox[{"Co", "[", "n", "]"}], "+", " ", 
           RowBox[{"\[ImaginaryI]", " ", 
            RowBox[{"Si", "[", "n", "]"}]}]}], "]"}], ",", 
         RowBox[{
          RowBox[{"2", "\[Pi]"}], "+", 
          RowBox[{"Arg", "[", 
           RowBox[{
            RowBox[{"Co", "[", "n", "]"}], "+", " ", 
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"Si", "[", "n", "]"}]}]}], "]"}]}]}], "]"}]}]}], 
     "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"th", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"th", "[", "n", "]"}], "=", 
    RowBox[{"ArcTan", "[", 
     RowBox[{
      RowBox[{"cs", "[", "n", "]"}], ",", 
      RowBox[{"sn", "[", "n", "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     OverscriptBox["th", "~"], "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      OverscriptBox["th", "~"], "[", "n", "]"}], "=", 
     RowBox[{"ArcTan", "[", 
      RowBox[{
       RowBox[{
        OverscriptBox["cs", "~"], "[", "n", "]"}], ",", 
       RowBox[{
        OverscriptBox["sn", "~"], "[", "n", "]"}]}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"norm", "[", "0", "]"}], "=", 
   RowBox[{"A", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"norm", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"norm", "[", "n", "]"}], "=", 
    RowBox[{
     RowBox[{"norm", "[", 
      RowBox[{"n", "-", "1"}], "]"}], 
     RowBox[{"mult", "[", "n", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"mult", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"mult", "[", "n", "]"}], "=", 
     RowBox[{"\[Sqrt]", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"a", "[", "n", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{
          OverscriptBox["a", "~"], "[", "n", "]"}], "2"], "+", 
        RowBox[{"2", 
         RowBox[{"a", "[", "n", "]"}], 
         RowBox[{
          OverscriptBox["a", "~"], "[", "n", "]"}], 
         RowBox[{"Cos", "[", 
          RowBox[{
           RowBox[{"2", 
            RowBox[{"Th", "[", 
             RowBox[{"n", "-", "1"}], "]"}]}], "+", 
           RowBox[{"th", "[", "n", "]"}], "-", 
           RowBox[{
            OverscriptBox["th", "~"], "[", "n", "]"}]}], "]"}]}]}], 
       ")"}]}]}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Delta", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"Th", "[", "n", "]"}], "-", 
     RowBox[{"Th", "[", 
      RowBox[{"n", "-", "1"}], "]"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"S", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"S", "[", "n", "]"}], "=", 
     RowBox[{
      RowBox[{"cfn", "[", 
       RowBox[{"n", "+", "1"}], "]"}], "-", 
      RowBox[{"cfn", "[", "n", "]"}]}]}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DD", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"DD", "[", "n", "]"}], "=", 
    RowBox[{
     RowBox[{"S", "[", 
      RowBox[{"n", "+", "1"}], "]"}], "-", 
     RowBox[{"S", "[", "n", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"DDD", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"DDD", "[", "n", "]"}], "=", 
    RowBox[{
     RowBox[{"DD", "[", 
      RowBox[{"n", "+", "1"}], "]"}], "-", 
     RowBox[{"DD", "[", "n", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"dddd", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"dddd", "[", "n", "]"}], "=", 
     RowBox[{
      RowBox[{"DDD", "[", 
       RowBox[{"n", "+", "1"}], "]"}], "-", 
      RowBox[{"DDD", "[", "n", "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CD", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"CD", "[", "n", "]"}], "=", 
    RowBox[{
     FractionBox[
      RowBox[{"cfn", "[", "n", "]"}], "w"], 
     RowBox[{"DD", "[", 
      RowBox[{"n", "-", "1"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CDD", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"CDD", "[", "n", "]"}], "=", 
    RowBox[{
     FractionBox[
      SuperscriptBox[
       RowBox[{"cfn", "[", "n", "]"}], "2"], 
      SuperscriptBox["w", "2"]], 
     RowBox[{"DDD", "[", 
      RowBox[{"n", "-", "1"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"lg", "[", "n_", "]"}], ":=", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"cfn", "[", 
        RowBox[{
         RowBox[{"-", "2"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}], "+", 
       RowBox[{"cfn", "[", 
        RowBox[{
         RowBox[{"-", "3"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}]}], 
      RowBox[{
       RowBox[{"cfn", "[", 
        RowBox[{"2", " ", "n"}], "]"}], "+", 
       RowBox[{"cfn", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}]}]], 
     FractionBox[
      RowBox[{
       RowBox[{"cfn", "[", 
        RowBox[{"2", " ", "n"}], "]"}], " ", 
       RowBox[{"cfn", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}]}], 
      RowBox[{
       RowBox[{"cfn", "[", 
        RowBox[{
         RowBox[{"-", "2"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}], 
       RowBox[{"cfn", "[", 
        RowBox[{
         RowBox[{"-", "3"}], "+", 
         RowBox[{"2", " ", "n"}]}], "]"}], " "}]]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", "n_", "]"}], ":=", 
   FractionBox[
    RowBox[{"cfn", "[", "n", "]"}], 
    RowBox[{"cfn", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "+", " ", "n"}], "]"}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rr", "[", "n_", "]"}], ":=", 
   FractionBox[
    RowBox[{"cfn", "[", 
     RowBox[{
      RowBox[{"-", "1"}], "+", " ", "n"}], "]"}], 
    RowBox[{"cfn", "[", "n", "]"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"CCDD", "[", "n_", "]"}], ":=", 
    FractionBox[
     RowBox[{
      RowBox[{"CD", "[", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "n"}], "]"}], "-", 
      RowBox[{"CD", "[", " ", "n", "]"}]}], 
     RowBox[{" ", 
      RowBox[{"Rcfn", "[", " ", "n", "]"}], " "}]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Ep", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{"w", " ", 
      RowBox[{"CD", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"S", "[", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "n"}], "]"}], " ", 
      RowBox[{"S", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Rcfn", "[", "n_", "]"}], ":=", 
   FractionBox["w", 
    RowBox[{"cfn", "[", "n", "]"}]]}], ";"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{
  3.5505595223430223`*^9, {3.550561040891878*^9, 3.550561041572917*^9}, {
   3.550561133442172*^9, 3.5505611343762255`*^9}, {3.5505694990929956`*^9, 
   3.5505695096286907`*^9}, {3.550571123570757*^9, 3.5505711246137743`*^9}, {
   3.5505733739519243`*^9, 3.550573449346768*^9}, {3.550573500906777*^9, 
   3.550573534183584*^9}, 3.5505735652526817`*^9, {3.550573615704955*^9, 
   3.550573619811098*^9}, {3.5505737357430973`*^9, 3.550573744239958*^9}, 
   3.55057401107323*^9, {3.550577374859495*^9, 3.550577375883628*^9}, {
   3.550737019849234*^9, 3.5507370353109818`*^9}, {3.550737375165471*^9, 
   3.550737379447847*^9}, {3.5507375877359457`*^9, 3.5507375899058857`*^9}, {
   3.550749153605138*^9, 3.5507491559140663`*^9}, {3.5507532545104322`*^9, 
   3.5507532637721567`*^9}, {3.5507556575112658`*^9, 3.550755661305324*^9}, {
   3.550802406663653*^9, 3.550802443265544*^9}, {3.5508715377725697`*^9, 
   3.550871539449027*^9}, {3.550884247364382*^9, 3.550884248787813*^9}, {
   3.550884477895879*^9, 3.550884478266108*^9}, {3.551215381311839*^9, 
   3.551215395139267*^9}, {3.5513131096148243`*^9, 3.551313140235022*^9}, {
   3.5513133904827147`*^9, 3.551313499181467*^9}, {3.551400728198695*^9, 
   3.551400732784958*^9}, {3.551400793630438*^9, 3.5514008132245584`*^9}, 
   3.5514008510307207`*^9, {3.5514012045599413`*^9, 3.5514012297403817`*^9}, {
   3.551401280604291*^9, 3.551401409244649*^9}, {3.551401912384427*^9, 
   3.551401993225051*^9}, {3.551402026062929*^9, 3.55140202696498*^9}, 
   3.551402073721655*^9, {3.5514021938805275`*^9, 3.5514022723620167`*^9}, {
   3.551402320774785*^9, 3.551402399950314*^9}, {3.5514027291241417`*^9, 
   3.5514027296671724`*^9}, {3.551402810382789*^9, 3.551402814625032*^9}, {
   3.5514122084383273`*^9, 3.551412216215772*^9}, {3.559278341912223*^9, 
   3.559278353194868*^9}, {3.5592784159074545`*^9, 3.5592784527535625`*^9}, {
   3.559278528888917*^9, 3.559278539287512*^9}, 3.56013195278666*^9, {
   3.56019697392456*^9, 3.560196974030566*^9}, {3.560836022567602*^9, 
   3.5608361069754295`*^9}, {3.5608363070948763`*^9, 3.560836307791916*^9}, {
   3.5609641525943623`*^9, 3.560964153540167*^9}, {3.560964403253927*^9, 
   3.560964407604039*^9}, {3.5609645656187897`*^9, 3.560964570503008*^9}, 
   3.560968314118382*^9, {3.560968540517408*^9, 3.5609685416323433`*^9}, {
   3.5609819385525837`*^9, 3.560982019797615*^9}, {3.560982677768922*^9, 
   3.560982703114155*^9}, {3.56108553195172*^9, 3.561085538066931*^9}, {
   3.5611665478929234`*^9, 3.5611665482205243`*^9}, {3.561229546742015*^9, 
   3.561229569343485*^9}, {3.5616902010121317`*^9, 3.561690201699171*^9}, 
   3.56169051306098*^9, {3.561710415397728*^9, 3.561710428427346*^9}, 
   3.566097955780232*^9, {3.566098215003202*^9, 3.566098244028681*^9}, 
   3.566098916305071*^9, 3.566166130790742*^9, {3.56633130570539*^9, 
   3.566331317687986*^9}, 3.5663352411558523`*^9, {3.566507565729718*^9, 
   3.5665075665253196`*^9}, {3.567372262475504*^9, 3.567372268497114*^9}, 
   3.5682427429070663`*^9}],

Cell[TextData[StyleBox["Pole elements",
 FontWeight->"Bold"]], "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.568242115291244*^9, 3.568242135378628*^9}, {
  3.5716258925901155`*^9, 3.57162589511732*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"WPe", "[", "n_", "]"}], ":=", 
   RowBox[{"\[ImaginaryI]", " ", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        OverscriptBox["a", "~"], "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], "]"}], 
       RowBox[{"a", "[", "n", "]"}], 
       SuperscriptBox["\[ExponentialE]", 
        TagBox[
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"th", "[", "n", "]"}], "-", 
            RowBox[{
             OverscriptBox["th", "~"], "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}],
         CheckAbort[#, 
          Defer[#]]& ]]}], " ", "+", " ", 
      RowBox[{
       RowBox[{
        OverscriptBox["a", "~"], "[", "n", "]"}], 
       RowBox[{"a", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], "]"}], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"th", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
           RowBox[{
            OverscriptBox["th", "~"], "[", "n", "]"}]}], ")"}]}]]}]}], 
     ")"}]}]}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"RWPe", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"sn", "[", "n", "]"}], " ", 
      RowBox[{
       OverscriptBox["cs", "~"], "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"sn", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
      RowBox[{
       OverscriptBox["cs", "~"], "[", "n", "]"}]}], "-", 
     RowBox[{
      RowBox[{"cs", "[", "n", "]"}], " ", 
      RowBox[{
       OverscriptBox["sn", "~"], "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"cs", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
      RowBox[{
       OverscriptBox["sn", "~"], "[", "n", "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"IWPe", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"cs", "[", "n", "]"}], "  ", 
      RowBox[{
       OverscriptBox["cs", "~"], "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"sn", "[", "n", "]"}], " ", 
      RowBox[{
       OverscriptBox["sn", "~"], "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"cs", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
      RowBox[{
       OverscriptBox["cs", "~"], "[", "n", "]"}]}], "-", 
     RowBox[{
      RowBox[{"sn", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
      RowBox[{
       OverscriptBox["sn", "~"], "[", "n", "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"lin", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"cs", "[", "n", "]"}], 
      RowBox[{"sn", "[", 
       RowBox[{"n", "-", "1"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"cs", "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}], 
      RowBox[{"sn", "[", "n", "]"}]}], "+", 
     RowBox[{
      RowBox[{
       OverscriptBox["cs", "~"], "[", "n", "]"}], 
      RowBox[{
       OverscriptBox["sn", "~"], "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{
       OverscriptBox["cs", "~"], "[", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "n"}], "]"}], 
      RowBox[{
       OverscriptBox["sn", "~"], "[", "n", "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"RT", "[", "n_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"cs", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"sn", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"], "-", 
        SuperscriptBox[
         RowBox[{
          OverscriptBox["cs", "~"], "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"], "-", 
        SuperscriptBox[
         RowBox[{
          OverscriptBox["sn", "~"], "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"cs", "[", "n", "]"}], "2"], "+", 
        SuperscriptBox[
         RowBox[{"sn", "[", "n", "]"}], "2"], "-", 
        SuperscriptBox[
         RowBox[{
          OverscriptBox["cs", "~"], "[", "n", "]"}], "2"], "-", 
        SuperscriptBox[
         RowBox[{
          OverscriptBox["sn", "~"], "[", "n", "]"}], "2"]}], ")"}]}], "-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"cs", "[", 
          RowBox[{"n", "-", "1"}], "]"}], 
         RowBox[{"cs", "[", "n", "]"}]}], "-", 
        RowBox[{
         RowBox[{"sn", "[", 
          RowBox[{"n", "-", "1"}], "]"}], 
         RowBox[{"sn", "[", "n", "]"}]}], "+", 
        RowBox[{
         RowBox[{
          OverscriptBox["cs", "~"], "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
         RowBox[{
          OverscriptBox["cs", "~"], "[", "n", "]"}]}], "+", 
        RowBox[{
         RowBox[{
          OverscriptBox["sn", "~"], "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
         RowBox[{
          OverscriptBox["sn", "~"], "[", "n", "]"}]}]}], ")"}], "2"]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SUM", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"lin", "[", "n", "]"}], "+", 
    SqrtBox[
     RowBox[{"RT", "[", "n", "]"}]]}]}], ";"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellChangeTimes->{{3.531576913777793*^9, 3.53157692746284*^9}, {
   3.531577104071759*^9, 3.531577111831599*^9}, {3.53161292517654*^9, 
   3.5316129326098413`*^9}, {3.5316129754542427`*^9, 3.531613041191814*^9}, {
   3.531613100558715*^9, 3.5316132069407377`*^9}, 3.531613395684842*^9, {
   3.5316134900803833`*^9, 3.531613540980262*^9}, 3.53176437960868*^9, {
   3.5322223891215887`*^9, 3.532222509744074*^9}, {3.532222596393922*^9, 
   3.532222682934454*^9}, {3.550626669404192*^9, 3.55062668150523*^9}, 
   3.550628083910988*^9, 3.5506281226833353`*^9, {3.5506282490207644`*^9, 
   3.550628259792391*^9}, 3.560369845000586*^9, 3.560387280041678*^9, 
   3.5603873650356913`*^9, 3.560961964365652*^9, 3.5613478777901554`*^9, 
   3.5662803448393917`*^9, {3.5682421268128433`*^9, 3.5682421353787203`*^9}, {
   3.570167846979415*^9, 3.5701678731427193`*^9}}]
}, Closed]],

Cell["===========================================", "Text",
 CellChangeTimes->{{3.5716794335424767`*^9, 3.571679445739216*^9}, {
   3.571679552758115*^9, 3.571679560711396*^9}, {3.571679664574431*^9, 
   3.571679698477808*^9}, {3.571949614610203*^9, 3.57194962456062*^9}, 
   3.572851347792163*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{" ", 
      RowBox[{"\[ImaginaryI]", " ", "m", " ", "2", 
       RowBox[{"Th", "[", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "n"}], "]"}]}]}]], 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"\[ImaginaryI]", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], " ", "2", " ", "m", " ", 
            RowBox[{"Delta", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}]}]], "-", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"\[ImaginaryI]", " ", "2", " ", "m", " ", 
            RowBox[{"Delta", "[", "n", "]"}]}]]}], ")"}]}], 
       RowBox[{"2", "m", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Delta", "[", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
          RowBox[{"Delta", "[", "n", "]"}]}], ")"}]}]], "-", "1"}], ")"}]}], "==", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "m", " ", "t"}]], 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"\[ImaginaryI]", 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"cs", "[", "n", "]"}], "+", 
               RowBox[{
                RowBox[{"Sin", "[", "t", "]"}], " ", 
                RowBox[{"RXN", "[", "n", "]"}]}], "+", 
               RowBox[{
                RowBox[{"Cos", "[", "t", "]"}], " ", 
                RowBox[{"RYN", "[", "n", "]"}]}], "+", 
               RowBox[{"\[ImaginaryI]", " ", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{"sn", "[", "n", "]"}], "+", 
                  RowBox[{
                   RowBox[{"Cos", "[", "t", "]"}], 
                   RowBox[{"RXN", "[", "n", "]"}]}], "-", 
                  RowBox[{
                   RowBox[{"Sin", "[", "t", "]"}], 
                   RowBox[{"RYN", "[", "n", "]"}]}]}], ")"}]}]}], ")"}], 
             RowBox[{"2", "m"}]], " "}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"a", "[", "n", "]"}], "2"], "+", 
              RowBox[{"RN", "[", "n", "]"}], "+", 
              RowBox[{"2", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"CN", "[", "n", "]"}], " ", 
                  RowBox[{"Cos", "[", "t", "]"}]}], "-", 
                 RowBox[{
                  RowBox[{"Sin", "[", "t", "]"}], " ", 
                  RowBox[{"SN", "[", "n", "]"}]}]}], ")"}]}]}], ")"}], "m"]], 
          "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"cs", "[", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
               RowBox[{
                RowBox[{"Sin", "[", "t", "]"}], 
                RowBox[{"RXM", "[", "n", "]"}]}], "-", 
               RowBox[{
                RowBox[{"Cos", "[", "t", "]"}], " ", 
                RowBox[{"RYM", "[", "n", "]"}]}], "-", 
               RowBox[{"\[ImaginaryI]", 
                RowBox[{"(", " ", 
                 RowBox[{
                  RowBox[{"sn", "[", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}], "-", 
                  RowBox[{
                   RowBox[{"Cos", "[", "t", "]"}], " ", 
                   RowBox[{"RXM", "[", "n", "]"}]}], "-", 
                  RowBox[{
                   RowBox[{"Sin", "[", "t", "]"}], " ", 
                   RowBox[{"RYM", "[", "n", "]"}]}]}], ")"}]}]}], ")"}], 
             RowBox[{"2", "m"}]], " "}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"a", "[", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"], "+", 
              RowBox[{"RM", "[", "n", "]"}], "-", 
              RowBox[{"2", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"CM", "[", "n", "]"}], " ", 
                  RowBox[{"Cos", "[", "t", "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Sin", "[", "t", "]"}], " ", 
                  RowBox[{"SM", "[", "n", "]"}]}]}], ")"}]}]}], ")"}], 
            "m"]]}], ")"}]}], 
       RowBox[{"2", "m", "  ", 
        RowBox[{"Arg", "[", 
         RowBox[{"gg", "[", 
          RowBox[{"n", ",", "t"}], "]"}], "]"}]}]], "-", "1"}], ")"}]}]}], "/.", 
  RowBox[{"t", "\[Rule]", " ", 
   RowBox[{"2", 
    RowBox[{"Th", "[", 
     RowBox[{"n", "-", "1"}], "]"}]}]}]}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{
  3.599084902095255*^9, {3.599121779055606*^9, 3.599121801861616*^9}, {
   3.599122372124236*^9, 3.599122391295307*^9}, {3.599278912459681*^9, 
   3.5992789236966743`*^9}, {3.599278985726264*^9, 3.5992789969386473`*^9}, {
   3.5992808624235477`*^9, 3.599280867674068*^9}, {3.599280928740309*^9, 
   3.599280933427087*^9}}],

Cell[BoxData[
 RowBox[{"alltrue", "[", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"2", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Delta", "[", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
           RowBox[{"Delta", "[", "n", "]"}]}], ")"}]}], "==", 
        RowBox[{"(", " ", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Log", "[", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"a", "[", "n", "]"}], "2"], 
             SuperscriptBox[
              RowBox[{"a", "[", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"]}], "]"}]}], "-", 
          RowBox[{"2", "\[ImaginaryI]", " ", 
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"MN", "[", "n", "]"}], " ", "+", 
             RowBox[{"\[ImaginaryI]", " ", 
              RowBox[{"MM", "[", "n", "]"}]}]}], " ", "]"}]}], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Log", "[", " ", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"a", "[", "n", "]"}], "2"], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"CN", "[", "n", "]"}], "-", 
                RowBox[{"\[ImaginaryI]", " ", 
                 RowBox[{"SN", "[", "n", "]"}]}]}], ")"}], 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "\[ImaginaryI]"}], " ", "t"}]]}]}], " ", "]"}]}],
           "+", " ", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Log", "[", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"a", "[", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"CM", "[", "n", "]"}], "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 RowBox[{"SM", "[", "n", "]"}]}]}], ")"}], 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "\[ImaginaryI]"}], " ", "t"}]]}]}], "]"}]}], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Log", "[", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"a", "[", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "n"}], "]"}], "2"], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"CM", "[", "n", "]"}], "-", 
                RowBox[{"\[ImaginaryI]", " ", 
                 RowBox[{"SM", "[", "n", "]"}]}]}], ")"}], 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"\[ImaginaryI]", " ", "t"}]]}]}], "]"}]}], "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Log", "[", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"a", "[", "n", "]"}], "2"], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"CN", "[", "n", "]"}], "+", 
                RowBox[{"\[ImaginaryI]", " ", 
                 RowBox[{"SN", "[", "n", "]"}]}]}], ")"}], 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"\[ImaginaryI]", " ", "t"}]]}]}], " ", "]"}]}]}], 
         ")"}]}], "/.", 
       RowBox[{"t", "\[Rule]", " ", 
        RowBox[{"2", " ", 
         RowBox[{"Th", "[", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "n"}], "]"}]}]}]}], "]"}], " ", ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "3", ",", "TT"}], "}"}]}], "]"}], "]"}], 
  "]"}]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.5892324109539757`*^9, 3.5892324388204412`*^9}, {
   3.5892325336240597`*^9, 3.589232675315824*^9}, {3.589395859274893*^9, 
   3.589395879125502*^9}, {3.589695140608859*^9, 3.589695151902686*^9}, 
   3.590088160639802*^9, 3.590088212896473*^9, {3.615439622460849*^9, 
   3.615439658585186*^9}, {3.615439738418004*^9, 3.6154397514913387`*^9}, 
   3.615440968336278*^9, {3.6164336416153603`*^9, 3.61643379398757*^9}, {
   3.616433854715167*^9, 3.6164338938349123`*^9}, {3.616434067287818*^9, 
   3.6164343313063583`*^9}, {3.616434373123632*^9, 3.616434595751322*^9}, {
   3.616435465964435*^9, 3.616435614636878*^9}, {3.6164356447868*^9, 
   3.616435774953676*^9}, {3.616435849903511*^9, 3.61643591816591*^9}, {
   3.616435964475607*^9, 3.616436084297574*^9}, 3.6164627642615557`*^9}],

Cell[TextData[StyleBox["=================================\n\
=================================",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.5992953747072983`*^9, 3.599295378340253*^9}, {
  3.599296363175818*^9, 3.59929636378356*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ii", "[", 
    RowBox[{"n_", ",", "0", ",", "t_"}], "]"}], ":=", "0"}], ";"}]], "Input",
 CellChangeTimes->{{3.5889316660914087`*^9, 3.588931680409333*^9}, 
   3.589237116612062*^9, 3.599289523004498*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ii", "[", 
    RowBox[{"n_", ",", "m_", ",", "t_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"\[ImaginaryI]", " ", "m", " ", "t"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "m"], 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"\[ImaginaryI]", " ", "2", " ", 
                 RowBox[{"th", "[", "n", "]"}]}]], 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"\[ImaginaryI]", " ", "t"}]]], 
              FractionBox[
               RowBox[{
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
                 RowBox[{"a", "[", "n", "]"}]}], "+", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "\[ImaginaryI]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"th", "[", "n", "]"}], "-", 
                    RowBox[{
                    OverscriptBox["th", "~"], "[", "n", "]"}]}], ")"}]}]], 
                 " ", 
                 RowBox[{
                  OverscriptBox["a", "~"], "[", "n", "]"}]}]}], 
               RowBox[{
                RowBox[{"a", "[", "n", "]"}], "+", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"th", "[", "n", "]"}], "-", 
                    RowBox[{
                    OverscriptBox["th", "~"], "[", "n", "]"}]}], ")"}]}]], 
                 " ", 
                 RowBox[{
                  OverscriptBox["a", "~"], "[", "n", "]"}]}]}]]}], ")"}], 
            RowBox[{" ", "m"}]], "-", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "\[ImaginaryI]"}], " ", "2", " ", 
                 RowBox[{"th", "[", 
                  RowBox[{"n", "-", "1"}], "]"}]}]], 
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"\[ImaginaryI]", " ", "t"}]]], 
              FractionBox[
               RowBox[{
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
                 RowBox[{"a", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "-", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"th", "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                    RowBox[{
                    OverscriptBox["th", "~"], "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}]], " ", 
                 RowBox[{
                  OverscriptBox["a", "~"], "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}]}], 
               RowBox[{
                RowBox[{"a", "[", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "n"}], "]"}], "-", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "\[ImaginaryI]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"th", "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                    RowBox[{
                    OverscriptBox["th", "~"], "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}]], " ", 
                 RowBox[{
                  OverscriptBox["a", "~"], "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}]}]]}], ")"}], 
            RowBox[{"m", " "}]]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"th", "[", "n", "]"}], "+", 
            RowBox[{"th", "[", 
             RowBox[{"n", "-", "1"}], "]"}]}], ")"}]}], "+", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", "t"}]], 
             RowBox[{"a", "[", "n", "]"}]}], "+", 
            RowBox[{
             RowBox[{
              OverscriptBox["a", "~"], "[", "n", "]"}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "\[ImaginaryI]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"th", "[", "n", "]"}], "-", 
                 RowBox[{
                  OverscriptBox["th", "~"], "[", "n", "]"}]}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
             RowBox[{"a", "[", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "-", 
            RowBox[{
             RowBox[{
              OverscriptBox["a", "~"], "[", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "n"}], "]"}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"th", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                 RowBox[{
                  OverscriptBox["th", "~"], "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}]], 
             " "}]}]], " ", "]"}], "-", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"a", "[", "n", "]"}], "+", 
            RowBox[{
             RowBox[{
              OverscriptBox["a", "~"], "[", "n", "]"}], " ", " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"th", "[", "n", "]"}], "-", 
                 RowBox[{
                  OverscriptBox["th", "~"], "[", "n", "]"}]}], ")"}]}]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", "t"}]]}]}], 
           RowBox[{
            RowBox[{"a", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], "-", 
            RowBox[{
             RowBox[{
              OverscriptBox["a", "~"], "[", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "\[ImaginaryI]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"th", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                 RowBox[{
                  OverscriptBox["th", "~"], "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", "t"}]]}]}]], "]"}]}], ")"}]}], 
      "-", "1"}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.588929854692299*^9, 3.5889298756634274`*^9}, {
   3.5889300322531548`*^9, 3.588930126257392*^9}, {3.58893016330341*^9, 
   3.588930173754775*^9}, {3.588931284438362*^9, 3.588931284818969*^9}, 
   3.588931389996985*^9, {3.5892347471353493`*^9, 3.589234751816204*^9}, {
   3.589234937107465*^9, 3.589234939376075*^9}, {3.589235172773952*^9, 
   3.589235209974283*^9}, {3.589235246133255*^9, 3.589235253839428*^9}, {
   3.589396041130931*^9, 3.589396062504718*^9}, {3.589396554727305*^9, 
   3.589396598814863*^9}, {3.589623377285874*^9, 3.589623390485268*^9}, {
   3.595456133998734*^9, 3.595456160862145*^9}, {3.59658205443536*^9, 
   3.596582068944026*^9}, {3.617485949357811*^9, 3.6174860015935802`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"jj", "[", 
    RowBox[{"k_", ",", "n_", ",", "0", ",", "t_"}], "]"}], ":=", "0"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5889316660914087`*^9, 3.588931680409333*^9}, 
   3.589237116612062*^9, 3.599289523004498*^9, {3.611455727006421*^9, 
   3.6114557272211018`*^9}, {3.617486145243223*^9, 3.617486147301896*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"jj", "[", 
    RowBox[{"k_", ",", "n_", ",", "m_", ",", "t_"}], "]"}], ":=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"b", "[", "n", "]"}], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", "  ", "t"}]]}], ")"}], 
     RowBox[{"m", "-", "k"}]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "m"], 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{"\[ImaginaryI]", " ", "2", " ", 
                 RowBox[{"th", "[", "n", "]"}]}]], 
               RowBox[{
                RowBox[{"b", "[", "n", "]"}], 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"\[ImaginaryI]", " ", "t"}]]}]], 
              FractionBox[
               RowBox[{
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
                 RowBox[{"b", "[", "n", "]"}], 
                 RowBox[{"a", "[", "n", "]"}]}], "+", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "\[ImaginaryI]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"th", "[", "n", "]"}], "-", 
                    RowBox[{
                    OverscriptBox["th", "~"], "[", "n", "]"}]}], ")"}]}]], 
                 " ", 
                 RowBox[{
                  OverscriptBox["a", "~"], "[", "n", "]"}]}]}], 
               RowBox[{
                RowBox[{"a", "[", "n", "]"}], "+", 
                RowBox[{
                 RowBox[{"b", "[", "n", "]"}], 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"th", "[", "n", "]"}], "-", 
                    RowBox[{
                    OverscriptBox["th", "~"], "[", "n", "]"}]}], ")"}]}]], 
                 " ", 
                 RowBox[{
                  OverscriptBox["a", "~"], "[", "n", "]"}]}]}]]}], ")"}], 
            RowBox[{" ", "m"}]], "-", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               SuperscriptBox["\[ExponentialE]", 
                RowBox[{
                 RowBox[{"-", "\[ImaginaryI]"}], " ", "2", " ", 
                 RowBox[{"th", "[", 
                  RowBox[{"n", "-", "1"}], "]"}]}]], 
               RowBox[{
                RowBox[{"b", "[", "n", "]"}], 
                SuperscriptBox["\[ExponentialE]", 
                 RowBox[{"\[ImaginaryI]", " ", "t"}]]}]], 
              FractionBox[
               RowBox[{
                RowBox[{
                 RowBox[{"b", "[", "n", "]"}], 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
                 RowBox[{"a", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "-", 
                RowBox[{
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"th", "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                    RowBox[{
                    OverscriptBox["th", "~"], "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}]], " ", 
                 RowBox[{
                  OverscriptBox["a", "~"], "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}]}], 
               RowBox[{
                RowBox[{"a", "[", 
                 RowBox[{
                  RowBox[{"-", "1"}], "+", "n"}], "]"}], "-", 
                RowBox[{
                 RowBox[{"b", "[", "n", "]"}], 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
                 SuperscriptBox["\[ExponentialE]", 
                  RowBox[{
                   RowBox[{"-", "\[ImaginaryI]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"th", "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                    RowBox[{
                    OverscriptBox["th", "~"], "[", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}]], " ", 
                 RowBox[{
                  OverscriptBox["a", "~"], "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}]}]]}], ")"}], 
            RowBox[{"m", " "}]]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"th", "[", "n", "]"}], "+", 
            RowBox[{"th", "[", 
             RowBox[{"n", "-", "1"}], "]"}]}], ")"}]}], "+", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"b", "[", "n", "]"}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", "t"}]], 
             RowBox[{"a", "[", "n", "]"}]}], "+", 
            RowBox[{
             RowBox[{
              OverscriptBox["a", "~"], "[", "n", "]"}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "\[ImaginaryI]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"th", "[", "n", "]"}], "-", 
                 RowBox[{
                  OverscriptBox["th", "~"], "[", "n", "]"}]}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{
             RowBox[{"b", "[", "n", "]"}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", "t"}]], " ", 
             RowBox[{"a", "[", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "n"}], "]"}]}], "-", 
            RowBox[{
             RowBox[{
              OverscriptBox["a", "~"], "[", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "n"}], "]"}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"th", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                 RowBox[{
                  OverscriptBox["th", "~"], "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}]], 
             " "}]}]], " ", "]"}], "-", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"a", "[", "n", "]"}], "+", 
            RowBox[{
             RowBox[{
              OverscriptBox["a", "~"], "[", "n", "]"}], " ", " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"th", "[", "n", "]"}], "-", 
                 RowBox[{
                  OverscriptBox["th", "~"], "[", "n", "]"}]}], ")"}]}]], 
             RowBox[{"b", "[", "n", "]"}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", "t"}]]}]}], 
           RowBox[{
            RowBox[{"a", "[", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "n"}], "]"}], "-", 
            RowBox[{
             RowBox[{
              OverscriptBox["a", "~"], "[", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "n"}], "]"}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "\[ImaginaryI]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"th", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}], "+", 
                 RowBox[{
                  OverscriptBox["th", "~"], "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", "n"}], "]"}]}], ")"}]}]], 
             RowBox[{"b", "[", "n", "]"}], " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"\[ImaginaryI]", " ", "t"}]]}]}]], "]"}]}], ")"}]}], 
      "-", "1"}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.588929854692299*^9, 3.5889298756634274`*^9}, {
   3.5889300322531548`*^9, 3.588930126257392*^9}, {3.58893016330341*^9, 
   3.588930173754775*^9}, {3.588931284438362*^9, 3.588931284818969*^9}, 
   3.588931389996985*^9, {3.5892347471353493`*^9, 3.589234751816204*^9}, {
   3.589234937107465*^9, 3.589234939376075*^9}, {3.589235172773952*^9, 
   3.589235209974283*^9}, {3.589235246133255*^9, 3.589235253839428*^9}, {
   3.589396041130931*^9, 3.589396062504718*^9}, {3.589396554727305*^9, 
   3.589396598814863*^9}, {3.589623377285874*^9, 3.589623390485268*^9}, {
   3.595456133998734*^9, 3.595456160862145*^9}, {3.59658205443536*^9, 
   3.596582068944026*^9}, {3.6114557308999023`*^9, 3.611455815016201*^9}, 
   3.613456588782215*^9, 3.6174846011626472`*^9, {3.617486017964321*^9, 
   3.617486102329599*^9}, {3.61748615095295*^9, 3.617486162078721*^9}, {
   3.6174861961110563`*^9, 3.61748623823228*^9}, {3.6174874655516768`*^9, 
   3.617487465797823*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"b", "[", "n_", "]"}], ":=", 
   SuperscriptBox[
    RowBox[{"Rcfn", "[", 
     RowBox[{
      RowBox[{"2", "n"}], "-", "1"}], "]"}], "2"]}], ";"}]], "Input",
 CellChangeTimes->{{3.61145635955135*^9, 3.61145636241888*^9}, {
  3.6174861752701387`*^9, 3.617486186374116*^9}, {3.617486244223516*^9, 
  3.61748625166051*^9}}],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.58879676593334*^9, 3.588796802453727*^9}, {
   3.588796856037891*^9, 3.58879686290032*^9}, {3.588796908204824*^9, 
   3.588796937532791*^9}, 3.5887970161595097`*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"P1", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Re", "[", 
         RowBox[{"ii", "[", 
          RowBox[{"nnn", ",", "mmm", ",", "t"}], "]"}], "]"}], ",", 
        RowBox[{"Re", "[", 
         RowBox[{"int", "[", 
          RowBox[{"nnn", ",", "mmm", ",", "t"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"P2", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Im", "[", 
         RowBox[{"ii", "[", 
          RowBox[{"nnn", ",", "mmm", ",", "t"}], "]"}], "]"}], ",", 
        RowBox[{"Im", "[", 
         RowBox[{"int", "[", 
          RowBox[{"nnn", ",", "mmm", ",", "t"}], "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}], ";"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.599379180997892*^9, 3.599379240306533*^9}, {
   3.599379358589923*^9, 3.599379383654969*^9}, 3.617486776751189*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"GraphicsGrid", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"P1", ",", "P2"}], "}"}], "}"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", " ", "600"}]}], "]"}], "*)"}]], "Input",
 CellChangeTimes->{{3.599379392623509*^9, 3.599379417640374*^9}, 
   3.6174867803399963`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fr", "[", 
    RowBox[{"n_", ",", "m_", ",", "k_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"fr", "[", 
     RowBox[{"n", ",", "m", ",", "k"}], "]"}], "=", 
    RowBox[{"NIntegrate", "[", " ", 
     RowBox[{
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", "\[Pi]"}]], 
       RowBox[{"jj", "[", 
        RowBox[{"k", ",", "n", ",", "m", ",", "t"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
      RowBox[{"WorkingPrecision", "\[Rule]", "150"}], ",", 
      RowBox[{"MaxRecursion", "\[Rule]", "1225"}], ",", 
      RowBox[{"AccuracyGoal", "\[Rule]", "15"}], ",", 
      RowBox[{"PrecisionGoal", "\[Rule]", "15"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.611456165998457*^9, 3.6114561772368917`*^9}, 
   3.61345660348011*^9, {3.617486299697213*^9, 3.617486310994505*^9}, {
   3.617486570179768*^9, 3.617486592758183*^9}, 3.617486671410005*^9, {
   3.617487265921257*^9, 3.617487277541808*^9}, 3.617487327392708*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fc", "[", 
    RowBox[{"n_", ",", "m_", ",", "k_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"fc", "[", 
     RowBox[{"n", ",", "m", ",", "k"}], "]"}], "=", 
    RowBox[{"NIntegrate", "[", " ", 
     RowBox[{
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", "\[Pi]"}]], 
       RowBox[{"ii", "[", 
        RowBox[{"n", ",", "m", ",", "t"}], "]"}], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "k", " ", "t"}]]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
      RowBox[{"WorkingPrecision", "\[Rule]", "150"}], ",", 
      RowBox[{"MaxRecursion", "\[Rule]", "1225"}], ",", 
      RowBox[{"AccuracyGoal", "\[Rule]", "15"}], ",", 
      RowBox[{"PrecisionGoal", "\[Rule]", "15"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5892396596834*^9, 3.5892396661175957`*^9}, {
   3.589239904260996*^9, 3.5892399070829887`*^9}, {3.589240257735134*^9, 
   3.589240376523343*^9}, 3.589240782742392*^9, 3.589240905153592*^9, 
   3.589240961685543*^9, {3.589242542426886*^9, 3.589242549411182*^9}, 
   3.589242765019167*^9, {3.589243405095317*^9, 3.589243405348248*^9}, {
   3.5892437072097063`*^9, 3.5892437239936447`*^9}, {3.5894064360263147`*^9, 
   3.5894064459265823`*^9}, {3.5896570680516853`*^9, 3.589657080629037*^9}, {
   3.5962506599432077`*^9, 3.5962506777895393`*^9}, 3.599289554457711*^9, 
   3.599379798938621*^9, 3.599379903453137*^9, {3.607544247036853*^9, 
   3.6075442702658577`*^9}, {3.617486572440292*^9, 3.617486601567409*^9}, {
   3.617486672725574*^9, 3.617486679813325*^9}, 3.617487267922821*^9, 
   3.617487329698018*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{"ff", "[", 
     RowBox[{"n_", ",", "m_", ",", "k_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"ff", "[", 
      RowBox[{"n", ",", "m", ",", "k"}], "]"}], "=", 
     RowBox[{"NIntegrate", "[", " ", 
      RowBox[{
       RowBox[{
        FractionBox["1", 
         RowBox[{"2", "\[Pi]"}]], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"ii", "[", 
           RowBox[{"n", ",", "m", ",", "t"}], "]"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"\[ImaginaryI]", " ", "m", " ", "t"}]]}], ")"}], 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", "k", " ", "t"}]]}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
       RowBox[{"WorkingPrecision", "\[Rule]", "500"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "1225"}], ",", 
       RowBox[{"AccuracyGoal", "\[Rule]", "60"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "60"}]}], "]"}]}]}], ";"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.610713851882025*^9, 3.610713905151087*^9}, 
   3.61345651343113*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fd", "[", 
    RowBox[{"n_", ",", "m_", ",", "k_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"fd", "[", 
     RowBox[{"n", ",", "m", ",", "k"}], "]"}], "=", 
    RowBox[{"NIntegrate", "[", " ", 
     RowBox[{
      RowBox[{
       FractionBox["1", 
        RowBox[{"2", "\[Pi]"}]], 
       RowBox[{"int", "[", 
        RowBox[{"n", ",", "m", ",", "t"}], "]"}], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "k", " ", "t"}]]}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", 
        RowBox[{"-", "\[Pi]"}], ",", "\[Pi]"}], "}"}], ",", 
      RowBox[{"WorkingPrecision", "\[Rule]", "150"}], ",", 
      RowBox[{"MaxRecursion", "\[Rule]", "1225"}], ",", 
      RowBox[{"AccuracyGoal", "\[Rule]", "15"}], ",", 
      RowBox[{"PrecisionGoal", "\[Rule]", "15"}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5993794735545473`*^9, 3.59937948271173*^9}, 
   3.599379804184125*^9, {3.599379876710711*^9, 3.599379895733438*^9}, {
   3.607544258065549*^9, 3.6075442761861677`*^9}, {3.617486577491675*^9, 
   3.617486608632408*^9}, {3.617486681827108*^9, 3.617486687654766*^9}, 
   3.617487270060494*^9, 3.617487332330624*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Chop", "[", 
         RowBox[{
          RowBox[{"fd", "[", 
           RowBox[{"nnn", ",", "1", ",", "k"}], "]"}], ",", 
          RowBox[{"10", "^", 
           RowBox[{"-", "30"}]}]}], "]"}], ",", "7"}], "]"}], ",", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Chop", "[", 
         RowBox[{
          RowBox[{"fr", "[", 
           RowBox[{"nnn", ",", "1", ",", "k"}], "]"}], ",", 
          RowBox[{"10", "^", 
           RowBox[{"-", "30"}]}]}], "]"}], ",", "7"}], "]"}], ",", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Chop", "[", 
         RowBox[{
          RowBox[{"fc", "[", 
           RowBox[{"nnn", ",", "1", ",", "k"}], "]"}], ",", 
          RowBox[{"10", "^", 
           RowBox[{"-", "30"}]}]}], "]"}], ",", "7"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.617491657680171*^9, 3.6174917221178417`*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "5"}], 
      RowBox[{"-", "1.48693884031654690394600112`7.*^-12"}], 
      RowBox[{
       RowBox[{"-", "1.50178378697074256023645994`7.150264900884415*^-12"}], 
       "+", 
       RowBox[{
       "5.098113613952614500648609`5.681066999150188*^-14", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "1.50178378697926767003312581`7.150264900884103*^-12"}], 
       "+", 
       RowBox[{
       "5.098113617142386844366177`5.681066999419139*^-14", " ", 
        "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "4"}], 
      RowBox[{
       RowBox[{"-", "2.0924313640511941251429634065`7.*^-10"}], " ", 
       "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{"-", "1.254130861194516980657542007`5.9232825261046615*^-11"}],
        "-", 
       RowBox[{
       "2.1125714073540849694606894741`7.149751068690407*^-10", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "1.254130860561938366529187603`5.923282525710186*^-11"}], 
       "-", 
       RowBox[{
       "2.1125714082141480956381774159`7.1497510686917956*^-10", " ", 
        "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "3"}], 
      RowBox[{"-", "1.252460755472086875322315117801`7.*^-8"}], 
      RowBox[{
       RowBox[{
       "-", "1.261595966805758537882937686141`7.150241434742827*^-8"}], "+", 
       RowBox[{
       "4.4792848330594840867673569151`5.700529822471899*^-10", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "1.261595966801796692642732052793`7.150241434742803*^-8"}], "+", 
       RowBox[{
       "4.4792848332398157239809411549`5.700529822490722*^-10", " ", 
        "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "2"}], 
      RowBox[{
       RowBox[{"-", "6.840264665010124475394578788917`7.*^-7"}], " ", 
       "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{
       "-", "2.779125465686516812958057352432`5.756190244976453*^-8"}], "-", 
       RowBox[{
       "6.8846101141244650267461697281043`7.150161441745509*^-7", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "2.779125465671720523490763831655`5.756190244975832*^-8"}], "-", 
       RowBox[{
       "6.8846101140976577984146996695996`7.15016144174551*^-7", " ", 
        "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "1"}], 
      RowBox[{"-", "0.00013956223938988101417566039375597345`7."}], 
      RowBox[{
       RowBox[{
       "-", "0.00014011510272170950941974201559527603`7.150423010018572"}], 
       "+", 
       RowBox[{
       "2.88415724849362435023757732728834`5.463956995558155*^-6", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "0.00014011510272171056664559061523546455`7.150423010018573"}], 
       "+", 
       RowBox[{
       "2.88415724849368534312914783499262`5.463956995558163*^-6", " ", 
        "\[ImaginaryI]"}]}]},
     {"0", 
      RowBox[{
       RowBox[{"-", "0.00140977723164912795659119803157315368`7."}], " ", 
       "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{
       "-", "0.00006123642590231308050692114673791721`5.787028423507769"}], 
       "-", 
       RowBox[{
       "0.00141282656413944418796578535752658932`7.150107440546931", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "0.00006123642590231308050692114673791721`5.787028423507769"}], 
       "-", 
       RowBox[{
       "0.00141282656413944418796578535752658932`7.150107440546931", " ", 
        "\[ImaginaryI]"}]}]},
     {"1", 
      RowBox[{"-", "0.02842461439696791810444633979643861307`7."}], 
      RowBox[{
       RowBox[{
       "-", "0.02848834461932552378379194233515316236`7.1504606916030236"}], 
       "-", 
       RowBox[{
       "0.00045054900335309521415799470422109698`5.349535510644483", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "0.02848834461932552378379194233515316236`7.1504606916030236"}], 
       "-", 
       RowBox[{
       "0.00045054900335309521415799470422109698`5.349535510644483", " ", 
        "\[ImaginaryI]"}]}]},
     {"2", 
      RowBox[{
       RowBox[{"-", "0.00700375366907300651982461153454803052`7."}], " ", 
       "\[ImaginaryI]"}], 
      RowBox[{
      "0.00011373489624470634581908248285600309`5.359739700738985", "-", 
       RowBox[{
       "0.00702444656894039154598178748412270804`7.150458078389237", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
      "0.00011373489624470634581908248285600309`5.359739700738985", "-", 
       RowBox[{
       "0.00702444656894039154598178748412270804`7.150458078389237", " ", 
        "\[ImaginaryI]"}]}]},
     {"3", "0.00023182859074537982586788039217731869`7.", 
      RowBox[{
      "0.00023267144430314543980589462844862009`7.150453900472163", "+", 
       RowBox[{
       "3.90308221259859095848321047635792`5.375118513889283*^-6", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
      "0.0002326714443031454398055170078090437`7.150453900472163", "+", 
       RowBox[{
       "3.90308221259859095844579640416352`5.375118513889283*^-6", " ", 
        "\[ImaginaryI]"}]}]},
     {"4", 
      RowBox[{
       RowBox[{"-", "4.43798853379966664249434210986674`7.*^-6"}], " ", 
       "\[ImaginaryI]"}], 
      RowBox[{"1.6607187920964088051604138347214`5.7205187268301945*^-7", "-", 
       RowBox[{
       "4.46675787913161562505777828805315`7.150215038969518*^-6", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{"1.6607187920964088282659969600115`5.7205187268301945*^-7", "-", 
       RowBox[{
       "4.46675787913161561639314439825026`7.150215038969518*^-6", " ", 
        "\[ImaginaryI]"}]}]},
     {"5", "5.213234215155676316909504831821`7.*^-8", 
      RowBox[{"5.246895433411461112523004379449`7.150394870497306*^-8", "+", 
       RowBox[{
       "1.23425881725401423312165299895`5.521898699767606*^-9", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{"5.246895433411461109868561091442`7.150394870497306*^-8", "+", 
       RowBox[{
       "1.23425881725401419147389437061`5.521898699767606*^-9", " ", 
        "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.617491713460408*^9, 3.6174917419671288`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"m", ",", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Chop", "[", 
         RowBox[{
          RowBox[{"fd", "[", 
           RowBox[{"nnn", ",", "m", ",", "0"}], "]"}], ",", 
          RowBox[{"10", "^", 
           RowBox[{"-", "30"}]}]}], "]"}], ",", "7"}], "]"}], ",", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Chop", "[", 
         RowBox[{
          RowBox[{"fr", "[", 
           RowBox[{"nnn", ",", "m", ",", "0"}], "]"}], ",", 
          RowBox[{"10", "^", 
           RowBox[{"-", "30"}]}]}], "]"}], ",", "7"}], "]"}], ",", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"Chop", "[", 
         RowBox[{
          RowBox[{"fc", "[", 
           RowBox[{"nnn", ",", "m", ",", "0"}], "]"}], ",", 
          RowBox[{"10", "^", 
           RowBox[{"-", "30"}]}]}], "]"}], ",", "7"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m", ",", 
      RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.613293262828788*^9, 3.613293276046392*^9}, {
  3.613293418945979*^9, 3.613293526530445*^9}, {3.617486405710918*^9, 
  3.6174864094690857`*^9}, {3.6174866161472054`*^9, 3.617486620669537*^9}, {
  3.617486825461294*^9, 3.617486829284494*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "5"}], 
      RowBox[{
      "1.98885701172109424670534393067`7.*^-9", " ", "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{"-", "1.0634440886176623672067593038`5.874068732037989*^-10"}],
        "+", 
       RowBox[{
       "2.00702200060059749490878899737`7.149906203730581*^-9", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "1.0634440886205683601735169816`5.874068732039802*^-10"}],
        "+", 
       RowBox[{
       "2.00702200059767012053777581651`7.149906203730575*^-9", " ", 
        "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "4"}], 
      RowBox[{"-", "2.513202841771690416286943070642`7.*^-8"}], 
      RowBox[{
       RowBox[{
       "-", "2.521096587699279708095018359402`7.1500333730798795*^-8"}], "-", 
       RowBox[{
       "1.18797577015307971066100016242`5.82325147139413*^-9", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "2.521096587699260424259843557996`7.150033373079878*^-8"}], "-", 
       RowBox[{
       "1.18797577015308868977109400782`5.823251471394135*^-9", " ", 
        "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "3"}], 
      RowBox[{
      "2.58717999713983083239870860703279`7.*^-6", " ", "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{
       "-", "8.364722124116886792245887381813`5.657040585345574*^-8"}], "+", 
       RowBox[{
       "2.60436615907051768840436102970566`7.1502911105836775*^-6", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "8.364722124116882886215209011574`5.657040585345574*^-8"}], "+", 
       RowBox[{
       "2.60436615907051798851786589517488`7.1502911105836775*^-6", " ", 
        "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "2"}], 
      RowBox[{"-", "0.00012163985664016290904178406390697791`7."}], 
      RowBox[{
       RowBox[{
       "-", "0.0001220837740794955660485437978217785`7.150428995245372"}], 
       "-", 
       RowBox[{
       "2.42985046777187931159042655203492`5.4493505967883085*^-6", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "0.00012208377407949556604563350317488612`7.150428995245372"}], 
       "-", 
       RowBox[{
       "2.42985046777187931189663314260849`5.4493505967883085*^-6", " ", 
        "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "1"}], 
      RowBox[{
      "0.00140977723164912795659119803157315368`7.", " ", "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{
       "-", "0.00006123642590231308050692114673791721`5.787028423507769"}], 
       "+", 
       RowBox[{
       "0.00141282656413944418796578535752658932`7.150107440546931", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "0.00006123642590231308050692114673791721`5.787028423507769"}], 
       "+", 
       RowBox[{
       "0.00141282656413944418796578535752658932`7.150107440546931", " ", 
        "\[ImaginaryI]"}]}]},
     {"0", "0", "0", "0"},
     {"1", 
      RowBox[{
       RowBox[{"-", "0.00140977723164912795659119803157315368`7."}], " ", 
       "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{
       "-", "0.00006123642590231308050692114673791721`5.787028423507769"}], 
       "-", 
       RowBox[{
       "0.00141282656413944418796578535752658932`7.150107440546931", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "0.00006123642590231308050692114673791721`5.787028423507769"}], 
       "-", 
       RowBox[{
       "0.00141282656413944418796578535752658932`7.150107440546931", " ", 
        "\[ImaginaryI]"}]}]},
     {"2", 
      RowBox[{"-", "0.00012163985664016290904178406390697791`7."}], 
      RowBox[{
       RowBox[{
       "-", "0.00012208377407949457652681173753393126`7.150428995245373"}], 
       "+", 
       RowBox[{
       "2.42985046777185415937740170458158`5.449350596788308*^-6", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "0.00012208377407949556604563350317488612`7.150428995245372"}], 
       "+", 
       RowBox[{
       "2.42985046777187931189663314260849`5.4493505967883085*^-6", " ", 
        "\[ImaginaryI]"}]}]},
     {"3", 
      RowBox[{
       RowBox[{"-", "2.58717999713983083239870860703279`7.*^-6"}], " ", 
       "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{
       "-", "8.364722124102769436172846862469`5.657040585344442*^-8"}], "-", 
       RowBox[{
       "2.60436615907292808201619958549998`7.15029111058368*^-6", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "8.364722124116882886215209011574`5.657040585345574*^-8"}], "-", 
       RowBox[{
       "2.60436615907051798851786589517488`7.1502911105836775*^-6", " ", 
        "\[ImaginaryI]"}]}]},
     {"4", 
      RowBox[{"-", "2.513202841771690416286943070642`7.*^-8"}], 
      RowBox[{
       RowBox[{
       "-", "2.521096587768717325979955159699`7.150033373079838*^-8"}], "+", 
       RowBox[{
       "1.18797577023781350817171572319`5.823251471413103*^-9", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{
       "-", "2.521096587699260424259843557996`7.150033373079878*^-8"}], "+", 
       RowBox[{
       "1.18797577015308868977109400782`5.823251471394135*^-9", " ", 
        "\[ImaginaryI]"}]}]},
     {"5", 
      RowBox[{
       RowBox[{"-", "1.98885701172109424670534393067`7.*^-9"}], " ", 
       "\[ImaginaryI]"}], 
      RowBox[{
       RowBox[{"-", "1.063444087016468030493556261`5.874068731630626*^-10"}], 
       "-", 
       RowBox[{
       "2.00702199946652564896019132865`7.149906203731724*^-9", " ", 
        "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "1.0634440886205683601735169816`5.874068732039802*^-10"}],
        "-", 
       RowBox[{
       "2.00702200059767012053777581651`7.149906203730575*^-9", " ", 
        "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.613293394278873*^9, 3.613293442505686*^9, {3.613293481160429*^9, 
   3.613293492175777*^9}, 3.613293528287805*^9, 3.613457730866411*^9, 
   3.617486643660623*^9, 3.617486785037067*^9, 3.617486851355112*^9, 
   3.6174873249599457`*^9, 3.617487491040042*^9, 3.6174917231334352`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"fr", "[", 
       RowBox[{"nnn", ",", "m", ",", "j"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}], "]"}], "//", 
   "MatrixForm"}], "*)"}]], "Input",
 CellChangeTimes->{{3.611456216587695*^9, 3.611456217330364*^9}, {
   3.6114562621046*^9, 3.611456268704076*^9}, 3.613456557338254*^9}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"ff", "[", 
       RowBox[{"nnn", ",", "m", ",", "j"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}], "]"}], "//", 
   "MatrixForm"}], "*)"}]], "Input",
 CellChangeTimes->{{3.6107139314845667`*^9, 3.610713932907432*^9}, {
   3.610714212461829*^9, 3.6107142578350782`*^9}, {3.6107143918210907`*^9, 
   3.610714419779026*^9}, {3.610715317494216*^9, 3.610715324886413*^9}, {
   3.610715363123877*^9, 3.610715369426022*^9}, {3.611456271887776*^9, 
   3.6114562777361517`*^9}, 3.613456519234187*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Tc", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"m", ",", "j", ",", 
        RowBox[{"fc", "[", 
         RowBox[{"nnn", ",", "m", ",", "j"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}]}], ";"}], 
  "  "}]], "Input",
 CellChangeTimes->{{3.5892425736448183`*^9, 3.589242587941586*^9}, {
   3.5892426811833277`*^9, 3.589242683747756*^9}, {3.589242726992853*^9, 
   3.589242729185762*^9}, 3.58924290617233*^9, 3.589243841589108*^9, {
   3.589250492814473*^9, 3.589250521354711*^9}, {3.589261701621483*^9, 
   3.589261714738738*^9}, {3.589417065240906*^9, 3.589417073013578*^9}, {
   3.5894179781265993`*^9, 3.589417981051566*^9}, 3.589419497609029*^9, {
   3.595363874811561*^9, 3.595363906812229*^9}, {3.596246040075192*^9, 
   3.596246043985464*^9}, {3.596250398842286*^9, 3.596250401855261*^9}, {
   3.596251231567644*^9, 3.596251262526148*^9}, {3.596251522492386*^9, 
   3.596251546786481*^9}, {3.5993794957725677`*^9, 3.599379506279355*^9}, {
   3.5993795908007383`*^9, 3.5993796056955633`*^9}, {3.6134576087850857`*^9, 
   3.613457611505962*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Td", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"m", ",", "j", ",", 
        RowBox[{"fd", "[", 
         RowBox[{"nnn", ",", "m", ",", "j"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "]"}]}], ";"}], 
  "  "}]], "Input",
 CellChangeTimes->{{3.599379625316607*^9, 3.599379629748317*^9}, {
  3.613265100187335*^9, 3.613265155146381*^9}, {3.6134566382035017`*^9, 
  3.6134566407401667`*^9}}],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.617491735858431*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Tc", ",", "2"}], "]"}], "//", "MatrixForm", "  "}]}]], "Input",
 CellChangeTimes->{{3.5962505676374903`*^9, 3.596250583134885*^9}, {
   3.5962508232424088`*^9, 3.596250827316869*^9}, {3.596251552349298*^9, 
   3.596251557242364*^9}, {3.5993796092057877`*^9, 3.599379611658073*^9}, 
   3.5993796445642233`*^9, {3.5993798338917103`*^9, 3.5993798415418873`*^9}, 
   3.599379995622044*^9, 3.613265877137515*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.23894576541096217051920592765773892337`2.\
1505107792215425"}], "+", 
            RowBox[{"0``2.9774909981954", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{"0``4.54456936633122", "-", 
            RowBox[{
            "0.01200894408767592525567133881184696416`2.15051377150945", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
           "0.0000294201454243866835799706589403148`2.149721929877633", "+", 
            RowBox[{
            "1.77958818109748040994084379233939`0.9313966275297144*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "8.364722124116882886215209011574`0.6570405853455741*^-8"}], 
            "+", 
            RowBox[{
            "2.60436615907051798851786589517488`2.1502911105836775*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {"1.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "1.791328060054828910015462802219`2.150138590547868*^-8"}], 
            "-", 
            RowBox[{
            "7.4613121857307372413805623729`0.7697786731452507*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {"2.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "2.26207525571260323462549675`0.8804060821482966*^-11"}], 
            "+", 
            RowBox[{
            "4.2071608402069500052968333426`2.1498881484777166*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {"3.`2."},
          {
           RowBox[{"1.1380714407488700380394356`2.115893603778867*^-13", "+", 
            RowBox[{
            "4.731570210594229862975793`1.7347293675341475*^-14", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{
           "0.00025248956675396527872286702756457222`0.2886462878807252", "+", 
            RowBox[{
            "0.0183683912429137469232282399843823816`2.1504739719505186", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.11098258722402236307917697963135717061`2.15050305589976"}]\
, "+", 
            RowBox[{
            "0.0008230400314559494604796326244694121`0.020669170209154115", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.00005267797295038141947205985459551062`0.\
40513931544758164"}], "-", 
            RowBox[{
            "0.00293045178302289718388988408633774813`2.1504448404933103", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00012208377407949556604563350317488612`2.\
1504289952453735"}], "-", 
            RowBox[{
            "2.42985046777187931189663314260849`0.449350596788309*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {"1.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "3.853843589042367889852671774538`0.6432444872332937*^-8"}], 
            "+", 
            RowBox[{
            "1.23866679735427286955337202422608`2.150304899126661*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {"2.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "8.55540118108297668326070731617`2.1502601379181363*^-9"}], 
            "-", 
            RowBox[{
            "2.9318478591909852028814275538`0.6851611885083265*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {"3.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "1.353756375882079401347563783`0.8867627726455942*^-11"}], 
            "+", 
            RowBox[{
            "2.4811169850207907580313486762`2.1498694993819094*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{
           "0.0002326714443031454398055170078090437`2.150453900472163", "-", 
            RowBox[{
            "3.90308221259859095844579640416352`0.37511851388928213*^-6", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
           "0.00011373489624470634581908248285600309`0.3597397007389855", "+", 
            RowBox[{
            "0.00702444656894039154598178748412270804`2.1504580783892373", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.02848834461932552378379194233515316236`2.\
1504606916030244"}], "+", 
            RowBox[{
            "0.00045054900335309521415799470422109698`0.34953551064448346", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00006123642590231308050692114673791721`0.\
7870284235077684"}], "+", 
            RowBox[{
            "0.00141282656413944418796578535752658932`2.1501074405469307", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {"1.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "0.00014011510272171056664559061523546455`2.150423010018572"}\
], "-", 
            RowBox[{
            "2.88415724849368534312914783499262`0.46395699555816183*^-6", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {"2.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "2.779125465671720523490763831655`0.7561902449758318*^-8"}], 
            "+", 
            RowBox[{
            "6.8846101140976577984146996695996`2.15016144174551*^-7", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {"3.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "1.261595966801796692642732052793`2.150241434742801*^-8"}], 
            "-", 
            RowBox[{
            "4.4792848332398157239809411549`0.7005298224907205*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "3.`2."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "2.`2."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "1.`2."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"0"},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"1.`2."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"2.`2."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"3.`2."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "1.261595966801796692642732052793`2.150241434742801*^-8"}], 
            "+", 
            RowBox[{
            "4.4792848332398157239809411549`0.7005298224907205*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "2.779125465671720523490763831655`0.7561902449758318*^-8"}], 
            "-", 
            RowBox[{
            "6.8846101140976577984146996695996`2.15016144174551*^-7", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.00014011510272171056664559061523546455`2.150423010018572"}\
], "+", 
            RowBox[{
            "2.88415724849368534312914783499262`0.46395699555816183*^-6", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00006123642590231308050692114673791721`0.\
7870284235077684"}], "-", 
            RowBox[{
            "0.00141282656413944418796578535752658932`2.1501074405469307", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {"1.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "0.02848834461932552378379194233515316236`2.\
1504606916030244"}], "-", 
            RowBox[{
            "0.00045054900335309521415799470422109698`0.34953551064448346", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {"2.`2."},
          {
           RowBox[{
           "0.00011373489624470634581908248285600309`0.3597397007389855", "-", 
            RowBox[{
            "0.00702444656894039154598178748412270804`2.1504580783892373", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {"3.`2."},
          {
           RowBox[{
           "0.0002326714443031454398055170078090437`2.150453900472163", "+", 
            RowBox[{
            "3.90308221259859095844579640416352`0.37511851388928213*^-6", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "1.353756375882079401347563783`0.8867627726455942*^-11"}], 
            "-", 
            RowBox[{
            "2.4811169850207907580313486762`2.1498694993819094*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "8.55540118108297668326070731617`2.1502601379181363*^-9"}], 
            "+", 
            RowBox[{
            "2.9318478591909852028814275538`0.6851611885083265*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "3.853843589042367889852671774538`0.6432444872332937*^-8"}], 
            "-", 
            RowBox[{
            "1.23866679735427286955337202422608`2.150304899126661*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00012208377407949556604563350317488612`2.\
1504289952453735"}], "+", 
            RowBox[{
            "2.42985046777187931189663314260849`0.449350596788309*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {"1.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "0.00005267797295038141947205985459551062`0.\
40513931544758164"}], "+", 
            RowBox[{
            "0.00293045178302289718388988408633774813`2.1504448404933103", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {"2.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "0.11098258722402236307917697963135717061`2.15050305589976"}]\
, "-", 
            RowBox[{
            "0.0008230400314559494604796326244694121`0.020669170209154115", 
             " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {"3.`2."},
          {
           RowBox[{
           "0.00025248956675396527872286702756457222`0.2886462878807252", "-", 
            RowBox[{
            "0.0183683912429137469232282399843823816`2.1504739719505186", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{"1.1380714407488700380394356`2.115893603778867*^-13", "-", 
            RowBox[{
            "4.731570210594229862975793`1.7347293675341475*^-14", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "2.26207525571260323462549675`0.8804060821482966*^-11"}], 
            "-", 
            RowBox[{
            "4.2071608402069500052968333426`2.1498881484777166*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "1.791328060054828910015462802219`2.150138590547868*^-8"}], 
            "+", 
            RowBox[{
            "7.4613121857307372413805623729`0.7697786731452507*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "8.364722124116882886215209011574`0.6570405853455741*^-8"}], 
            "-", 
            RowBox[{
            "2.60436615907051798851786589517488`2.1502911105836775*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {"1.`2."},
          {
           RowBox[{
           "0.0000294201454243866835799706589403148`2.149721929877633", "-", 
            RowBox[{
            "1.77958818109748040994084379233939`0.9313966275297144*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {"2.`2."},
          {
           RowBox[{"0``4.54456936633122", "+", 
            RowBox[{
            "0.01200894408767592525567133881184696416`2.15051377150945", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {"3.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "0.23894576541096217051920592765773892337`2.\
1505107792215425"}], "+", 
            RowBox[{"0``2.9774909981954", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.59937981966292*^9, 3.599379843432201*^9}, 
   3.599379956135721*^9, 3.599379997430587*^9, 3.6075437940331097`*^9, 
   3.607544806001679*^9, 3.6132666479587584`*^9, 3.6134581407794*^9, 
   3.6174866502118483`*^9, 3.617486806064475*^9, 3.6174868704543657`*^9, 
   3.617487375574018*^9, 3.617487510632721*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Chop", "[", " ", 
   RowBox[{"N", "[", 
    RowBox[{"Td", ",", "2"}], "]"}], "]"}], "//", "MatrixForm", 
  "  "}]], "Input",
 CellChangeTimes->{{3.59937963963764*^9, 3.599379646330464*^9}, 
   3.5993800133411083`*^9, {3.607543736450543*^9, 3.6075437411433067`*^9}, {
   3.607544181315625*^9, 3.6075441998024406`*^9}, 3.607544444002645*^9, 
   3.613265163758932*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{
           "-", "0.23844994762769847871091590043129663156`2.1505149978319906"}\
]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.01196957526876710887370842308433777987`2.15051499783199"}]\
, " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{"-", "1.`2."}]},
          {"0.00002928728402440702089436624658919115`2.150514997831991"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {"0"},
          {
           RowBox[{
           "2.58717999713983083239870860703279`2.15051499783199*^-6", " ", 
            "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {"1.`2."},
          {
           RowBox[{
           "-", "1.781691006266643599454860829952`2.1505149978319915*^-8"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {"2.`2."},
          {
           RowBox[{
           "4.1675541167519436786014332522`2.1505149978319915*^-10", " ", 
            "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`2."}]},
          {"3.`2."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{
           "0.01831599001214051070157110934633008114`2.1505149978319906", " ",
             "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
           "-", "0.11074105120947814965026095253452294502`2.150514997831991"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.00291845085448853080940033974065918369`2.15051499783199"}]\
, " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {"0"},
          {
           RowBox[{
           "-", "0.00012163985664016290904178406390697791`2.15051499783199"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {"1.`2."},
          {
           RowBox[{
           "1.23023379958357703263116357961183`2.15051499783199*^-6", " ", 
            "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {"2.`2."},
          {
           RowBox[{
           "-", "8.50393136522709659927440419858`2.15051499783199*^-9"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`2."}]},
          {"3.`2."},
          {
           RowBox[{
           "2.4572735774821561202924753324`2.1505149978319915*^-10", " ", 
            "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{"-", "3.`2."}]},
          {"0.00023182859074537982586788039217731869`2.15051499783199"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
           "0.00700375366907300651982461153454803052`2.15051499783199", " ", 
            "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
           "-", "0.02842461439696791810444633979643861307`2.15051499783199"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {"0"},
          {
           RowBox[{
           "0.00140977723164912795659119803157315368`2.150514997831991", " ", 
            "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {"1.`2."},
          {
           RowBox[{
           "-", "0.00013956223938988101417566039375597345`2.150514997831991"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {"2.`2."},
          {
           RowBox[{
           "6.840264665010124475394578788917`2.15051499783199*^-7", " ", 
            "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`2."}]},
          {"3.`2."},
          {
           RowBox[{
           "-", "1.252460755472086875322315117801`2.15051499783199*^-8"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "3.`2."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "2.`2."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "1.`2."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"0"},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"1.`2."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"2.`2."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"3.`2."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{
           "-", "1.252460755472086875322315117801`2.15051499783199*^-8"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "6.840264665010124475394578788917`2.15051499783199*^-7"}], 
            " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
           "-", "0.00013956223938988101417566039375597345`2.150514997831991"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00140977723164912795659119803157315368`2.150514997831991"}\
], " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {"1.`2."},
          {
           RowBox[{
           "-", "0.02842461439696791810444633979643861307`2.15051499783199"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {"2.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "0.00700375366907300651982461153454803052`2.15051499783199"}]\
, " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`2."},
          {"3.`2."},
          {"0.00023182859074537982586788039217731869`2.15051499783199"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {
           RowBox[{"-", "3.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "2.4572735774821561202924753324`2.1505149978319915*^-10"}], 
            " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
           "-", "8.50393136522709659927440419858`2.15051499783199*^-9"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "1.23023379958357703263116357961183`2.15051499783199*^-6"}], 
            " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {"0"},
          {
           RowBox[{
           "-", "0.00012163985664016290904178406390697791`2.15051499783199"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {"1.`2."},
          {
           RowBox[{
           "0.00291845085448853080940033974065918369`2.15051499783199", " ", 
            "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {"2.`2."},
          {
           RowBox[{
           "-", "0.11074105120947814965026095253452294502`2.150514997831991"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`2."},
          {"3.`2."},
          {
           RowBox[{
            RowBox[{
            "-", "0.01831599001214051070157110934633008114`2.\
1505149978319906"}], " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {
           RowBox[{"-", "3.`2."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {
           RowBox[{"-", "2.`2."}]},
          {
           RowBox[{
            RowBox[{
            "-", "4.1675541167519436786014332522`2.1505149978319915*^-10"}], 
            " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {
           RowBox[{"-", "1.`2."}]},
          {
           RowBox[{
           "-", "1.781691006266643599454860829952`2.1505149978319915*^-8"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "2.58717999713983083239870860703279`2.15051499783199*^-6"}], 
            " ", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {"1.`2."},
          {"0.00002928728402440702089436624658919115`2.150514997831991"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {"2.`2."},
          {
           RowBox[{
           "0.01196957526876710887370842308433777987`2.15051499783199", " ", 
            "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`2."},
          {"3.`2."},
          {
           RowBox[{
           "-", "0.23844994762769847871091590043129663156`2.1505149978319906"}\
]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.5993798197248573`*^9, 3.599379956192748*^9, 3.599380014507166*^9, 
   3.607543794092381*^9, {3.60754419369802*^9, 3.607544201089415*^9}, 
   3.607544806006585*^9, 3.613266647981223*^9, 3.613458140826715*^9, 
   3.617486650266514*^9, 3.617486806117351*^9, 3.6174868704967012`*^9, 
   3.617487375624648*^9, 3.617487510678897*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"N", "[", 
    RowBox[{"Tc", ",", "8"}], "]"}], "//", "MatrixForm", "  "}]}]], "Input",
 CellChangeTimes->{{3.613283240533237*^9, 3.613283260619521*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.23894576541096217051920592765773892337`8.150510779221543"}\
], "+", 
            RowBox[{
            "0.0010531955169304395070915818017721203`5.794720442653733", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{
           "0.00002853846655628586088151266315790282`5.526439582376141", "-", 
            RowBox[{
            "0.01200894408767592525567133881184696416`8.15051377150945", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
           "0.0000294201454243866835799706589403148`8.149721929877634", "+", 
            RowBox[{
            "1.77958818109748040994084379233939`6.931396627529715*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "8.364722124116882886215209011574`6.657040585345574*^-8"}], 
            "+", 
            RowBox[{
            "2.60436615907051798851786589517488`8.150291110583678*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {"1.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "1.791328060054828910015462802219`8.150138590547867*^-8"}], 
            "-", 
            RowBox[{
            "7.4613121857307372413805623729`6.76977867314525*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {"2.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "2.26207525571260323462549675`6.880406082148296*^-11"}], "+", 
            RowBox[{
            "4.2071608402069500052968333426`8.149888148477716*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {"3.`8."},
          {
           RowBox[{
           "1.13807144074887003803943565129774000046182078`8.115893603778868*^\
-13", "+", 
            RowBox[{
            "4.7315702105942298629757930613241799045249421`7.734729367534149*^\
-14", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
           "0.00025248956675396527872286702756457222`6.2886462878807246", "+", 
            RowBox[{
            "0.0183683912429137469232282399843823816`8.150473971950518", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.11098258722402236307917697963135717061`8.15050305589976"}]\
, "+", 
            RowBox[{
            "0.0008230400314559494604796326244694121`6.020669170209154", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.00005267797295038141947205985459551062`6.405139315447582"}\
], "-", 
            RowBox[{
            "0.00293045178302289718388988408633774813`8.15044484049331", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00012208377407949556604563350317488612`8.150428995245372"}\
], "-", 
            RowBox[{
            "2.42985046777187931189663314260849`6.4493505967883085*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {"1.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "3.853843589042367889852671774538`6.643244487233293*^-8"}], 
            "+", 
            RowBox[{
            "1.23866679735427286955337202422608`8.15030489912666*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {"2.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "8.55540118108297668326070731617`8.150260137918135*^-9"}], 
            "-", 
            RowBox[{
            "2.9318478591909852028814275538`6.685161188508326*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {"3.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "1.353756375882079401347563783`6.886762772645594*^-11"}], 
            "+", 
            RowBox[{
            "2.4811169850207907580313486762`8.149869499381909*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
           "0.0002326714443031454398055170078090437`8.150453900472163", "-", 
            RowBox[{
            "3.90308221259859095844579640416352`6.375118513889283*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{
           "0.00011373489624470634581908248285600309`6.359739700738985", "+", 
            RowBox[{
            "0.00702444656894039154598178748412270804`8.150458078389237", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.02848834461932552378379194233515316236`8.150460691603023"}\
], "+", 
            RowBox[{
            "0.00045054900335309521415799470422109698`6.349535510644483", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00006123642590231308050692114673791721`6.787028423507769"}\
], "+", 
            RowBox[{
            "0.00141282656413944418796578535752658932`8.15010744054693", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {"1.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "0.00014011510272171056664559061523546455`8.150423010018573"}\
], "-", 
            RowBox[{
            "2.88415724849368534312914783499262`6.463956995558162*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {"2.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "2.779125465671720523490763831655`6.756190244975832*^-8"}], 
            "+", 
            RowBox[{
            "6.8846101140976577984146996695996`8.15016144174551*^-7", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {"3.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "1.261595966801796692642732052793`8.1502414347428*^-8"}], 
            "-", 
            RowBox[{
            "4.4792848332398157239809411549`6.7005298224907195*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "3.`8."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "2.`8."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "1.`8."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"0"},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"1.`8."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"2.`8."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"3.`8."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "1.261595966801796692642732052793`8.1502414347428*^-8"}], 
            "+", 
            RowBox[{
            "4.4792848332398157239809411549`6.7005298224907195*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "2.779125465671720523490763831655`6.756190244975832*^-8"}], 
            "-", 
            RowBox[{
            "6.8846101140976577984146996695996`8.15016144174551*^-7", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.00014011510272171056664559061523546455`8.150423010018573"}\
], "+", 
            RowBox[{
            "2.88415724849368534312914783499262`6.463956995558162*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00006123642590231308050692114673791721`6.787028423507769"}\
], "-", 
            RowBox[{
            "0.00141282656413944418796578535752658932`8.15010744054693", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {"1.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "0.02848834461932552378379194233515316236`8.150460691603023"}\
], "-", 
            RowBox[{
            "0.00045054900335309521415799470422109698`6.349535510644483", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {"2.`8."},
          {
           RowBox[{
           "0.00011373489624470634581908248285600309`6.359739700738985", "-", 
            RowBox[{
            "0.00702444656894039154598178748412270804`8.150458078389237", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {"3.`8."},
          {
           RowBox[{
           "0.0002326714443031454398055170078090437`8.150453900472163", "+", 
            RowBox[{
            "3.90308221259859095844579640416352`6.375118513889283*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "1.353756375882079401347563783`6.886762772645594*^-11"}], 
            "-", 
            RowBox[{
            "2.4811169850207907580313486762`8.149869499381909*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "8.55540118108297668326070731617`8.150260137918135*^-9"}], 
            "+", 
            RowBox[{
            "2.9318478591909852028814275538`6.685161188508326*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "3.853843589042367889852671774538`6.643244487233293*^-8"}], 
            "-", 
            RowBox[{
            "1.23866679735427286955337202422608`8.15030489912666*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00012208377407949556604563350317488612`8.150428995245372"}\
], "+", 
            RowBox[{
            "2.42985046777187931189663314260849`6.4493505967883085*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {"1.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "0.00005267797295038141947205985459551062`6.405139315447582"}\
], "+", 
            RowBox[{
            "0.00293045178302289718388988408633774813`8.15044484049331", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {"2.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "0.11098258722402236307917697963135717061`8.15050305589976"}]\
, "-", 
            RowBox[{
            "0.0008230400314559494604796326244694121`6.020669170209154", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {"3.`8."},
          {
           RowBox[{
           "0.00025248956675396527872286702756457222`6.2886462878807246", "-", 
            RowBox[{
            "0.0183683912429137469232282399843823816`8.150473971950518", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
           "1.13807144074887003803943565129774000046182078`8.115893603778868*^\
-13", "-", 
            RowBox[{
            "4.7315702105942298629757930613241799045249421`7.734729367534149*^\
-14", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "2.26207525571260323462549675`6.880406082148296*^-11"}], "-", 
            RowBox[{
            "4.2071608402069500052968333426`8.149888148477716*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "1.791328060054828910015462802219`8.150138590547867*^-8"}], 
            "+", 
            RowBox[{
            "7.4613121857307372413805623729`6.76977867314525*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "8.364722124116882886215209011574`6.657040585345574*^-8"}], 
            "-", 
            RowBox[{
            "2.60436615907051798851786589517488`8.150291110583678*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {"1.`8."},
          {
           RowBox[{
           "0.0000294201454243866835799706589403148`8.149721929877634", "-", 
            RowBox[{
            "1.77958818109748040994084379233939`6.931396627529715*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {"2.`8."},
          {
           RowBox[{
           "0.00002853846655628586088151266315790282`5.526439582376141", "+", 
            RowBox[{
            "0.01200894408767592525567133881184696416`8.15051377150945", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {"3.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "0.23894576541096217051920592765773892337`8.150510779221543"}\
], "-", 
            RowBox[{
            "0.0010531955169304395070915818017721203`5.794720442653733", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.6132832470609922`*^9, 3.613283262936824*^9}, 
   3.613458140880246*^9, 3.61748665031359*^9, 3.617486806165709*^9, 
   3.61748687054852*^9, 3.617487375675851*^9, 3.617487510727334*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"N", "[", 
   RowBox[{"Td", ",", "8"}], "]"}], "//", "MatrixForm", "  "}]], "Input",
 CellChangeTimes->{{3.613283283258498*^9, 3.61328328379524*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.23844994762769847871091590043129663156`8.15051499783199"}]\
, "+", 
            RowBox[{"0``71.19672796021251", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"0``155.70850053316937", "-", 
            RowBox[{
            "0.01196957526876710887370842308433777987`8.150514997831989", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
           "0.00002928728402440702089436624658919115`8.150514997831989", "+", 
            RowBox[{"0``158.20096275412726", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {"0"},
          {
           RowBox[{"0``159.28971735782824", "+", 
            RowBox[{
            "2.58717999713983083239870860703279`8.150514997831989*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {"1.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "1.781691006266643599454860829952`8.15051499783199*^-8"}], 
            "+", 
            RowBox[{"0``158.2010618719463", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {"2.`8."},
          {
           RowBox[{"0``159.28983003890798", "+", 
            RowBox[{
            "4.1675541167519436786014332522`8.15051499783199*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "3.`8."}]},
          {"3.`8."},
          {
           RowBox[{
           "1.0460090404499590961660942359325541126880875`8.150514997831992*^-\
13", "+", 
            RowBox[{"0``158.20122597146846", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{"0``156.0239890687775", "+", 
            RowBox[{
            "0.01831599001214051070157110934633008114`8.15051499783199", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.11074105120947814965026095253452294502`8.15051499783199"}]\
, "+", 
            RowBox[{"0``72.4300281921033", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{"0``156.0470898032983", "-", 
            RowBox[{
            "0.00291845085448853080940033974065918369`8.15051499783199", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00012163985664016290904178406390697791`8.15051499783199"}]\
, "+", 
            RowBox[{"0``158.29408240930252", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {"1.`8."},
          {
           RowBox[{"0``157.775391500154", "+", 
            RowBox[{
            "1.23023379958357703263116357961183`8.15051499783199*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {"2.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "8.50393136522709659927440419858`8.150514997831992*^-9"}], 
            "+", 
            RowBox[{"0``158.29418152712154", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "2.`8."}]},
          {"3.`8."},
          {
           RowBox[{"0``157.77550418123388", "+", 
            RowBox[{
            "2.4572735774821561202924753324`8.15051499783199*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
           "0.00023182859074537982586788039217731869`8.15051499783199", "+", 
            RowBox[{"0``158.48380681397725", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"0``156.60313863745483", "+", 
            RowBox[{
            "0.00700375366907300651982461153454803052`8.15051499783199", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.02842461439696791810444633979643861307`8.15051499783199"}]\
, "+", 
            RowBox[{"0``74.05252806488268", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {"0"},
          {
           RowBox[{"0``156.65139691073333", "+", 
            RowBox[{
            "0.00140977723164912795659119803157315368`8.150514997831989", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {"1.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "0.00013956223938988101417566039375597345`8.150514997831992"}\
], "+", 
            RowBox[{"0``158.48380681397737", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {"2.`8."},
          {
           RowBox[{"0``157.52972251553032", "+", 
            RowBox[{
            "6.840264665010124475394578788917`8.15051499783199*^-7", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{"-", "1.`8."}]},
          {"3.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "1.252460755472086875322315117801`8.150514997831989*^-8"}], 
            "+", 
            RowBox[{"0``158.48390593179633", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "3.`8."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "2.`8."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "1.`8."}]},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"0"},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"1.`8."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"2.`8."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"3.`8."},
          {"0"}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "1.252460755472086875322315117801`8.150514997831989*^-8"}], 
            "+", 
            RowBox[{"0``158.93046848876858", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"0``157.4342253485772", "-", 
            RowBox[{
            "6.840264665010124475394578788917`8.15051499783199*^-7", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "0.00013956223938988101417566039375597345`8.150514997831992"}\
], "+", 
            RowBox[{"0``158.93036937094982", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {"0"},
          {
           RowBox[{"0``156.65139691073333", "-", 
            RowBox[{
            "0.00140977723164912795659119803157315368`8.150514997831989", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {"1.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "0.02842461439696791810444633979643861307`8.15051499783199"}]\
, "+", 
            RowBox[{"0``74.05252806488268", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {"2.`8."},
          {
           RowBox[{"0``156.60313863745483", "-", 
            RowBox[{
            "0.00700375366907300651982461153454803052`8.15051499783199", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1.`8."},
          {"3.`8."},
          {
           RowBox[{
           "0.00023182859074537982586788039217731869`8.15051499783199", "+", 
            RowBox[{"0``158.93036937094948", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{"0``157.52187662320372", "-", 
            RowBox[{
            "2.4572735774821561202924753324`8.15051499783199*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "8.50393136522709659927440419858`8.150514997831992*^-9"}], 
            "+", 
            RowBox[{"0``158.47754836714287", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{"0``157.5217639421238", "-", 
            RowBox[{
            "1.23023379958357703263116357961183`8.15051499783199*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {"0"},
          {
           RowBox[{
            RowBox[{
            "-", "0.00012163985664016290904178406390697791`8.15051499783199"}]\
, "+", 
            RowBox[{"0``158.4774492493239", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {"1.`8."},
          {
           RowBox[{"0``156.0470898032983", "+", 
            RowBox[{
            "0.00291845085448853080940033974065918369`8.15051499783199", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {"2.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "0.11074105120947814965026095253452294502`8.15051499783199"}]\
, "+", 
            RowBox[{"0``72.4300281921033", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"2.`8."},
          {"3.`8."},
          {
           RowBox[{"0``156.0239890687775", "-", 
            RowBox[{
            "0.01831599001214051070157110934633008114`8.15051499783199", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {
           RowBox[{"-", "3.`8."}]},
          {
           RowBox[{
           "1.0460090404499590961660942359325541126880875`8.150514997831992*^-\
13", "+", 
            RowBox[{"0``158.29175512706092", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {
           RowBox[{"-", "2.`8."}]},
          {
           RowBox[{"0``157.75406918939694", "-", 
            RowBox[{
            "4.1675541167519436786014332522`8.15051499783199*^-10", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {
           RowBox[{"-", "1.`8."}]},
          {
           RowBox[{
            RowBox[{
            "-", "1.781691006266643599454860829952`8.15051499783199*^-8"}], 
            "+", 
            RowBox[{"0``158.29159102753877", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {"0"},
          {
           RowBox[{"0``157.75395650831706", "-", 
            RowBox[{
            "2.58717999713983083239870860703279`8.150514997831989*^-6", " ", 
             "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {"1.`8."},
          {
           RowBox[{
           "0.00002928728402440702089436624658919115`8.150514997831989", "+", 
            RowBox[{"0``158.29149190971975", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {"2.`8."},
          {
           RowBox[{"0``155.70850053316937", "+", 
            RowBox[{
            "0.01196957526876710887370842308433777987`8.150514997831989", " ",
              "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"3.`8."},
          {"3.`8."},
          {
           RowBox[{
            RowBox[{
            "-", "0.23844994762769847871091590043129663156`8.15051499783199"}]\
, "+", 
            RowBox[{"0``71.19672796021251", " ", "\[ImaginaryI]"}]}]}
         },
         GridBoxAlignment->{
          "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
           "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}, "RowsIndexed" -> {}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.613283285278977*^9, 3.613458140927682*^9, 
  3.617486650365428*^9, 3.617486806216406*^9, 3.6174868705983458`*^9, 
  3.617487375726865*^9, 3.61748751077826*^9}]
}, Open  ]]
},
WindowSize->{1876, 1022},
WindowMargins->{{Automatic, 29}, {Automatic, 0}},
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 713, 10, 46, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[1295, 34, 1800, 50, 114, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[3098, 86, 1926, 58, 79, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[5027, 146, 2128, 66, 137, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[7158, 214, 1927, 58, 79, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}],
Cell[9088, 274, 2161, 67, 164, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.}]
}, Open  ]],
Cell[11264, 344, 202, 5, 44, "Input"],
Cell[11469, 351, 1207, 35, 69, "Input"],
Cell[CellGroupData[{
Cell[12701, 390, 756, 20, 71, "Input"],
Cell[13460, 412, 1157, 33, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14654, 450, 557, 18, 71, "Input"],
Cell[15214, 470, 1082, 32, 72, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16333, 507, 9488, 131, 43, "Input"],
Cell[25824, 640, 3369, 48, 43, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29230, 693, 100, 2, 43, "Input"],
Cell[29333, 697, 3410, 48, 43, "Output"]
}, Open  ]],
Cell[32758, 748, 3238, 55, 221, "Input"],
Cell[CellGroupData[{
Cell[36021, 807, 181, 3, 46, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[36205, 812, 779, 18, 47, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}],
Cell[36987, 832, 2282, 44, 611, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10001.}]
}, Closed]],
Cell[CellGroupData[{
Cell[39306, 881, 180, 3, 39, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[39489, 886, 20248, 287, 135, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[59740, 1175, 307, 5, 15, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[60050, 1182, 765, 15, 42, "Input",
 Evaluatable->False,
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[60818, 1199, 5841, 105, 143, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[66662, 1306, 2702, 90, 157, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[69367, 1398, 18660, 569, 851, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[88030, 1969, 239, 4, 16, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}],
Cell[88272, 1975, 7020, 214, 132, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.}]
}, Closed]],
Cell[95307, 2192, 298, 4, 39, "Text"],
Cell[95608, 2198, 5274, 139, 234, "Input",
 Evaluatable->False],
Cell[100885, 2339, 4557, 111, 241, "Input",
 Evaluatable->False],
Cell[105445, 2452, 243, 4, 76, "Text"],
Cell[105691, 2458, 251, 6, 44, "Input"],
Cell[105945, 2466, 8852, 217, 229, "Input"],
Cell[114800, 2685, 363, 8, 44, "Input"],
Cell[115166, 2695, 9779, 238, 236, "Input"],
Cell[124948, 2935, 367, 10, 46, "Input"],
Cell[125318, 2947, 214, 3, 43, "Input"],
Cell[125535, 2952, 1173, 34, 69, "Input"],
Cell[126711, 2988, 334, 9, 43, "Input"],
Cell[127048, 2999, 1064, 25, 113, "Input"],
Cell[128115, 3026, 1727, 36, 113, "Input"],
Cell[129845, 3064, 1200, 32, 100, "Input"],
Cell[131048, 3098, 1231, 29, 113, "Input"],
Cell[CellGroupData[{
Cell[132304, 3131, 1144, 34, 69, "Input"],
Cell[133451, 3167, 6648, 177, 398, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140136, 3349, 1339, 37, 69, "Input"],
Cell[141478, 3388, 6636, 183, 340, "Output"]
}, Open  ]],
Cell[148129, 3574, 574, 16, 43, "Input"],
Cell[148706, 3592, 780, 19, 43, "Input"],
Cell[149489, 3613, 1319, 28, 43, "Input"],
Cell[CellGroupData[{
Cell[150833, 3645, 654, 19, 43, "Input"],
Cell[151490, 3666, 77, 1, 43, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[151604, 3672, 482, 9, 43, "Input"],
Cell[152089, 3683, 43298, 1164, 573, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[195424, 4852, 400, 9, 43, "Input"],
Cell[195827, 4863, 37398, 1007, 573, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[233262, 5875, 204, 5, 43, "Input"],
Cell[233469, 5882, 43387, 1170, 573, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[276893, 7057, 183, 4, 78, "Input"],
Cell[277079, 7063, 40530, 1080, 832, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
